commit acfe39787a2891d3411d3d665b625d2ce2cf94d2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 18:43:28 2017 -0600

    Prepare 3.23.4

 NEWS         | 18 ++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit bf35a17ddedf89247771553ba9371749856aa604
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 18:49:48 2017 -0600

    Revert "Don't manually set changelog generation flags"

    This reverts commit 672b86550fedc0abc7fb365f8b941e6f0150f546.

    Upstream uses some flags that make the changelog look worse!

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit cd2e3b88c9fb21bc41bd05ed65e1540cc83b2a49
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 17:39:54 2017 -0600

    notebook: Reduce space between buttons

    Looks better this way.

 src/ephy-notebook.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 819b2c11cf2869c39114d5c8db408e5dfe956185
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 16:49:46 2017 -0600

    window: Rename a variable

 src/ephy-window.c | 26 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit f79225d3337cbac3d4ca998946d37260055d58fc
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 16:47:52 2017 -0600

    Change notebook menu to use radio buttons

 src/ephy-window.c     | 9 ++++++++-
 src/window-commands.c | 9 +++++++++
 src/window-commands.h | 3 +++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 180c74ad5a9fb440e60c2274458eb22be5e28046
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 16 21:27:45 2017 +0100

    Updated Spanish translation

 po/es.po | 218
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 102 insertions(+), 116 deletions(-)

commit 92e1501f1874a09744bb86ba9d394916a31fcb8c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 11:34:03 2017 -0600

    Update copyright year

 src/window-commands.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb423f6ef24c97fc2376b82d18aee5cf18936ca8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 11:33:39 2017 -0600

    Be more clear about WebKit version in About dialog

 src/window-commands.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a587dae408888d06f45574d367fef1230b6bb157
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 10:13:04 2017 -0600

    Improve style for fullscreen overlay text

Notes:
    I forgot to credit Adrián Pérez! This style was his idea and the
    CSS is based on his.

 src/resources/epiphany.css  | 8 +++++---
 src/resources/epiphany.scss | 9 +++++----
 2 files changed, 10 insertions(+), 7 deletions(-)

commit 09cafc633bfde20381b1e31bfe2a5cbae2627bd6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jan 16 13:52:21 2017 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 5ee597e54a8e1c1389681e09db71500118b60a14
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Jan 16 00:04:28 2017 -0600

    Add missing tooltips

 src/ephy-header-bar.c | 44 ++++++++++++++++++++++++++++++++------------
 src/ephy-notebook.c   |  4 ++++
 2 files changed, 36 insertions(+), 12 deletions(-)

commit cce7462b78b05fbf1a2cf960f8b4ef2d1cc86b07
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Jan 15 23:09:46 2017 -0600

    Dramatically shrink the location entry

    It doesn't look good when it's so big.

    Unfortunately the GTK+ size model is not really good enough to get
    exactly the behavior we want, so we have to settle for an
    insufficiently-large address bar at large window sizes. It's not
    the end
    of the world, but it would be good to improve this so that the
    location
    entry can expand to fill larger windows. Unfortunately the only way I
    know of to do this would be to set a huge amount of margin, which
    results in a huge minimum size for the window and breaks shell tiling.

 lib/widgets/ephy-location-entry.c |  4 ++--
 src/ephy-header-bar.c             | 10 ++++++----
 2 files changed, 8 insertions(+), 6 deletions(-)

commit f502dcd0b81016b3246bad4601f6d2d963e44bcd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Jan 15 22:24:11 2017 -0600

    header-bar: Move new tab icon to the end of the bar

    It needs to be closer to the new tab button in the notebook,
    else users
    are going to be confused where it disappeared to.

    Yes, this is where we put it originally a couple years ago. It's a
    flip-flop!

 src/ephy-header-bar.c | 60
 ++++++++++++++++++++++++++++++++-------------------
 1 file changed, 38 insertions(+), 22 deletions(-)

commit a5643ef6273f49d8ea453684e7c3ae2fa4378e85
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Jan 15 21:24:42 2017 -0600

    Add tab switcher menu to notebook

    This makes it easy to switch to a particular tab when you have lots of
    tabs open.

 src/ephy-notebook.c   | 144
 +++++++++++++++++++++++++++++++++++++++++++++++---
 src/ephy-window.c     |   2 +
 src/window-commands.c |  16 ++++++
 src/window-commands.h |   3 ++
 4 files changed, 159 insertions(+), 6 deletions(-)

commit 58aa3890674c1e0e41c6621f55359fe1ca0b9075
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 14 22:04:05 2017 -0600

    header-bar: Hide new tab button when tab bar is visible

 src/ephy-header-bar.c | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit f1f18060f760d43563f94ed8c3955534263db58a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 14 21:24:00 2017 -0600

    notebook: Add new tab button to action area

 src/ephy-notebook.c | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

commit 7aa63a148ad04a5b5be18297887e39d0e5957296
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Jan 15 20:37:37 2017 -0600

    window-commands: Code style fix

 src/window-commands.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit cdc177c694d48bd7dec15366baabc1be16d302fd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 14 21:27:55 2017 -0600

    notebook: Code style fix

 src/ephy-notebook.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5bc444bcea5c9eb73b8deac8161ad9a59d0872b2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Jan 15 14:25:48 2017 -0600

    Fix typos

 HACKING | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 0fd9363b4e1e98f2818941ae38d1ef216b66a498
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Jan 15 14:22:36 2017 -0600

    Add some tips to the HACKING file

 HACKING | 134
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 134 insertions(+)

commit 1b50480f70fadbd8764b4cf02a0c8dec0368a4be
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 14 18:40:03 2017 -0600

    window-commands: Duplicate tab should not alter back/forward list

    When we duplicate a tab, we don't want the new page load to appear in
    the back/forward list. Do the same gymnastics with the list that
    EphySession performs when restoring a web view.

    https://bugzilla.gnome.org/show_bug.cgi?id=772335

 src/window-commands.c | 20 ++++++++++++++------
 1 file changed, 14 insertions(+), 6 deletions(-)

commit f640b27ab4893d147b60b94929c6ae5e149aa7b5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 14 15:18:21 2017 -0600

    web-view: Fix memory leaks when web view is closed before info bar

    The current info bar management code improperly assumes that the user
    will always close the info bar before closing its associated web view.
    If the user closes the web view first, then we leak the FormAuthData
    or PermissionRequestData struct in EphyWebView. In the case of
    PermissionRequestData, that notably contains an unresolved
    WebKitPermissionRequest. Additionally, for form auth data requests,
    the
    hash table entry for the outstanding request in the web extension is
    leaked because the web extension never receives the expected form auth
    data request response.

    Resolve this by tracking the destruction of the info bars with a weak
    reference.

 embed/ephy-web-view.c | 27 +++++++++++++++++++++++++--
 1 file changed, 25 insertions(+), 2 deletions(-)

commit a47df8aa4d240e3cee63356fbd4541f02110158d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 14 15:00:19 2017 -0600

    web-view: Add helpers for allocating/freeing info bar structs

 embed/ephy-web-view.c | 62
 ++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 47 insertions(+), 15 deletions(-)

commit 0bca1b8c7c80be1be6f0d72d08464b416b03ce5d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 13 21:55:51 2017 -0600

    theme: press to exit fullscreen label should be visible on dark pages

    The text is black, so give it a light background.

 src/resources/epiphany.css  | 5 +++++
 src/resources/epiphany.scss | 7 +++++++
 2 files changed, 12 insertions(+)

commit f68fc60c3a6c59ab58cbd8f411bdf31add55e788
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 13 21:54:43 2017 -0600

    theme: Update from GTK+ 3 git

    Parse sass!

 src/resources/epiphany.css | 34 +++++++++++++---------------------
 1 file changed, 13 insertions(+), 21 deletions(-)

commit dc1f9f3ef73b453132ba6f7fa7eb3379de016532
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 13 21:53:51 2017 -0600

    Update parse-sass script to use new GTK+ 3 directory

 src/resources/parse-sass.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 699525a1382f844a21efe5b31dc8403ebb8f7a6b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Jan 13 21:19:15 2017 -0600

    Revert "embed: Remove the progress bar"

    This reverts commit 14249f5b45438c4e3bc75fb6172b2eb12d4472a4.

    We'll need to find a way to show a spinner somewhere to do this.

 embed/ephy-embed.c | 66
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)

commit 5ab7a85bd6e1616fcb916e5196d7f59f39e064e2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Jan 12 22:32:50 2017 -0600

    web-view: unconditionally chain up in constructed

    This check just isn't needed.

 embed/ephy-web-view.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d6f14c45a24bec558f29af77054bcb16a84c1337
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Jan 12 22:32:03 2017 -0600

    web-view: Remove bogus comment

 embed/ephy-web-view.c | 5 -----
 1 file changed, 5 deletions(-)

commit a5d821ca4101cf400e917489a4d06eb85e8e5bd5
Author: Radhika Dua <radhikadua1997@gmail.com>
Date:   Thu Jan 12 08:40:22 2017 +0530

    support for copying the images to clipboard
    https://bugzilla.gnome.org/show_bug.cgi?id=169747

 src/ephy-window.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 2be4005febe737a5d6f169207ac40010b3f69b14
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 12 14:04:58 2017 +0100

    Fix Icon filename in Dutch translation

 po/nl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5818c444688f471ba6cf099d95871b968e01a34
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jan 11 20:49:43 2017 -0600

    Use gtk_popover_popup

    For the add bookmark popover and security popover. It has a subtle
    animation instead of the sudden appearance of gtk_widget_show, and
    matches our existing menu buttons.

 src/bookmarks/ephy-add-bookmark-popover.c | 2 +-
 src/ephy-window.c                         | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9525654e9c17a739eb23160a14cb7559247fd83b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jan 4 10:54:57 2017 -0600

    web-extension: Never automatically save password

    This codepath can only be reached if you manually edit your
    permissions
    file, since it's not exposed in the UI, but it was a bad idea. We
    should
    never automatically save passwords because typing the password wrong
    once would automatically delete your saved passwords.

    https://bugzilla.gnome.org/show_bug.cgi?id=771073

 embed/web-extension/ephy-web-extension.c | 3 ---
 1 file changed, 3 deletions(-)

commit 79e4d03fe280ca5592843972ecf3521932ba7629
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jan 4 10:52:09 2017 -0600

    web-extension: Avoid unneeded use of g_str_equal

    This is intended for hash tables only.

 embed/web-extension/ephy-web-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 51aac016a5a28c7bddf797453db28a7d54b3f7bb
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Jan 4 10:51:03 2017 -0600

    web-extension: Only offer to remember nonempty passwords

    Asking to remember an empty password is stupid. Avoids the password
    prompt on sites like paste.gnome.org and paste.fedoraproject.org.

    https://bugzilla.gnome.org/show_bug.cgi?id=771073

 embed/web-extension/ephy-web-extension.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit a3a7d8dc3083329dd8b450c07451b6d0869136c9
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Wed Jan 4 15:44:08 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 64
 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 32 insertions(+), 32 deletions(-)

commit 4dc6240787adc5d11e2900fe0519158bf4e45484
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Wed Jan 4 04:35:24 2017 +0000

    Update Brazilian Portuguese translation

 po/pt_BR.po | 2683
 ++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 1450 insertions(+), 1233 deletions(-)

commit fd2567ab5172c249845c55135aaefc5911ee2c9a
Author: cedlemo <cedlemo@gmx.com>
Date:   Tue Jan 3 18:13:13 2017 +0100

    Add french translation for Favorites string

    https://bugzilla.gnome.org/show_bug.cgi?id=773395

 po/POTFILES.in | 2 ++
 po/fr.po       | 5 +++++
 2 files changed, 7 insertions(+)

commit a9d398d221ed3179c6e496d60840f1b5d8fa6939
Author: cedlemo <cedlemo@gmx.com>
Date:   Tue Jan 3 18:04:40 2017 +0100

    Use internationalization for Favorites string

    https://bugzilla.gnome.org/show_bug.cgi?id=773395

 src/bookmarks/ephy-bookmark-properties-grid.c |  5 ++++-
 src/bookmarks/ephy-bookmarks-popover.c        | 11 ++++++++---
 2 files changed, 12 insertions(+), 4 deletions(-)

commit 2832b4b4282019a426f31bb4f915f5e982167155
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Jan 3 09:21:28 2017 -0600

    Initialize some variables to NULL

 lib/widgets/ephy-location-entry.c      | 2 +-
 src/bookmarks/ephy-bookmarks-popover.c | 2 +-
 src/window-commands.c                  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit b138da5c6fdd289dde713e0bb59653444007b212
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Jan 3 09:12:20 2017 -0600

    prefs-dialog: Fix build failure with sync disabled

 src/prefs-dialog.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit fe2d0367b11bf7d354629634a76c4f1b8d2cd675
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 29 14:54:58 2016 -0600

    uri-tester: Fix unused variable warning

 embed/web-extension/ephy-uri-tester.c | 2 ++
 1 file changed, 2 insertions(+)

commit 6f25bf4aa3f30ae3899dd437ff9c71691ee4b020
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 29 13:41:02 2016 -0600

    web-view: Store permissions for the correct host

    Permissions were being saved for the host corresponding to the
    page the
    web view is currently displaying, which might not be the same as the
    host that's actually shown in the permission request info bar if the
    user has navigated to a new page. This has been broken since
    EphyHostManager was introduced.

 embed/ephy-web-view.c | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit b6322a3c1dc9bbc3cdee1e8587cc77bf8536b16d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Dec 29 14:57:14 2016 +0000

    Update Friulian translation

 po/fur.po | 98
 ++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 46 insertions(+), 52 deletions(-)

commit 0e3a2a25e964b94cc73738b879dc2d9becaaafcb
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Dec 28 17:32:58 2016 -0600

    download-widget: Decode display URI in the right place

    This needs to happen before finding the basename, not after, because a
    basename is not a valid URI to pass to a URI decoding function.

 lib/widgets/ephy-download-widget.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a720861364609bef172961cd7e99267a6fcf7f15
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Dec 28 17:32:04 2016 -0600

    uri-helpers: Be more robust to invalid URIs

    We tried to handle invalid URIs here but failed, since we free the
    SoupURI unconditionally.

 lib/ephy-uri-helpers.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 60b68ef7e9767471ff5c26b25f052270b76e1bca
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Dec 28 16:24:34 2016 -0600

    uri-tester: unref load_loap only if nonnull

    It's possible the URI tester was never loaded

 embed/web-extension/ephy-uri-tester.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 1a4c803199cb2b9c23247efae0303ad5066bd86d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Dec 26 15:29:27 2016 -0600

    uri-tester: Fix leak of load_loop

 embed/web-extension/ephy-uri-tester.c | 2 ++
 1 file changed, 2 insertions(+)

commit 2ecb69ad74cb640a7ad04640f2b989f7b92ba8a2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 22 12:55:57 2016 -0600

    uri-tester: clear HTTPS Everywhere context in dispose

    It's a GObject, so we shouldn't be clearing it in finalize.

 embed/web-extension/ephy-uri-tester.c | 21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

commit 1aa5e8133c923febd52651b91ebd1c2f2d68a824
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 22 12:52:39 2016 -0600

    uri-tester: HTTPS Everywhere context is now always initialized

    We no longer process http:// URIs before initializing the HTTPS
    Everywhere context, so this check is no longer needed: it's guaranteed
    to pass.

 embed/web-extension/ephy-uri-tester.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de52f970946739e72cbc3fd471a9986817b2a883
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 22 10:46:44 2016 -0600

    uri-tester: Turn some debug output into real warnings

 embed/web-extension/ephy-uri-tester.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit afea43d27098a342329c5dde23284f96d870ce04
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sun Dec 25 15:23:51 2016 +0000

    Update Finnish translation

 po/fi.po | 3150
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1669 insertions(+), 1481 deletions(-)

commit 3e29420ac0118250927eca10709f8fe2b17a40e2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 22 10:34:21 2016 -0600

    uri-tester: Fix typo in function name

 embed/ephy-embed-shell.c              | 2 +-
 embed/web-extension/ephy-uri-tester.c | 2 +-
 lib/ephy-uri-tester-shared.c          | 2 +-
 lib/ephy-uri-tester-shared.h          | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit af84b8f1bad946b2a285e20c6d9f1d7a3b635b11
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Dec 20 11:29:46 2016 -0600

    window: Add Alt+D shortcut to focus location entry

    Requested by mcrha on IRC. Matches Firefox. Seems uncontroversial.

    It's already shown in the keyboard shortcuts dialog as Ctrl+L, and we
    don't want to list multiple shortcuts there, so leave that be.

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2cd2c46335ef75d3d6b3b8f9bcbd0e5db1672e76
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Dec 19 00:50:11 2016 +0100

    Updated Czech translation

 po/cs.po | 757
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 441 insertions(+), 316 deletions(-)

commit 5a2c36441a71a784f31ec65ac35dc9aed9824d57
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 18 15:19:02 2016 -0600

    uri-helpers: Add a comment

 lib/ephy-uri-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90c7799e51cbf9e12c0d63448fb5284d934a5aa5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 18 15:09:54 2016 -0600

    uri-helpers: Pass larger buffer to ICU

    Our buffer was one byte too small to hold the longest-possible domain
    name.

    Also, we need to make sure the buffer is one byte longer than we tell
    ICU. Fill it with zeroes so that we can guarantee it remains NUL-
    terminated. It's hard to believe that U_STRING_NOT_TERMINATED_WARNING
    is a thing, but it is and we don't want to hit it....

    https://bugzilla.gnome.org/show_bug.cgi?id=747376

 lib/ephy-uri-helpers.c | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit 02ff0be0c513a35d53bda604cfddf258a9360812
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 18 11:01:39 2016 -0600

    window: fix alt-left/right keyboard shortcuts

    The call to gdk_keymap_translate_keyboard_state doesn't seem to really
    do much here, except change the way we have to test for Ctrl+Shift+T
    by
    consuming GDK_SHIFT_MASK. In particular, the keyval returned is
    already
    the keyval in the key event, so that's not really doing anything
    for us.
    But this is what the GDK documentation tells us to do, so why not. The
    important change here, as shown in the GDK documentation, is to
    mask out
    all the modifiers except Ctrl/Shift/Mod1 so that we ignore virtual
    modifiers like Meta that we really don't want to see.

    This mostly but not completely fixes the bug where the alt-left/right
    shortcuts for back/forward stop working. It fixes the regression where
    these shortcuts stopped working after I introduced key event
    filtering.
    It *does not* fix the issue that was originally reported, which
    is that
    the shortcuts mysteriously stop working sometimes; it cannot fix that
    original bug, because the key event filtering was not added until a
    month after that bug was reported. Hence, I am not closing the issue
    here. Something seems to be wrong in either GTK+ or in mutter, as
    sometimes GTK+ apps stop receiving any input at all; it might or might
    not be related.

    https://bugzilla.gnome.org/show_bug.cgi?id=772437

 src/ephy-window.c | 68
 ++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 45 insertions(+), 23 deletions(-)

commit 500dbd4f42215c52067208d56044c7025d95397f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 18 10:56:07 2016 -0600

    window: Don't filter Ctrl+Shift+N unnecessarily

    I thought we had both Ctrl+I and Ctrl+Shift+N shortcuts for New
    Incognito Window, but we don't, we only have Ctrl+I.

    https://bugzilla.gnome.org/show_bug.cgi?id=772437

 src/ephy-window.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d7ef8df16d913df4bf4c9d89fb5eb291293046b5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Dec 17 21:30:08 2016 -0600

    window: Remove unused code

    This is no longer needed now that we no longer have special
    handling for
    Emacs keybindings in key-press-event

 src/ephy-window.c | 53
 -----------------------------------------------------
 1 file changed, 53 deletions(-)

commit f85b32dcd827923cb8a6da9d587346c280547305
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Dec 17 16:26:08 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 1765
 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 file changed, 1312 insertions(+), 453 deletions(-)

commit 672b86550fedc0abc7fb365f8b941e6f0150f546
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Dec 17 09:16:35 2016 -0600

    Don't manually set changelog generation flags

    No longer needed:

    https://git.gnome.org/browse/m4-common/commit/?id=51cfce5b891246ab4b06c66cde6f43acbeea1ef8

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit fc88dce9016d2d15afc5554da3c0e656eb43be5b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Dec 16 12:21:00 2016 -0600

    uri-helpers: Cache the UTS #46 context

    We need a mutex to do this, to ensure that we don't leak in the
    unlikely event that this function is called for the first time in
    multiple threads at once.

    Originally, I thought it made sense to create a new context for each
    call to this function, to avoid the mutex lock, but it uses a mutex
    internally during creation anyway, so that's an illusory cost, and it
    seems to do a substantial amount of work.

    https://bugzilla.gnome.org/show_bug.cgi?id=747376

 lib/ephy-uri-helpers.c | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit 05d81a59835c5b2f25c4fe33cc9f5005b79fad87
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Dec 16 12:10:51 2016 -0600

    uri-helpers: be robust to NULL SoupURIs

    This probably should never happen here, but there's no reason to crash
    if it does.

 lib/ephy-uri-helpers.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6b7c6dec3bc1dc91bbda12cccf5c3cfd36397578
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Dec 16 11:55:59 2016 -0600

    uri-helpers: Use ICU to decode punycode for display

    This adds support for properly displaying IDNA URIs, instead of
    showing
    punycode-encoded URIs.

    ICU is already a dependency of WebKit.

    https://bugzilla.gnome.org/show_bug.cgi?id=747376

 configure.ac           |  1 +
 lib/Makefile.am        |  2 ++
 lib/ephy-uri-helpers.c | 56
 ++++++++++++++++++++++++++++++++++++++++++++++----
 3 files changed, 55 insertions(+), 4 deletions(-)

commit edd079c37781f524fa7834800208b1cb9b63974c
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Thu Dec 15 10:20:40 2016 +0000

    Update Hungarian translation

 po/hu.po | 655
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 350 insertions(+), 305 deletions(-)

commit 02cb41bbdbbb0996b1d57e4836511406e91a5d7b
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Dec 15 09:06:57 2016 +0000

    Update Spanish translation

 po/es.po | 882
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 470 insertions(+), 412 deletions(-)

commit 573bc6e262559ea07d4482163c1684dedc01219f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Dec 12 20:47:50 2016 -0600

    snapshot-service: stop using gnome_desktop_thumbnail_scale_down_pixbuf

    See bugs #775991 and #80925.

 lib/ephy-snapshot-service.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 1c5d952a8422cfc2862bc6385bab9f0caaca59e6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Dec 12 17:06:12 2016 -0600

    Prepare 3.23.3

 NEWS         | 28 ++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 29 insertions(+), 1 deletion(-)

commit 574ccd7a290c5ce6613dac110650a8bd1c229caa
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Dec 10 16:22:16 2016 +0000

    Update Kazakh translation

 po/kk.po | 2743
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 1341 insertions(+), 1402 deletions(-)

commit 5da64d719a8555d5a22f415b9d2439129e854fee
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Dec 9 22:36:21 2016 +0000

    Update Friulian translation

 po/fur.po | 427
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 234 insertions(+), 193 deletions(-)

commit ae102a5300c59e6f988b503b4853e4d262c409c5
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Fri Dec 9 22:50:39 2016 +0200

    bookmarks: Create tags when migrating to the new bookmarks system

    When bookmarks are migrated, folders are converted into tags and
    assigned to bookmarks. Currently, even if the tags information is
    there, the tags are not displayed in the popover because they have
    not been added to the EphyBookmarksManager as well.

    Create tags for the new bookmarks manager when migrating.

 src/profile-migrator/ephy-profile-migrator.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit de003c2014d58a2a3b6e8a781f3364dddff0202c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Dec 8 02:19:42 2016 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit 22912b6cabe99b20e3f4e59c6bdacaccb1e890a6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Dec 7 15:51:44 2016 -0600

    Revert "Revert "Stop using unstable DOM API headers""

    This reverts commit 7a97daa0b7075265c0f542c4e5be9fcec91f060b.

    WebKit is fixed:

    https://trac.webkit.org/changeset/208035

 embed/web-extension/ephy-web-dom-utils.h | 2 --
 embed/web-extension/ephy-web-extension.c | 2 --
 embed/web-extension/ephy-web-overview.c  | 5 +----
 3 files changed, 1 insertion(+), 8 deletions(-)

commit d6b2a70b036df6961502289d2be0e923369f7697
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Nov 24 22:53:23 2016 +0200

    sync: Handle failure of sync-secret's store/load functions

    On store: Don't validate the sign in unless the tokens were
    successfully
    stored. The tokens are now stored together as a JSON (this way
    they all
    succeed or all fail to be stored).

    On load: Notify the user to sign in again if the tokens fail to load.

 src/ephy-shell.c             |  40 ++++++--
 src/prefs-dialog.c           |  41 +++++++-
 src/sync/ephy-sync-secret.c  | 238
 ++++++++++++++++++++++++++++++-------------
 src/sync/ephy-sync-secret.h  |  11 +-
 src/sync/ephy-sync-service.c |  94 ++++++++---------
 src/sync/ephy-sync-service.h |   6 +-
 src/sync/ephy-sync-utils.c   |  20 ++++
 src/sync/ephy-sync-utils.h   |  29 +++---
 8 files changed, 331 insertions(+), 148 deletions(-)

commit 8e7bc4f1243aa8d36be128db951c3407b9dafebe
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Dec 5 15:38:47 2016 +0200

    lib/widgets: Have a more generic notification

 lib/widgets/Makefile.am                            |   4 +-
 lib/widgets/ephy-notification.c                    | 171
 +++++++++++++++++++++
 ...password-notification.h => ephy-notification.h} |  10 +-
 lib/widgets/ephy-password-notification.c           | 167
 --------------------
 po/POTFILES.in                                     |   1 +
 src/sync/ephy-sync-service.c                       |  15 +-
 6 files changed, 190 insertions(+), 178 deletions(-)

commit da9b7a7086cb37c41d4f01dcb835b8fd2b8e259d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Dec 7 17:39:25 2016 +0100

    Do not show the bookmarks button in application mode

    https://bugzilla.gnome.org/show_bug.cgi?id=775760

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 51dba7020550fe4484266b50215eb12cdcee5e5d
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Dec 7 17:33:42 2016 +0100

    Replace ephy_header_bar_get_page_menu_button() with
    ephy_header_bar_get_zoom_level_button()

    ephy_header_bar_get_page_menu_button() is only used to get the popover
    that is only used to get the zoom_level_button that was set by the
    header bar using g_object_set(). Simplify everything by saving
    the zoom
    level button in the header bar and just returning it with
    ephy_header_bar_get_zoom_level_button().

 src/ephy-header-bar.c | 7 ++++---
 src/ephy-header-bar.h | 2 +-
 src/ephy-window.c     | 6 +-----
 3 files changed, 6 insertions(+), 9 deletions(-)

commit d0f113593dad204410d3e1ec85257a362693b9fe
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Dec 7 17:30:14 2016 +0100

    Avoid useless heap allocation

 src/ephy-window.c | 5 +----
 1 file changed, 1 insertion(+), 4 deletions(-)

commit 16ca0d85be2abbea97234d82551f3d714d2d6fa7
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Dec 7 17:28:06 2016 +0100

    No need to explicitly hide new tab and page menu button from
    ephy_window_constructed()

    We have window chromes for that already working.

 src/ephy-header-bar.c | 6 ------
 src/ephy-header-bar.h | 1 -
 src/ephy-window.c     | 6 ------
 3 files changed, 13 deletions(-)

commit f6d97372ffff1e5ef504f89a6f4716f7c5cd6ceb
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Wed Dec 7 15:43:00 2016 +0100

    Do not show the lock icon in the location entry for about:blank pages

 embed/ephy-web-view.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 14249f5b45438c4e3bc75fb6172b2eb12d4472a4
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Dec 6 09:26:30 2016 -0600

    embed: Remove the progress bar

    It does nothing except make us look slower than other browsers,
    and has
    serious style issues.

    https://bugzilla.gnome.org/show_bug.cgi?id=775710

 embed/ephy-embed.c | 66
 ------------------------------------------------------
 1 file changed, 66 deletions(-)

commit 799662abd51cc0d175f3ad43411efde70e9acd91
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Dec 5 15:34:33 2016 +0100

    Show home button in the toolbar when homepage-url setting is enabled

    https://bugzilla.gnome.org/show_bug.cgi?id=775641

 src/ephy-header-bar.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit a7dc1de7b2c03e32d523259d4bfa976aee5e0db1
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Dec 5 15:20:16 2016 +0100

    prefs-dialog: Expose homepage-url setting in preferences dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=775641

 src/prefs-dialog.c            | 151
 ++++++++++++++++++++++++++++++++++++++++++
 src/resources/prefs-dialog.ui |  68 +++++++++++++++++++
 2 files changed, 219 insertions(+)

commit 36a40cbb98e312649fce93a2002b026c44f57210
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Dec 6 12:48:01 2016 -0600

    Move sync support behind --enable-firefox-sync flag

    We'll most likely leave it disabled for 3.24 so it has more time
    to bake
    until 3.26.

    https://bugzilla.gnome.org/show_bug.cgi?id=775147

 configure.ac                                  | 23 +++++++++++++++++---
 src/Makefile.am                               | 10 ++++++---
 src/bookmarks/ephy-bookmark-properties-grid.c |  9 +++++++-
 src/bookmarks/ephy-bookmark.c                 | 31
 +++++++++++++++++++++++++--
 src/bookmarks/ephy-bookmark.h                 |  2 ++
 src/ephy-shell.c                              | 10 +++++++++
 src/ephy-shell.h                              |  7 +++++-
 src/prefs-dialog.c                            | 27
 ++++++++++++++++++++++-
 src/resources/prefs-dialog.ui                 |  3 +--
 9 files changed, 109 insertions(+), 13 deletions(-)

commit 1ce3cfece6a4cd1e153bc64a3cc3341433f54551
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Dec 6 13:13:36 2016 -0600

    prefs-dialog: Rename a variable

 src/prefs-dialog.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 8d2f0c8743c35cc5dd44bd51fca154360276acff
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Dec 6 13:11:20 2016 -0600

    build: Fix --with-libhttpseverywhere=no

    This is action-if-present, it's still present if you pass no.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ec18488ccce40d4eb692f5cbeb9471ea5a1b202
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 4 21:03:11 2016 -0600

    embed-shell: Schedule thumbnail updates after updating overview

    Otherwise we do not display a thumbnail for new overview items when a
    previous overview item is removed, even if we have a snapshot in the
    snapshot database. This doesn't and cannot fix the case where no
    snapshot exists -- sometimes we just really don't have a usable
    snapshot
    -- but usually we do have a snapshot and this fixes the general case.

    https://bugzilla.gnome.org/show_bug.cgi?id=775612

 embed/ephy-embed-shell.c | 3 +++
 1 file changed, 3 insertions(+)

commit 19322541e8be8f11ad6a4aee4457b9cc636c5a69
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 4 20:56:00 2016 -0600

    Refactor delayed overview thumbnail update handling

    Move this logic to EphyEmbedShell. It will be needed there in the next
    commit and I don't want to duplicate the code in two different places.

    https://bugzilla.gnome.org/show_bug.cgi?id=775612

 embed/ephy-about-handler.c | 46
 ++++++++----------------------------------
 embed/ephy-embed-shell.c   | 50
 ++++++++++++++++++++++++++++++++++++++++++++++
 embed/ephy-embed-shell.h   |  3 +++
 3 files changed, 61 insertions(+), 38 deletions(-)

commit 02fdbf1ff21e33dbd5270f95e28f35521ebd8753
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 4 14:04:12 2016 -0600

    Move some duplicate code into ephy_history_query_new_for_overview

    https://bugzilla.gnome.org/show_bug.cgi?id=775612

 embed/ephy-about-handler.c | 27 ++++++++++++++++++++-------
 embed/ephy-about-handler.h |  6 +++++-
 embed/ephy-embed-shell.c   |  7 +------
 3 files changed, 26 insertions(+), 14 deletions(-)

commit dc0c5cf67e5fa15fadf894b7d555ad48b967fbea
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Tue Dec 6 12:19:31 2016 +0000

    Update Hungarian translation

 po/hu.po | 319
 +++++++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 199 insertions(+), 120 deletions(-)

commit fd251f93397520badc0e42ecf049d73512d55c1d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Dec 5 20:17:51 2016 +0000

    Update Friulian translation

 po/fur.po | 576
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 332 insertions(+), 244 deletions(-)

commit 45abe475230ad21224f541c0b47c4bded279e983
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Mon Dec 5 15:19:43 2016 +0100

    Fix compile warning

 src/window-commands.c | 1 -
 1 file changed, 1 deletion(-)

commit b58ee9dc49de05e00d2f6931d70dfd3a2ca4a821
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Dec 5 12:13:04 2016 +0100

    window: focus the location entry when opening new tabs

    This is a regression introduced in commit
    6b530964ac6de09dcb01c2dfa774bbaa111b29e5 that removes the
    EPHY_LINK_HOME_PAGE flag when calling ephy_link_open() on new tab
    command callback. This patch brings that back, making
    ephy_window_open_link() handle null address when EPHY_LINK_HOME_PAGE
    flag is passed, and simplifying the llogic to decide whether to focus
    the web view or the location entry. If the web view is blank after the
    load we focus the location entry and otherwise the embed is focused.

    https://bugzilla.gnome.org/show_bug.cgi?id=774599

 embed/ephy-web-view.c | 42 +++++++++++++++++++++++++++++++-----------
 embed/ephy-web-view.h |  1 +
 src/ephy-session.c    | 11 ++---------
 src/ephy-shell.c      |  5 +++--
 src/ephy-window.c     | 43 +++++++++++++++++++++----------------------
 src/window-commands.c | 11 ++++-------
 6 files changed, 62 insertions(+), 51 deletions(-)

commit 5e462f8de91ab55fdcb4eb520e5207c12e1519e3
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Dec 3 13:20:54 2016 +0100

    prefs: Remove homepage-loads-in-new-tabs setting

    This is very confusing setting, it's only considered when homepage-url
    is set and only applies to new tabs, but not to new windows. It's
    a lot
    simpler to just use homepage-url always for new tabs and windows if
    present.

 data/org.gnome.epiphany.gschema.xml |  5 -----
 embed/ephy-web-view.c               | 11 +++++------
 lib/ephy-prefs.h                    |  1 -
 src/window-commands.c               | 11 ++---------
 4 files changed, 7 insertions(+), 21 deletions(-)

commit cbd74e1689fd65d503a4f466d9bc8cdabb2403b2
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Dec 3 13:17:24 2016 +0100

    ephy-window: about:blank and incognito pages should also be considered
    as blank

    We are disabling several actions on blank pages, but we are only
    setting
    the SENS_FLAG_IS_BLANK to TRUE for the overview. Use
    ephy_web_view_get_is_blank() instead and update
    ephy_web_view_set_address() to use ephy_embed_utils_url_is_empty() to
    decide whether the web view is blank or not.

 embed/ephy-web-view.c | 5 +----
 src/ephy-window.c     | 2 +-
 2 files changed, 2 insertions(+), 5 deletions(-)

commit e15b85f26c3fa01625864054c27b56ff2d917e04
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Dec 3 13:15:47 2016 +0100

    ephy-embed-utils: overview and incognito URLs should also be
    considered as empty

 embed/ephy-embed-utils.c      | 13 +++++--------
 tests/ephy-embed-utils-test.c |  4 +++-
 2 files changed, 8 insertions(+), 9 deletions(-)

commit 9da559f8065d4aefb64973b863c0ff67ef0dab74
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Dec 3 13:08:26 2016 +0100

    ephy-web-view: Always update the internal address when
    WebKitWebView:uri changes

    We are currently changing it manually, and only when WebKitWebView:uri
    changes if the page is loaded. This was needed with older versions of
    WebKit that didn't emit notify::uri for the pending API request URL.
    With current WebKit, as soon as you call webkit_view_load_*() you
    get a
    notify::uri with the pending API request URL. So, we can now
    update our
    address everytime WebKitWebView:uri changes to ensure out address is
    updated as soon as possible even before the provisional load
    event. This
    allows us to do things like

    ephy_web_view_load_url();
    ephy_web_view_get_is_blank();

    When the load is committed the URI is considered final, and it never
    changes except for navigation to the same document. So, this
    patch also
    renames ephy_web_view_location_changed() as
    ephy_web_view_set_committed_location(), which is more accurate
    name, to
    properly update our internal address when we know is final.

 embed/ephy-web-view.c | 29 +++++------------------------
 1 file changed, 5 insertions(+), 24 deletions(-)

commit 162859f39814a9f0e47243c24fce609ffc652fc6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 4 13:46:23 2016 -0600

    web-overview: Properly show new overview item after removing one

    This has been broken since I got rid of the list that was previously
    used to hold overview items. The style class now lives on the anchor
    itself and not its parent element.

    https://bugzilla.gnome.org/show_bug.cgi?id=775604

 embed/web-extension/ephy-web-overview.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 363d6cac2de86efd819325010dc41ad0d061e87c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Dec 4 12:38:38 2016 -0600

    about-handler: Simplify overview JS

    This variable isn't needed anymore, and we don't use a list anymore
    anyway.

 embed/ephy-about-handler.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d370d53722867979fe4bb15076d3543bf354f6d5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Dec 3 16:37:10 2016 -0600

    window-commands: Capitalize Import Bookmarks window title

 src/window-commands.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 130fd7c34fa568fe2bf461a5fff32c18e01f0e08
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Dec 3 16:36:35 2016 -0600

    Fix a typo

 src/bookmarks/ephy-bookmarks-import.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 12be12ac483001984c1b3b1b17a1b31b5b6f59be
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Dec 3 16:27:28 2016 -0600

    Disable libhttpseverywhere use by default for now

    https://bugzilla.gnome.org/show_bug.cgi?id=775575

 configure.ac                             | 13 ++++++++++++-
 embed/ephy-embed-shell.c                 | 11 ++++++++++-
 embed/web-extension/ephy-uri-tester.c    | 27 +++++++++++++++++++++++++--
 embed/web-extension/ephy-web-extension.c |  4 ++++
 4 files changed, 51 insertions(+), 4 deletions(-)

commit 5da7d07062b31c1accbd202e412f13209bf13a24
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Nov 26 19:02:07 2016 +0100

    uri-tester: Never block the UI process main thread

    Split the uri tester into updater and loader/filter. The updater
    code is
    done directly by EphyEmbedShell. The loader/filter part is what
    URITester
    is now, and it has been moved to the web extension again. The web
    extension
    creates the uri tester, but it doesn't use it until required and the
    load happens synchronously. This way it's now the web process the one
    waiting until everything is ready to load requests, leaving the UI
    process always responsive. I've also moved the previous checks
    to decide
    whether to apply adblock or https everywhere rules on a resource
    to the
    web extension, as well as the tracking queries handling, to avoid
    loading all the rules for resources that are not going to be
    filtered at
    all. This makes loading overview pages a lot faster, for example. I've
    also added a few more conditions to ensure we don't run the uri tester
    if it's not actually required.

    https://bugzilla.gnome.org/show_bug.cgi?id=775067

 configure.ac                                       |   2 +-
 embed/Makefile.am                                  |   2 -
 embed/ephy-embed-shell.c                           | 234 ++++++++-
 embed/web-extension/Makefile.am                    |   6 +-
 embed/web-extension/ephy-uri-tester-proxy.c        | 120 -----
 embed/{ => web-extension}/ephy-uri-tester.c        | 585
 ++++-----------------
 .../web-extension/ephy-uri-tester.h                |  32 +-
 embed/web-extension/ephy-web-extension-main.c      |   4 +-
 embed/web-extension/ephy-web-extension.c           | 206 ++++++--
 embed/web-extension/ephy-web-extension.h           |   2 +-
 lib/Makefile.am                                    |   3 +-
 lib/ephy-dbus-names.h                              |   4 -
 .../ephy-uri-tester-shared.c                       |  37 +-
 .../ephy-uri-tester-shared.h                       |  11 +-
 14 files changed, 536 insertions(+), 712 deletions(-)

commit 5f91b4d2f04ff573c5d1599d793b0991cb50dfbc
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Nov 26 14:53:19 2016 +0100

    uri-tester: Do not rewrite HTTPS urls

    We are checking if the url starts with SOUP_URI_SCHEME_HTTP, which is
    "http" and HTTPS urls also start with http so we are rewriting every
    single HTTP and HTTPS request. Check if url starts with "http://"
    instead.

 embed/ephy-uri-tester.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3a5bfb106fc136ef087f91c08e573350932a1cf3
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Sat Nov 26 14:07:33 2016 +0100

    uri-tester: Stop pretending we support multiple filters

    On every run we check if we have a filters.list file that we never
    write
    since fecf8df7fc4ed689dad366de9057a3121c1ac363. I don't think we will
    ever support them either, since the plan is to switch to use WebKit
    content extensions.

 embed/ephy-uri-tester.c | 153
 ++++++------------------------------------------
 1 file changed, 19 insertions(+), 134 deletions(-)

commit 94c4917d5d1a9804a644f02ef2dbe934cbf317f9
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Nov 30 20:30:31 2016 +0200

    Fix file endings

 data/icons/Makefile.am                          | 1 -
 embed/ephy-embed-container.c                    | 2 --
 lib/egg/eggtreemultidnd.c                       | 1 -
 lib/ephy-smaps.c                                | 2 --
 lib/ephy-web-app-utils.h                        | 1 -
 lib/widgets/ephy-certificate-dialog.c           | 1 -
 src/bookmarks/ephy-bookmarks-export.h           | 2 +-
 src/bookmarks/ephy-bookmarks-import.h           | 2 +-
 src/search-provider/ephy-search-provider-main.c | 1 -
 src/search-provider/ephy-search-provider.c      | 1 -
 tests/ephy-completion-model-test.c              | 1 -
 11 files changed, 2 insertions(+), 13 deletions(-)

commit 29bb865a0ff3ecd4c50e14a676b0279f35102eec
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Nov 30 16:19:26 2016 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 0de094dbceb022e7ef5dd1b28e77ecd76c50fa8b
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Nov 29 15:34:51 2016 +0200

    bookmarks-import: Add option to import from Firefox

    Firefox stores bookmarks for each profile in a SQLite file,
    in the .mozilla/firefox/<profile>/ directory, in the users home
    directory.

    If the user has no profiles, don't display the 'Firefox' option in
    the impport combo box. If he has one profile, automatically import
    from that one. If he has multiple profiles, display a dialog which
    allows the user to select the profile he wants to import from.

    https://bugzilla.gnome.org/show_bug.cgi?id=772423

 src/bookmarks/ephy-bookmarks-import.c | 145 ++++++++++++++++++++++++
 src/bookmarks/ephy-bookmarks-import.h |  14 ++-
 src/window-commands.c                 | 207
 +++++++++++++++++++++++++++++++++-
 3 files changed, 358 insertions(+), 8 deletions(-)

commit dcb0bccad8eb2a7c7e4478b32d3d46f8ae35cdd1
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Mon Nov 28 17:12:25 2016 +0200

    bookmarks: Add option to export bookmarks as .gvdb file

    https://bugzilla.gnome.org/show_bug.cgi?id=772423

 src/Makefile.am                        |   2 +
 src/bookmarks/ephy-bookmarks-export.c  | 100
 +++++++++++++++++++++++++++++++++
 src/bookmarks/ephy-bookmarks-export.h  |  31 ++++++++++
 src/bookmarks/ephy-bookmarks-manager.c |  70 +----------------------
 src/ephy-shell.c                       |   6 +-
 src/window-commands.c                  |  51 +++++++++++++++++
 6 files changed, 191 insertions(+), 69 deletions(-)

commit d46f782ded6689b7a3756445e0a08edf38fd0d5d
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Mon Nov 28 14:07:32 2016 +0200

    bookmarks: Add option to import bookmarks from .gvdb file

    https://bugzilla.gnome.org/show_bug.cgi?id=772423

 src/Makefile.am                        |   2 +
 src/bookmarks/ephy-bookmarks-import.c  | 154
 +++++++++++++++++++++++++++++++++
 src/bookmarks/ephy-bookmarks-import.h  |  31 +++++++
 src/bookmarks/ephy-bookmarks-manager.c |  74 +---------------
 src/window-commands.c                  |  75 +++++++++++++++-
 5 files changed, 263 insertions(+), 73 deletions(-)

commit c195a4c8e603dfe26a8694acf3f1af4205bb7790
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Nov 23 16:58:42 2016 +0200

    bookmarks: Add import dialog

    https://bugzilla.gnome.org/show_bug.cgi?id=772423

 src/ephy-shell.c      |  6 ++++-
 src/window-commands.c | 69
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+), 1 deletion(-)

commit 85b7776a7dccf22386550e788020b03b3aa3eb55
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Mon Nov 21 22:37:21 2016 +0200

    bookmarks: Add import/export application menu items

    https://bugzilla.gnome.org/show_bug.cgi?id=772423

 src/ephy-shell.c                           | 18 ++++++++++++++++++
 src/resources/epiphany-application-menu.ui | 15 +++++++++++++++
 src/window-commands.c                      | 16 ++++++++++++++++
 src/window-commands.h                      |  6 ++++++
 4 files changed, 55 insertions(+)

commit dd0a54004e12ba5644f74c5996c01a0cc56321ed
Author: Christian Hergert <chergert@redhat.com>
Date:   Tue Nov 29 22:00:28 2016 -0800

    dbus: make dbus service filename match app-id

    This was a mismatch with org.gnome.Epiphany.service but containing
    org.gnome.EpiphanySearchProvider.service. This wasn't strictly
    required,
    but it is when building with flatpak.

 data/Makefile.am                                                        |
 2 +-
 ....Epiphany.service.in => org.gnome.EpiphanySearchProvider.service.in}
 | 0
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 0d3da9a3c7852b65970ae4fd9567b1218c2f9f2c
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Nov 29 12:21:52 2016 +0200

    sync-service: Fix double free crash

    The bundle returned by _start_sign_in() is a parameter to
    _finish_sign_in().
    Don't free it inside _finish_sign_in().

 src/prefs-dialog.c           | 1 +
 src/sync/ephy-sync-service.c | 1 -
 2 files changed, 1 insertion(+), 1 deletion(-)

commit 5e6f4a139fbf9a7005781794214e9c1efdaf8ef8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 28 19:43:00 2016 -0600

    location-entry: Remove stale comment

 lib/widgets/ephy-location-entry.c | 1 -
 1 file changed, 1 deletion(-)

commit 660f4616caed40456556f52b4c24a6003d17901b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 28 14:09:16 2016 -0600

    location-entry: Be robust to paste translation issues

    Don't crash if Epiphany has a different translation than GTK+,
    just get
    the translation from GTK+ instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=772994

 lib/widgets/ephy-location-entry.c | 13 +++++++++----
 1 file changed, 9 insertions(+), 4 deletions(-)

commit 2dbb152c8865d169ccf7211b2517b32a349f40eb
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 28 06:36:57 2016 -0600

    Dist network-error-symbolic.png

    I also audited the list to make sure it's the only resource that was
    missing from the tarball.

    https://bugzilla.gnome.org/show_bug.cgi?id=775209

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit e53e2a7bdd5bd82c7354b70d302b0951f6e3e0b5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 27 15:09:03 2016 -0600

    web-view: Add close button to new info bar

    It disappears on the next navigation, but users might want to hide it
    sooner. Note that we do not stop tracking it on close, so that it
    doesn't appear again until the next navigation.

 embed/ephy-web-view.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 3e6a7843948f8ab0cdd7894795c6c350d9843235
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 27 14:54:34 2016 -0600

    web-view: Set WARNING message type for info bar

    Once upon a time, this caused the bar to change to a different, more
    noticeable color. Probably other themes still do this, so let's allow
    that.

 embed/ephy-web-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 1acc702fa170895f2710f9cf6e739ed7b6f7442b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 26 22:30:05 2016 -0600

    web-view: Clean up info bar tracking/untracking

    Dispose looks like a nightmare. Improve it.

 embed/ephy-web-view.c | 71
 ++++++++++++++++++++-------------------------------
 1 file changed, 27 insertions(+), 44 deletions(-)

commit a0ac2cb739a5af5e42947ac802f7e4254ae282c9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 26 22:15:12 2016 -0600

    web-view: Properly dispose new info bars

 embed/ephy-web-view.c | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 5e8b6f9bc985acef72df2bec1a451a1339b75410
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 26 22:06:35 2016 -0600

    Warn user about insecure password forms

    https://bugzilla.gnome.org/show_bug.cgi?id=775167

 embed/ephy-embed-shell.c                 | 44
 ++++++++++++++++++++++++++++
 embed/ephy-web-view.c                    | 49
 ++++++++++++++++++++++++++++++++
 embed/web-extension/ephy-web-dom-utils.c | 41 ++++++++++++++++++++++++++
 embed/web-extension/ephy-web-dom-utils.h |  2 ++
 embed/web-extension/ephy-web-extension.c | 46
 ++++++++++++++++++++++++++++++
 lib/ephy-security-levels.c               |  6 ++++
 lib/ephy-security-levels.h               |  2 ++
 7 files changed, 190 insertions(+)

commit 4d3083e32b2d7420933ea40a6ecc3f3fdf01c21a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 26 07:51:09 2016 -0600

    Add hint on how to get a blank new tab page

    https://bugzilla.gnome.org/show_bug.cgi?id=693801

 data/org.gnome.epiphany.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4922e2a0ed14ef8d2a463f03a4d33fbc75a8addc
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Thu Nov 24 00:48:24 2016 +0000

    Update Hungarian translation

 po/hu.po | 369
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 219 insertions(+), 150 deletions(-)

commit c28aba40ca54af8544a4ad7fc47d068869819962
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Nov 24 01:03:37 2016 +0200

    sync-service: Remove no longer used function

 src/prefs-dialog.c           |  5 +++
 src/sync/ephy-sync-service.c | 76
 --------------------------------------------
 src/sync/ephy-sync-service.h |  4 ---
 3 files changed, 5 insertions(+), 80 deletions(-)

commit 824a1c0865abde8f015a705cf59208d6640d59af
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 23 16:42:54 2016 -0600

    Decide on which URI tests to use in web process

    Since the HTTPS Everywhere decision has to be made here, let's do the
    rest here as well.

    https://bugzilla.gnome.org/show_bug.cgi?id=774925

 embed/ephy-uri-tester.c                  | 4 +---
 embed/web-extension/ephy-web-extension.c | 5 +++++
 2 files changed, 6 insertions(+), 3 deletions(-)

commit c7798b6414921580ae09422ad1bce0ad76dbf5cf
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 23 16:36:04 2016 -0600

    web-extension: Avoid potential HTTPS Everywhere redirect loop

    When a particularly stupid server decides to redirect from an https://
    URI to an http:// URI (this should never be done) and we also
    happen to
    have an incorrect HTTPS Everywhere rule to redirect from http:// to
    https:// for that URI, we get into a redirect loop and the load fails.
    Check for this condition and avoid using HTTPS Everywhere in this
    case.

 embed/web-extension/ephy-web-extension.c | 36
 +++++++++++++++++++++++++++++++-
 1 file changed, 35 insertions(+), 1 deletion(-)

commit 0e0a95b6262a04a07ad5e0908599844cea72660f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 23 15:58:08 2016 -0600

    Allow web extension to control tests performed by URI tester

    So we can selectively disable HTTPS Everywhere

 embed/ephy-uri-tester.c                     | 33
 +++++++++++++++++++----------
 embed/web-extension/ephy-uri-tester-proxy.c |  5 +++--
 embed/web-extension/ephy-uri-tester-proxy.h |  5 ++++-
 embed/web-extension/ephy-web-extension.c    |  3 ++-
 lib/ephy-uri-tester-interface.h             |  9 ++++++++
 5 files changed, 40 insertions(+), 15 deletions(-)

commit edee9612e99442a830327279c014dc4332fa0d4d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 23 15:17:45 2016 -0600

    prefs-dialog: Do not use embed web context for sync webview

    Turns out this is crazy, it results in the Ephy web extension
    running in
    the web process. Instead, stick with the default web context and just
    set Accept-Lang headers on that as well, so we don't lose localization
    of the login page. We can still safely get user agent etc. via the
    shared settings object.

 embed/ephy-embed-prefs.c | 4 ++++
 src/prefs-dialog.c       | 4 ----
 2 files changed, 4 insertions(+), 4 deletions(-)

commit c492aafef0e7db3b0ce00747de0bea81a7b119c4
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Wed Nov 23 11:13:09 2016 +0100

    web-extension: style fix

 embed/web-extension/ephy-web-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7ba5e64a4c3df76b14b7dbb529ebd6645af999ef
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 22 18:38:01 2016 -0600

    window: Fix key event state comparisons

    GDK can set random bits in the state to indicate internal stuff. We
    have
    to use GDK_MODIFIER_MASK to mask out its reserved values before trying
    to look at the state.

    https://bugzilla.gnome.org/show_bug.cgi?id=772437

 src/ephy-window.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a32705fd4a8aff47a917f1627ee1bff18192f806
Author: Sergio Villar <svillar@igalia.com>
Date:   Thu Nov 10 09:39:00 2016 -0600

    web-extension: Detect form controls when added after document-loaded

    https://bugzilla.gnome.org/show_bug.cgi?id=773327

 embed/web-extension/ephy-web-extension.c | 32
 +++++++++++++-------------------
 1 file changed, 13 insertions(+), 19 deletions(-)

commit 53e91aac49fe9551676ea557220017167ce16072
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 22 10:18:08 2016 -0600

    Require WebKitGTK+ 2.15.2

    For new form control detection API

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37e657bb8925df5648c57566c1fc1629cdebe5b9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 22 07:53:32 2016 -0600

    window: Add alt-left/right to key event blacklist

    Seems WebKit always handles these key combinations, breaking our
    back/forward shortcuts.

 src/ephy-window.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6ff26acccd0b90ec364681dc7d87b76818b6349f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 17:55:16 2016 -0600

    Really handle focus stealing prevention properly"

    This reverts commit 0283906a4ba772d447bde4a9c5b738a6e027edaa and also
    fixes the bug, all in one!

    The original commit was not correct: it conflated UNIX time
    (g_get_real_time) with X11 time (gtk_get_current_event_time). The
    easiest way to fix it would be to simply call the later instead of the
    former, but I also want to revert to using the more explicit API where
    the caller must pass the user time manually, so do that too.

 embed/ephy-download.c                | 54
 ++++++++++++++++--------------------
 embed/ephy-download.h                |  5 ++--
 lib/widgets/ephy-download-widget.c   |  3 +-
 lib/widgets/ephy-downloads-popover.c |  4 ++-
 4 files changed, 32 insertions(+), 34 deletions(-)

commit 28e9892775428a80c8819f5522387beaca1b6d22
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 18:03:44 2016 -0600

    langs: Code style improvements

 lib/ephy-langs.c | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 13c3ba9bda1dcb8fd8e5241eb5c5faecf7c85651
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 17:47:44 2016 -0600

    doap: Use more HTTPS

 epiphany.doap | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 55adee5c891d1b7c6d2c76f99bb94ed2c5734813
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 17:13:27 2016 -0600

    Prepare 3.23.2.1

 NEWS         | 8 ++++++++
 configure.ac | 2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

commit 79d52375239b4d8b95890beeeb85c7d7bd6de943
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 15:17:21 2016 -0600

    bookmarks-manager: simplify finalize

    Again, these functions are intended for dispose, where we really
    need to
    reset the values to NULL, not finalize.

 src/bookmarks/ephy-bookmarks-manager.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4ab313b322cc5bca542dfc6d183438a4557db018
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 15:07:43 2016 -0600

    bookmark: Fix leaks in ephy_bookmark_new

    The property setters will duplicate the strings, they don't claim
    ownership

 src/bookmarks/ephy-bookmark.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1b5cf44b73bcfa69feb8652e493f62090d36938f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 15:03:54 2016 -0600

    bookmark: Fix leaks in property setters

 src/bookmarks/ephy-bookmark.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d6a8d17be8e16ee02ade994fb28859868a9978c1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 15:00:29 2016 -0600

    bookmarks-manager: Fix leak of gvdb_filename

 src/bookmarks/ephy-bookmarks-manager.c | 2 ++
 1 file changed, 2 insertions(+)

commit f4d656a868b391aa383af3526b4a1712c5e58e55
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 14:59:46 2016 -0600

    bookmark: Simplify finalize function

    It's finalize so we don't need to set anything to NULL

 src/bookmarks/ephy-bookmark.c | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 2aa60af0b078af9e2776cbca4812d3345721db05
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 14:46:55 2016 -0600

    bookmark: Fix leak of id

    Direct leak of 891 byte(s) in 27 object(s) allocated from:
        #0 0x7f037a037e60 in malloc (/lib64/libasan.so.3+0xc6e60)
        #1 0x7f0365b418f6 in g_malloc
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:94
        #2 0x7f0365b41bb3 in g_malloc_n
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:331
        #3 0x7f0365b5e4d8 in g_strdup
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gstrfuncs.c:363
        #4 0x7f03799e74fc in ephy_bookmark_set_id
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmark.c:353
        #5 0x7f03799ee6b5 in ephy_bookmarks_manager_load_from_file
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:620
        #6 0x7f03799ed26a in ephy_bookmarks_manager_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:223
        #7 0x7f03691b5c55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #8 0x7f036919c2aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #9 0x7f036919c7b9 in g_object_newv
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1930
        #10 0x7f036919be5b in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1623
        #11 0x7f03799ed2fc in ephy_bookmarks_manager_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:245
        #12 0x7f0379a0b45d in ephy_shell_get_bookmarks_manager
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-shell.c:774
        #13 0x7f03799f0d05 in ephy_bookmarks_popover_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-popover.c:485
        #14 0x7f03691b5c55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #15 0x7f036919c2aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #16 0x7f036919cefe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #17 0x7f036919beaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #18 0x7f03799f13a4 in ephy_bookmarks_popover_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-popover.c:559
        #19 0x7f03799f8dbe in ephy_header_bar_constructed
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-header-bar.c:701
        #20 0x7f036919c3f5 in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1823
        #21 0x7f036919cefe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #22 0x7f036919beaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #23 0x7f03799f9583 in ephy_header_bar_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-header-bar.c:793
        #24 0x7f0379a15fcf in setup_header_bar
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:2835
        #25 0x7f0379a16850 in ephy_window_constructed
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:3005
        #26 0x7f036919c3f5 in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1823
        #27 0x7f036919cefe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #28 0x7f036919beaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #29 0x7f0379a17200 in ephy_window_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:3134

 src/bookmarks/ephy-bookmark.c | 1 +
 1 file changed, 1 insertion(+)

commit ae04d88ad5fc66e4868dedcba971d24d914ce338
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 14:12:20 2016 -0600

    sync-service: Fix leak in _init

    Direct leak of 25 byte(s) in 1 object(s) allocated from:
        #0 0x7fd43d6ade60 in malloc (/lib64/libasan.so.3+0xc6e60)
        #1 0x7fd4291b88f6 in g_malloc
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:94
        #2 0x7fd4291b8bb3 in g_malloc_n
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:331
        #3 0x7fd4291d54d8 in g_strdup
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gstrfuncs.c:363
        #4 0x7fd4291f3946 in g_variant_dup_string
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gvariant.c:1529
        #5 0x7fd42cbaabea in g_settings_get_string
    /home/mcatanzaro/src/jhbuild/checkout/glib/gio/gsettings.c:1791
        #6 0x7fd43d0a0a35 in ephy_sync_service_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-service.c:621
        #7 0x7fd42c82cc55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #8 0x7fd42c8132aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #9 0x7fd42c8137b9 in g_object_newv
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1930
        #10 0x7fd42c812e5b in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1623
        #11 0x7fd43d0a0a8d in ephy_sync_service_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-service.c:632
        #12 0x7fd43d08086c in ephy_shell_startup
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-shell.c:325
        #13 0x7fd42c80d9de in g_cclosure_marshal_VOID__VOID
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gmarshal.c:875
        #14 0x7fd42c80b01b in g_type_class_meta_marshal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gclosure.c:997
        #15 0x7fd42c80a9c7 in g_closure_invoke
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gclosure.c:804
        #16 0x7fd42c827b7e in signal_emit_unlocked_R
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gsignal.c:3565
        #17 0x7fd42c8271b6 in g_signal_emit_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gsignal.c:3391
        #18 0x7fd42c8276f8 in g_signal_emit
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gsignal.c:3447
        #19 0x7fd42cb17b91 in g_application_register
    /home/mcatanzaro/src/jhbuild/checkout/glib/gio/gapplication.c:2049
        #20 0x7fd42cb15db0 in g_application_real_local_command_line
    /home/mcatanzaro/src/jhbuild/checkout/glib/gio/gapplication.c:1012
        #21 0x7fd42e38b67c in gtk_application_local_command_line
    /home/mcatanzaro/src/jhbuild/checkout/gtk+-3/gtk/gtkapplication.c:332
        #22 0x7fd42cb182af in g_application_run
    /home/mcatanzaro/src/jhbuild/checkout/glib/gio/gapplication.c:2350
        #23 0x4032ab in main
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-main.c:432
        #24 0x7fd428dba730 in __libc_start_main (/lib64/libc.so.6+0x20730)

 src/sync/ephy-sync-service.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0dc4191bedcaac174ad5ac4eb785e4195a4450e9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 14:11:25 2016 -0600

    bookmarks-manager: Fix leaks in _load_from_file

    Direct leak of 80 byte(s) in 1 object(s) allocated from:
        #0 0x7fd43d6ae020 in calloc (/lib64/libasan.so.3+0xc7020)
        #1 0x7fd4291b895f in g_malloc0
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:124
        #2 0x7fd4291b8c27 in g_malloc0_n
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:355
        #3 0x7fd43d0da5e7 in gvdb_table_get_names
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/gvdb/gvdb/gvdb-reader.c:381
        #4 0x7fd43d0653ed in ephy_bookmarks_manager_load_from_file
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:577
        #5 0x7fd43d06426a in ephy_bookmarks_manager_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:223
        #6 0x7fd42c82cc55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #7 0x7fd42c8132aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #8 0x7fd42c8137b9 in g_object_newv
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1930
        #9 0x7fd42c812e5b in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1623
        #10 0x7fd43d0642fc in ephy_bookmarks_manager_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:245
        #11 0x7fd43d0823bf in ephy_shell_get_bookmarks_manager
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-shell.c:773
        #12 0x7fd43d067ce7 in ephy_bookmarks_popover_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-popover.c:485
        #13 0x7fd42c82cc55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #14 0x7fd42c8132aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #15 0x7fd42c813efe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #16 0x7fd42c812eaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #17 0x7fd43d068386 in ephy_bookmarks_popover_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-popover.c:559
        #18 0x7fd43d06fda0 in ephy_header_bar_constructed
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-header-bar.c:701
        #19 0x7fd42c8133f5 in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1823
        #20 0x7fd42c813efe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #21 0x7fd42c812eaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #22 0x7fd43d070565 in ephy_header_bar_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-header-bar.c:793
        #23 0x7fd43d08cf31 in setup_header_bar
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:2835
        #24 0x7fd43d08d7b2 in ephy_window_constructed
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:3005
        #25 0x7fd42c8133f5 in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1823
        #26 0x7fd42c813efe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #27 0x7fd42c812eaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #28 0x7fd43d08e162 in ephy_window_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:3134
        #29 0x7fd43d07d58d in session_parse_window
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-session.c:1082

 src/bookmarks/ephy-bookmarks-manager.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 554bedef320f4a65be0f9441846a2b608b4ac215
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 14:04:16 2016 -0600

    shell: Fix leak of bookmarks manager

    Direct leak of 2362 byte(s) in 56 object(s) allocated from:
        #0 0x7fd43d6ade60 in malloc (/lib64/libasan.so.3+0xc6e60)
        #1 0x7fd4291b88f6 in g_malloc
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:94
        #2 0x7fd4291b8bb3 in g_malloc_n
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:331
        #3 0x7fd4291d54d8 in g_strdup
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gstrfuncs.c:363
        #4 0x7fd43d05e0af in ephy_bookmark_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmark.c:283
        #5 0x7fd43d06567d in ephy_bookmarks_manager_load_from_file
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:618
        #6 0x7fd43d06426a in ephy_bookmarks_manager_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:223
        #7 0x7fd42c82cc55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #8 0x7fd42c8132aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #9 0x7fd42c8137b9 in g_object_newv
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1930
        #10 0x7fd42c812e5b in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1623
        #11 0x7fd43d0642fc in ephy_bookmarks_manager_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-manager.c:245
        #12 0x7fd43d0823bf in ephy_shell_get_bookmarks_manager
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-shell.c:773
        #13 0x7fd43d067ce7 in ephy_bookmarks_popover_init
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-popover.c:485
        #14 0x7fd42c82cc55 in g_type_create_instance
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gtype.c:1866
        #15 0x7fd42c8132aa in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1783
        #16 0x7fd42c813efe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #17 0x7fd42c812eaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #18 0x7fd43d068386 in ephy_bookmarks_popover_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/bookmarks/ephy-bookmarks-popover.c:559
        #19 0x7fd43d06fda0 in ephy_header_bar_constructed
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-header-bar.c:701
        #20 0x7fd42c8133f5 in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1823
        #21 0x7fd42c813efe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #22 0x7fd42c812eaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #23 0x7fd43d070565 in ephy_header_bar_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-header-bar.c:793
        #24 0x7fd43d08cf31 in setup_header_bar
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:2835
        #25 0x7fd43d08d7b2 in ephy_window_constructed
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:3005
        #26 0x7fd42c8133f5 in g_object_new_internal
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1823
        #27 0x7fd42c813efe in g_object_new_valist
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:2042
        #28 0x7fd42c812eaa in g_object_new
    /home/mcatanzaro/src/jhbuild/checkout/glib/gobject/gobject.c:1626
        #29 0x7fd43d08e162 in ephy_window_new
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-window.c:3134

Notes:
    Note this did not actually fix the asan trace in the commit
    message. Really fixed in 4ab313b322cc5bca542dfc6d183438a4557db018.

 src/ephy-shell.c | 1 +
 1 file changed, 1 insertion(+)

commit 12cf6bb7a294e414a95a242ef50ebe1d5a0db266
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 14:02:05 2016 -0600

    sync-crypto: Fix leak in ephy_sync_crypto_calculate_mac

    Direct leak of 2475 byte(s) in 55 object(s) allocated from:
        #0 0x7fd43d6ade60 in malloc (/lib64/libasan.so.3+0xc6e60)
        #1 0x7fd4291b88f6 in g_malloc
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmem.c:94
        #2 0x7fd42917dafd in g_base64_encode
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gbase64.c:269
        #3 0x7fd43d09a8ff in ephy_sync_crypto_calculate_mac
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-crypto.c:332
        #4 0x7fd43d09c032 in ephy_sync_crypto_compute_hawk_header
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-crypto.c:698
        #5 0x7fd43d09ef4c in ephy_sync_service_send_storage_request
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-service.c:276
        #6 0x7fd43d0a0679 in ephy_sync_service_issue_storage_request
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-service.c:567
        #7 0x7fd43d0a2e6b in
        ephy_sync_service_release_next_storage_message
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-service.c:1047
        #8 0x7fd43d0a38ef in delete_bookmark_conditional_response_cb
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/sync/ephy-sync-service.c:1196
        #9 0x7fd42cec3984 in soup_session_process_queue_item
    /home/mcatanzaro/src/jhbuild/checkout/libsoup/libsoup/soup-session.c:2038
        #10 0x7fd42cec3afe in async_run_queue
    /home/mcatanzaro/src/jhbuild/checkout/libsoup/libsoup/soup-session.c:2077
        #11 0x7fd42cec3c25 in idle_run_queue
    /home/mcatanzaro/src/jhbuild/checkout/libsoup/libsoup/soup-session.c:2111
        #12 0x7fd4291b2cf4 in g_idle_dispatch
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmain.c:5545
        #13 0x7fd4291b02b4 in g_main_dispatch
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmain.c:3203
        #14 0x7fd4291b1136 in g_main_context_dispatch
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmain.c:3856
        #15 0x7fd4291b131a in g_main_context_iterate
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmain.c:3929
        #16 0x7fd4291b13de in g_main_context_iteration
    /home/mcatanzaro/src/jhbuild/checkout/glib/glib/gmain.c:3990
        #17 0x7fd42cb183bd in g_application_run
    /home/mcatanzaro/src/jhbuild/checkout/glib/gio/gapplication.c:2381
        #18 0x4032ab in main
    /home/mcatanzaro/src/jhbuild/checkout/epiphany/src/ephy-main.c:432
        #19 0x7fd428dba730 in __libc_start_main (/lib64/libc.so.6+0x20730)

 src/sync/ephy-sync-crypto.c | 1 +
 1 file changed, 1 insertion(+)

commit 15c52b192a31591ebc8d5bdc77907f67cc2be034
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 11:40:02 2016 -0600

    sync-crypto: Clarify memory ownership

    We were sometimes leaking hash; this fixes that. Also, we had a
    use-after-free here using the SoupURI after it had already been freed.

    https://bugzilla.gnome.org/show_bug.cgi?id=774804

 src/sync/ephy-sync-crypto.c | 22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

commit a5dadf8970eb350762f26f4b8df1855dae159bc6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 13:48:17 2016 -0600

    uri-tester: Fix uninitialized memory use when DNT mode is disabled

 embed/ephy-uri-tester.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dc2e8c4fdee3767f9b23569837c23b1583294ae2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 13:13:13 2016 -0600

    uri-tester: Fix criticals before libhttpseverywhere is initialized

    I added a performance optimization to short-circuit the deferred
    request
    system for non-http:// URIs, since there's no reason to wait for
    libhttpseverywhere to be ready before processing them. But I forgot to
    actually not use libhttpseverywhere in that case, and changed
    libhttpseverywhere to emit the critical immediately instead of after
    checking the URI scheme.

 embed/ephy-uri-tester.c | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit c27e7004142ae0f736330c074893fb0f22ccf5db
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Nov 21 12:17:26 2016 -0600

    uri-tester: Fix criticals when libhttpseverywhere init is cancelled

 embed/ephy-uri-tester.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 86fd75de53ba32726e46a3409e0ec2465e6e0181
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Nov 21 12:23:53 2016 +0100

    Fix bookmarks migration

    EphyBookmarksManager always creates an empty bookmarks.gvdb on
    its init
    method, and migrate_bookmarks() checks whether bookmarks.gvdb already
    exists to avoid migrating the bookmarks twice. Since
    migrate_bookmarks()
    creates the EphyBookmarksManager before checking for bookmarks.gvdb,
    it
    always exists and bookmarks are never migrated. This is a regression
    introduced in commit 54006df8dba31a5a58686e7d2473d64f3e454683.
    This patch creates the manager after the initial checks, so that
    we also
    avoid creating the manager and all the sync IO involved if we are not
    going to use it.

    https://bugzilla.gnome.org/show_bug.cgi?id=774785

 src/profile-migrator/ephy-profile-migrator.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit cd011c46341d0d9a10b1118a09781394e47e746e
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Mon Nov 21 12:07:20 2016 +0100

    bookmarks: Add ephy_bookmarks_manager_new()

    And use it instead of g_object_new().

 src/bookmarks/ephy-bookmarks-manager.c       | 6 ++++++
 src/bookmarks/ephy-bookmarks-manager.h       | 2 ++
 src/ephy-shell.c                             | 2 +-
 src/profile-migrator/ephy-profile-migrator.c | 3 +--
 src/search-provider/ephy-search-provider.c   | 2 +-
 5 files changed, 11 insertions(+), 4 deletions(-)

commit 3ddc361aff9bdb766cc98c17ae61bdafe0798b69
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 20 21:26:59 2016 -0600

    Prepare 3.23.2

 NEWS         | 28 ++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 29 insertions(+), 1 deletion(-)

commit 3d4a8203a8f6fd3fd56409a4d373e092f7eb564c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Nov 20 17:33:09 2016 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 1752
 +++++++++++++++-----------------------------------------------
 1 file changed, 407 insertions(+), 1345 deletions(-)

commit edb200bd5f9a2b25343a77fcbbadac650e414882
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Nov 17 14:20:12 2016 +0000

    Update Spanish translation

 po/es.po | 744
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 443 insertions(+), 301 deletions(-)

commit 7688c7d8ca7ce0792fbc4c59e3200219fedaa086
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 16 15:11:42 2016 -0600

    window: add blacklist of events to not deliver to web view

    Certain window and tab management shortcuts are reserved by
    Epiphany and
    will never be delivered to the webpage, even though webpages should in
    general be allowed to override Epiphany shortcuts (e.g. Ctrl+B
    in Google
    Docs should embolden text and not open the old bookmarks dialog,
    Ctrl+I
    should italicize text and not open a new incognito window).

    https://bugzilla.gnome.org/show_bug.cgi?id=764653

 src/ephy-window.c | 34 +++++++++++++++++++++++++++++++---
 1 file changed, 31 insertions(+), 3 deletions(-)

commit 75064181739dfba25b5e3fa2f55e15959fe6cea3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 15 20:47:52 2016 -0600

    window: fix web view receiving events twice

    The current code propagates the event to the web view, then chains
    up if
    the web view doesn't handle the event. But chaining up causes
    GtkWindow
    to propagate the event to the web view yet again. Surely we never want
    to do that, so stop doing it.

    I think there must be some other bug here, though, in WebKit, that
    causes WebKit to sometimes do something with the event but then
    propagate anyway, which is wrong. If I'm right, then WebKit is
    unfortunately still broken, but this works around it in Epiphany
    and is
    the right thing to do anyway, since sending the same event to the web
    view twice is nonsense regardless of whether the web view propagates
    it
    or not.

    https://bugzilla.gnome.org/show_bug.cgi?id=764653

 src/ephy-window.c | 70
 +++++++++++++------------------------------------------
 1 file changed, 16 insertions(+), 54 deletions(-)

commit e5943e30c2cee2551f8e141384f62496d5373f6c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Nov 16 12:00:16 2016 -0600

    Add missing Help keyboard shortcut

 src/resources/epiphany-application-menu.ui | 1 +
 1 file changed, 1 insertion(+)

commit c1db7fb6e3d9d2fb3d117074634ae66d6f8f6796
Author: Ting-Wei Lan <lantw@src.gnome.org>
Date:   Tue Nov 15 18:48:04 2016 +0800

    Use ISO_CODES_PREFIX to find localedir of iso-codes

    This commit makes it possible to find translation data of iso-codes
    when
    epiphany and iso-codes are installed in different prefixes, which is
    common in JHBuild environments.

    We hardcode share/locale here because iso-codes.pc doesn't have
    the path
    of localedir written in it and most users and distributions don't
    modify
    the path of localedir.

    https://bugzilla.gnome.org/show_bug.cgi?id=774464

 lib/ephy-langs.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7f697f5bf91d37fbdc27a5c089dc2a6cad6e634
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Nov 15 08:38:54 2016 +0000

    Update Friulian translation

 po/fur.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ba7dbbd2afc7f050edf59d59141d3cd932164113
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:   Sun Nov 13 13:02:03 2016 +0000

    Update German translation

 po/de.po | 2284
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1188 insertions(+), 1096 deletions(-)

commit 73a74c76eb4c0d29934f655fccb6a7999ff8cc64
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sat Nov 12 20:01:45 2016 +0000

    Update Friulian translation

 po/fur.po | 25 ++++++++-----------------
 1 file changed, 8 insertions(+), 17 deletions(-)

commit 3e695d77bbed8469e77e99c3e7451f0ca225899c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 12 13:08:43 2016 -0600

    Improve handling of search the web menu item

    We shouldn't be putting the entire context menu item label into the
    GAction parameter. This is excessive and error-prone. We've started
    crashing after changing the quotation characters from ' to “”, for
    example. Also, some languages need to replace the quotation characters
    in translations, making the previous behavior especially
    risky. Lastly,
    extracting the search text from the ellipsized label means our search
    text itself will be ellipsized, which is undesirable and not the
    previous behavior prior to the GAction port.

    https://bugzilla.gnome.org/show_bug.cgi?id=774318

 src/ephy-window.c    | 148
 ++++++++++++++++++++++++++++++---------------------
 src/popup-commands.c |  18 +------
 2 files changed, 88 insertions(+), 78 deletions(-)

commit a327392247ff51d9e7780d076e70649ca4279cb0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 12 13:08:01 2016 -0600

    uri-tester: Remove workaround for fixed vala bug

 embed/ephy-uri-tester.c | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 54b49cd5be0a50073650f38fa4253864bb48a24d
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Nov 12 12:05:24 2016 +0100

    Updated Czech translation

 po/cs.po | 146
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 73 insertions(+), 73 deletions(-)

commit 76a858119069e80c69bf19777a4c7334d6d55180
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Nov 10 17:32:56 2016 -0600

    Use a bit more AX_REQUIRE_DEFINED

 configure.ac | 2 ++
 1 file changed, 2 insertions(+)

commit 99bdef6b96a0e272843cc64c15578ae5cebd909c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Nov 10 17:31:32 2016 -0600

    Resync autogen.sh with recommendation

    https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit ad9b2c6b5855f4fc4b60fdeca58446fc8103bb61
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Nov 10 17:30:38 2016 -0600

    Fix flag used for appdata validation

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7eb9e5a8643471683cc149cad68c5dd2c7f27b1
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Thu Nov 10 18:17:10 2016 +0000

    Update Friulian translation

 po/fur.po | 180
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 97 insertions(+), 83 deletions(-)

commit 171756ef95071db03f628ba6fade081f4c5a918c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Nov 10 11:19:09 2016 -0600

    window: Properly escape "search the web for" context menu item

    We can't pass single underscores in from the web as they'll be
    interpreted as GTK+ mnemonics.

Notes:
    It also fixes a memory leak that was introduced in the GAction port!

 src/ephy-window.c | 46 +++++++++++++++++++++++++++++++++-------------
 1 file changed, 33 insertions(+), 13 deletions(-)

commit 67fd64e3236c263b1cacabc96286398d15e1c05c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Nov 10 17:07:30 2016 +0100

    Use Unicode in translatable strings

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=774217

 data/org.gnome.epiphany.gschema.xml      | 24 ++++++++++++------------
 data/org.gnome.epiphany.host.gschema.xml | 10 +++++-----
 lib/ephy-time-helpers.c                  | 16 ++++++++--------
 src/ephy-window.c                        |  2 +-
 src/prefs-dialog.c                       |  2 +-
 src/window-commands.c                    |  6 +++---
 6 files changed, 30 insertions(+), 30 deletions(-)

commit 052fe4c99c6d3541e0718f43c2f3653a1a24cfe5
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Tue Nov 8 13:00:02 2016 +0100

    Updated Czech translation

 po/cs.po | 397
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 227 insertions(+), 170 deletions(-)

commit eb639c6a84d4f9d9c656d03badee4c6f3176d067
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Nov 7 15:52:21 2016 +0000

    Update Spanish translation

 po/es.po | 55 ++++++++++++++++++++++++++-----------------------------
 1 file changed, 26 insertions(+), 29 deletions(-)

commit 3b84f4c2179d590ecf67ee32914e51981e00621d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Nov 7 08:39:40 2016 +0000

    Update Friulian translation

 po/fur.po | 721
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 409 insertions(+), 312 deletions(-)

commit be02176649c89abab6e0165bf8de186d02b08744
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 21:23:21 2016 -0600

    hosts-manager: Simplify

    I realized I was being stupid, and have corrected this infraction.

    https://bugzilla.gnome.org/show_bug.cgi?id=773447

 lib/ephy-hosts-manager.c | 131
 +++++++----------------------------------------
 1 file changed, 18 insertions(+), 113 deletions(-)

commit 81233eb6b7184d74d713aae6806b73a709cca3c0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 21:18:17 2016 -0600

    Allow sites to request access to webcam/microphone

    This is not tested at all since I don't want to context switch to my
    laptop. It probably works. Users should complain if not.

 data/org.gnome.epiphany.host.gschema.xml | 10 ++++
 embed/ephy-web-view.c                    | 86
 ++++++++++++++++++++++++--------
 lib/ephy-hosts-manager.c                 | 44 ++++++++++++++++
 lib/ephy-hosts-manager.h                 |  4 +-
 4 files changed, 123 insertions(+), 21 deletions(-)

commit 6c66f18fe94db4924ff3868158fec7186ccab10d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 20:58:13 2016 -0600

    web-view: Split info bar creation into separate function

 embed/ephy-web-view.c | 91
 +++++++++++++++++++++++++++------------------------
 1 file changed, 49 insertions(+), 42 deletions(-)

commit 192582945fa64add29041145e29a1b6667146495
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 20:53:27 2016 -0600

    Remember geolocation permission requests

    Just like we do notification permission requests

 data/org.gnome.epiphany.host.gschema.xml |  5 ++
 embed/ephy-web-view.c                    | 85
 +++++++++++++++++++-------------
 lib/ephy-hosts-manager.c                 | 22 +++++++++
 lib/ephy-hosts-manager.h                 |  3 +-
 4 files changed, 80 insertions(+), 35 deletions(-)

commit 8896421b6cd7a9b8fcc5a151d0efc106b696ad74
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 20:28:17 2016 -0600

    web-view: Don't destroy info bar twice

 embed/ephy-web-view.c | 2 --
 1 file changed, 2 deletions(-)

commit bce147aa5ff95be94f84ddb52571398346c856c2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 20:15:18 2016 -0600

    Switch hosts manager to use a multiplexing API

    This is more scalable and is needed to avoid code duplication in
    EphyWebView

 embed/ephy-web-view.c                    | 14 +++++++----
 embed/web-extension/ephy-web-extension.c |  5 ++--
 lib/ephy-hosts-manager.c                 | 41
 ++++++++++++++++++++++++++++----
 lib/ephy-hosts-manager.h                 | 23 +++++++++---------
 4 files changed, 61 insertions(+), 22 deletions(-)

commit e4acc12fc10561cf8a349e8f68afaec4e28d1933
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 20:06:20 2016 -0600

    hosts-manager: Fix code style

 lib/ephy-hosts-manager.c | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit f296f019e8a789fd45947b6730cef10d838d6b8c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Nov 6 13:29:02 2016 -0600

    history-service: Actually delete database when clearing history

    Previously, deleting your history didn't even cause the size of the
    history database to shrink on disk. There's only one proper way to
    delete an SQLite database, and that's to remove it from the
    filesystem.

 lib/history/ephy-history-service.c | 25 +++++++++++++++++--------
 1 file changed, 17 insertions(+), 8 deletions(-)

commit 975669b972242206012bff939885f3faeb39ce08
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 5 08:00:06 2016 -0500

    bookmark-properties-grid: Adapt for removal of decode_and_sanitize

 src/bookmarks/ephy-bookmark-properties-grid.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6b6e00275d2b8b8f570713756b0572ea9d4c49c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 5 07:58:38 2016 -0500

    Revert "Sanitize passwords from URLs before displaying them"

    This reverts commit 34a55be44735a0f23b590a1db43f31cb68afc739.

 embed/ephy-web-view.c              |  6 +++---
 lib/ephy-uri-helpers.c             | 25 +------------------------
 lib/ephy-uri-helpers.h             |  2 +-
 lib/widgets/ephy-download-widget.c |  2 +-
 src/ephy-history-window.c          |  2 +-
 5 files changed, 7 insertions(+), 30 deletions(-)

commit a89a9b53afa708007628ffe55cb0bb895c2429e3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 5 07:58:31 2016 -0500

    Revert "Sanitize passwords from URLs before saving to history
    database"

    This reverts commit cbd0f2b43d468df2e7e3114d41787567bab57220.

 lib/ephy-uri-helpers.c             | 18 +++---------------
 lib/ephy-uri-helpers.h             |  1 -
 lib/history/ephy-history-service.c |  8 +-------
 3 files changed, 4 insertions(+), 23 deletions(-)

commit ae29c26fb703752223669fa0a33c92f67c5fbc09
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Nov 5 07:58:13 2016 -0500

    Revert "Sanitize passwords from URLs before storing as bookmarks"

    This reverts commit ed8685d320901f84e9c3f4787c06d3b3d0ba8fdd.

    Really not sure whether we want to do this or not.

 src/bookmarks/ephy-add-bookmark-popover.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit 93914a5ce58aa5848698ea7551614718b79e8afa
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Nov 4 08:34:43 2016 -0500

    Fix linking with WebKit trunk

    We forgot to link to nettle and hogweed. It only worked because WebKit
    was pulling them in via GnuTLS, but WebKit has now switched to gcrypt.

    Also, use the pkg-config variables in the proper place in tests.

 configure.ac                     |  1 +
 src/Makefile.am                  |  8 ++++++++
 src/profile-migrator/Makefile.am |  4 ++++
 src/search-provider/Makefile.am  |  4 ++++
 tests/Makefile.am                | 22 ++++++++++++----------
 5 files changed, 29 insertions(+), 10 deletions(-)

commit 0830b9c783fe13d6bd6a66305d6c3fb7258640cf
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:   Fri Nov 4 12:50:58 2016 +0000

    Update Hungarian translation

 po/hu.po | 2166
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1097 insertions(+), 1069 deletions(-)

commit 01c6de96db1ed8a58daba0da6edad1ebd807762f
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Fri Nov 4 02:07:52 2016 +0000

    Update Turkish translation

 po/tr.po | 780
 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 388 insertions(+), 392 deletions(-)

commit 7c5d710bb9e0ff5fcae4910a4e78a2059414f603
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Nov 3 10:11:29 2016 -0500

    web-extension: Add missing casts

    https://bugzilla.gnome.org/show_bug.cgi?id=773830

 embed/web-extension/ephy-web-extension.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4014bd649f1ab1884956898c675f4c935e76204e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Nov 3 09:11:31 2016 +0000

    Update Spanish translation

 po/es.po | 2157
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1093 insertions(+), 1064 deletions(-)

commit 7f3a9f7186ba6367a21054d8df0d75b1eddc5e13
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Wed Nov 2 15:20:21 2016 +0100

    [REGRESSION] Infinite loop in forms with multiple saved credentials

    We should not listen to changes in the username input field while
    editing
    its contents by using
    webkit_dom_html_input_element_set_editing_values()
    under the risk of ending up recursively calling fill_form_cbi()
    forever.

    Ideally WebKitGtk+ should provide a mechanism similar to
    g_signal_handlers_block_by_func() to address this kind of issues. We
    could
    surround the set_editing_values() call by a pair of
    webkit_dom_event_target_remove_event_listener() and
    webkit_dom_event_target_add_event_listener() but that would force
    us to
    somehow pass the webpage to fill_form_cb, and what's worst,
    duplicate the
    multiple credentials detection code.

    https://bugzilla.gnome.org/show_bug.cgi?id=773830

 embed/web-extension/ephy-web-extension.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 4ee761874a41c2331c8b510139516922c09fbc73
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 20:28:37 2016 -0500

    embed-shell: Clarify startup a bit

    Tests don't run the embed shell application instance.

    Hence, this is a great place to create the UriTester. Right before the
    D-Bus server is created.

 embed/ephy-embed-shell.c | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

commit d13928c5c8d20ddf64c17b10f9d656072c51fb82
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 20:00:28 2016 -0500

    uri-tester: Track DBus peers and unregister object when disposing

    Speculative fix for a reported crasher

 embed/ephy-embed-shell.c |  6 +++--
 embed/ephy-uri-tester.c  | 63
 ++++++++++++++++++++++++++++++++++++++++++++++--
 embed/ephy-uri-tester.h  |  4 +--
 3 files changed, 67 insertions(+), 6 deletions(-)

commit 238d301d267b25bffc8f52dbce2cef70e38725bb
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 19:30:09 2016 -0500

    view-source-handler: requests must now keep alive the handler

 embed/ephy-view-source-handler.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ee2b99043044ff9f7918820ef2f291055a3efe2c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 19:26:26 2016 -0500

    bookmarks-manager: Fix duplicate signal connections

 src/bookmarks/ephy-bookmarks-manager.c | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 2d2f50f1bc13a7bc77578743b830d3b47f65409f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 19:26:08 2016 -0500

    bookmarks-manager: Fix code style

 src/bookmarks/ephy-bookmarks-manager.c | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 06ccd48edf60ce47d879c89b289486f0b39cbf1e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 19:24:51 2016 -0500

    bookmarks-manager: Remove unused code

 src/bookmarks/ephy-bookmarks-manager.c | 26 --------------------------
 1 file changed, 26 deletions(-)

commit c918913bae6c1d6ae306217fd0bc5726069220b6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 19:23:05 2016 -0500

    web-extension-proxy: Don't print error if cancelled

 embed/ephy-web-extension-proxy.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 2096010af830ca27fdea19b1cbf45e89a32fadb8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 18:57:08 2016 -0500

    web-extension-proxy: Fix misuse of GCancellable

 embed/ephy-web-extension-proxy.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 69347119711f33ba3d96a13f994b6d420e7d6963
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 18:56:52 2016 -0500

    view-source-handler: Fix misuse of GCancellable

 embed/ephy-view-source-handler.c | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit aa9e90aeff7ea49b6783871fdce050ec0e6308fe
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 18:56:38 2016 -0500

    uri-tester: Fix misuse of GCancellable

 embed/ephy-uri-tester.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 69fa50f07bcdaeae7c13b6d78283f44c2c64a9be
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 18:54:42 2016 -0500

    ephy-web-extension: Remove unused cancellable

    It's not needed anymore after the EphyUriTester rework, I just
    failed to
    notice.

 embed/web-extension/ephy-web-extension.c | 5 -----
 1 file changed, 5 deletions(-)

commit b68716799da3fa8c89af31cc681bb3c74b33028e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 18:09:23 2016 -0500

    bookmarks-row: Be alive when favicon is loaded

 src/bookmarks/ephy-bookmark-row.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit feacce23897127e0eb13bf93b75e753d8e18767b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 18:00:36 2016 -0500

    bookmarks: Split list model functionality into separate class

    This is much less efficient, but it also makes the code much
    simpler and
    more robust. Using EphyBookmarksManager as the list model was a good
    choice at the time, when we were not thinking about smart bookmarks,
    but
    now that we need to handle both it doesn't work so well. My initial
    implementation was complex and buggy. Simplify this.

 src/Makefile.am                           |   2 +
 src/bookmarks/ephy-bookmarks-list-model.c | 193
 ++++++++++++++++++++++++++++++
 src/bookmarks/ephy-bookmarks-list-model.h |  36 ++++++
 src/bookmarks/ephy-bookmarks-manager.c    |  54 +--------
 src/bookmarks/ephy-bookmarks-popover.c    |  20 +++-
 src/ephy-location-controller.c            |   2 +
 6 files changed, 251 insertions(+), 56 deletions(-)

commit 9e00ce881d3e5c8189248a4e0323b75de7f3979e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 16:55:14 2016 -0500

    bookmarks-manager: Fix emission of model-changed signal

    I broke this when trying to filter smart bookmarks out of the model.

 src/bookmarks/ephy-bookmarks-manager.c | 42
 +++++++++++++++++++++++-----------
 1 file changed, 29 insertions(+), 13 deletions(-)

commit 09170308b8ee326f5c90f3ea72a7017b563cf147
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 11:44:19 2016 -0500

    bookmarks-manager: Ref bookmarks in get_smart_bookmarks

    The container owns the reference; this fixes a memory corruption
    issue.

 src/bookmarks/ephy-bookmarks-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f09f3ad9fb719f8c0f7a7eb59fdb34dce0106ded
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 11:42:47 2016 -0500

    Fix memory management of get_by_tags

    We need to ref all the bookmarks that we put into this container. It
    wasn't crashing because we accidentally leaked the container.

 src/bookmarks/ephy-bookmarks-manager.c | 4 ++--
 src/bookmarks/ephy-bookmarks-popover.c | 2 ++
 2 files changed, 4 insertions(+), 2 deletions(-)

commit ceda45d402087e0250db98f8d8ff9c38be8d34cf
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Nov 1 11:42:22 2016 -0500

    bookmark: Improve some assertions

 src/bookmarks/ephy-bookmark.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ff9abfebfdab6e5b2693cd2f922d61352bb58380
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Nov 1 09:45:52 2016 +0100

    Updated Czech translation

 po/cs.po | 243
 ++++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 132 insertions(+), 111 deletions(-)

commit be9184e258202edbbb16f53d3480a9e85b315655
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 21:41:30 2016 -0500

    Hide bookmarks star on about pages

 lib/widgets/ephy-location-entry.c         | 40
 ++++++++++++++++++++-----------
 lib/widgets/ephy-location-entry.h         | 10 ++++++--
 src/bookmarks/ephy-add-bookmark-popover.c |  7 +++---
 src/ephy-window.c                         | 11 ++++++---
 4 files changed, 46 insertions(+), 22 deletions(-)

commit 50dfe139266431972a22958ce40637aacd13214f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 21:21:10 2016 -0500

    Remove private headers

    There's no public API anymore and no extensions. Having private
    headers
    years later serves no purpose and is just confusing.

 embed/Makefile.am                               |  1 -
 embed/ephy-about-handler.c                      |  1 -
 embed/ephy-embed-private.h                      | 55
 ---------------------
 embed/ephy-embed-shell.c                        |  1 -
 embed/ephy-embed-utils.c                        |  1 -
 embed/ephy-web-view.c                           |  1 -
 embed/ephy-web-view.h                           | 27 ++++++++++
 src/Makefile.am                                 |  1 -
 src/ephy-header-bar.c                           |  1 -
 src/ephy-lockdown.c                             |  4 +-
 src/ephy-main.c                                 |  1 -
 src/ephy-private.h                              | 65
 -------------------------
 src/ephy-session.c                              |  1 -
 src/ephy-session.h                              |  3 ++
 src/ephy-shell.c                                |  1 -
 src/ephy-shell.h                                | 13 +++++
 src/ephy-window.c                               |  1 -
 src/ephy-window.h                               | 11 +++++
 src/popup-commands.c                            |  1 -
 src/search-provider/ephy-search-provider-main.c |  3 +-
 src/window-commands.c                           |  1 -
 tests/ephy-completion-model-test.c              |  1 -
 tests/ephy-download-test.c                      |  1 -
 tests/ephy-embed-shell-test.c                   |  1 -
 tests/ephy-encodings-test.c                     |  1 -
 tests/ephy-migration-test.c                     |  2 -
 tests/ephy-session-test.c                       |  2 -
 tests/ephy-shell-test.c                         |  2 -
 tests/ephy-web-app-utils-test.c                 |  1 -
 tests/ephy-web-view-test.c                      |  2 -
 30 files changed, 58 insertions(+), 149 deletions(-)

commit 99f101b16c892eaf7fc06b02cbb46e4d7f9691d2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 21:08:03 2016 -0500

    web-view: Improve a comment

 embed/ephy-web-view.c | 1 +
 1 file changed, 1 insertion(+)

commit 844bf28a8f66f50be97070951b175c308fbfc2cc
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 20:55:28 2016 -0500

    Add option to load the homepage in new tabs

    This has been requested for a web kiosk environment. It doesn't make
    sense for desktop users, but again, there's almost no maintenance
    cost,
    so why not.

 data/org.gnome.epiphany.gschema.xml |  5 +++++
 lib/ephy-prefs.h                    |  1 +
 src/window-commands.c               | 12 +++++++++---
 3 files changed, 15 insertions(+), 3 deletions(-)

commit 6b530964ac6de09dcb01c2dfa774bbaa111b29e5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 17:52:12 2016 -0500

    Restore preference to set homepage

    Several users have requested this and even if it seems silly, there's
    nothing to be gained in denying them. This feature is extremely
    low-maintenance.

    This will probably never be well-tested, since hardly anybody wants
    homepages anymore. Users should be prepared to report bugs if things
    break or are broken.

    https://bugzilla.gnome.org/show_bug.cgi?id=702435

 data/org.gnome.epiphany.gschema.xml |  5 +++++
 embed/ephy-web-view.c               | 28 ++++++++++++++++++++--------
 lib/ephy-prefs.h                    |  1 +
 src/ephy-location-controller.c      |  7 ++++++-
 src/ephy-shell.c                    |  2 +-
 src/window-commands.c               |  2 +-
 6 files changed, 34 insertions(+), 11 deletions(-)

commit 8094d949c2c85405fbafb7ce8caeaab5469ef032
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 17:28:02 2016 -0500

    main: Exit cleanly on SIGINT or SIGTERM

 src/ephy-main.c       | 35 ++++++++++++++++++++++++++++++++++-
 src/ephy-shell.c      |  8 +++++++-
 src/ephy-shell.h      |  2 ++
 src/window-commands.c |  3 +--
 4 files changed, 44 insertions(+), 4 deletions(-)

commit 4350e43d7423c8f438b877b9ff88a1c3c5c0d0d7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 16:54:23 2016 -0500

    Refresh completion model actions if smart bookmark changes

    https://bugzilla.gnome.org/show_bug.cgi?id=772407

 src/bookmarks/ephy-bookmarks-manager.c | 44
 ++++++++++++++++++++++++++++++++++
 src/ephy-location-controller.c         | 25 +++++++------------
 2 files changed, 53 insertions(+), 16 deletions(-)

commit 7ca661dbe8db4709d65b54fb67a188cfcdca15d7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 16:23:02 2016 -0500

    Filter smart bookmarks out of bookmarks popover

 src/bookmarks/ephy-bookmarks-manager.c | 28 ++++++++++++++++++++++------
 src/bookmarks/ephy-bookmarks-popover.c | 12 ++++++++++++
 2 files changed, 34 insertions(+), 6 deletions(-)

commit 25a9993182d91fc8b50d0243e5e551e045c74b5d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 31 16:21:03 2016 -0500

    Restore smart bookmarks

    It works exactly the same as before. If the bookmark includes %s,
    add it
    to the completion model.

 src/bookmarks/ephy-bookmark.c          |  35 +++++++++
 src/bookmarks/ephy-bookmark.h          |   4 +
 src/bookmarks/ephy-bookmarks-manager.c |  33 +++++++++
 src/bookmarks/ephy-bookmarks-manager.h |   1 +
 src/ephy-completion-model.c            |   5 +-
 src/ephy-location-controller.c         | 131
 ++++++++++++++++++++++++++++++++-
 6 files changed, 204 insertions(+), 5 deletions(-)

commit d0dd1da0f2c3ae7df2875475e83a3832070e50a3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 30 15:38:57 2016 -0500

    completion-model: chain up in constructed

    ...

 src/ephy-completion-model.c | 2 ++
 1 file changed, 2 insertions(+)

commit 04233fe8d38a54783f7cda0d89f39856211de612
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 30 15:53:30 2016 -0500

    bookmarks-manager: Fix whitespace

 src/bookmarks/ephy-bookmarks-manager.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit db4db2d5bca2fc6a12af031f9be0641444d8f306
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Oct 30 20:47:25 2016 +0200

    Updated Lithuanian translaton

 po/lt.po | 3004
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1501 insertions(+), 1503 deletions(-)

commit d7237ad2b1e1f28d0cddd6c1d666186f5221aae6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 29 20:30:53 2016 -0500

    main: remove startup error dialog

    This should never ever be shown. I've never ever seen it shown. We
    should always always trigger the distro bug reporting tool if we
    fail to
    start. That means we'd better crash.

 src/ephy-main.c | 27 ++-------------------------
 1 file changed, 2 insertions(+), 25 deletions(-)

commit 7e47bc4f8e16151aa5dcef65f037a48368c2941b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 29 18:47:13 2016 -0500

    Update TODO

 TODO | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 3487dd22e3e591063cee49d32eff55c951083188
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 29 17:17:09 2016 -0500

    uri-tester: Avoid spurious HTTPS Everywhere update warning

    This is not an unexpected condition, we don't need to warn about it.

 embed/ephy-uri-tester.c | 1 +
 1 file changed, 1 insertion(+)

commit 03d53f0149f65d379206fe4e6c90da7d71271b32
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 29 16:10:22 2016 -0500

    uri-tester: Steal adblock filters from default profile in app mode

    Since adblock filters are big, we don't want to keep a separate
    copy for
    each app. This became easy to implement after moving EphyUriTester to
    the UI process.

    https://bugzilla.gnome.org/show_bug.cgi?id=755379

 embed/ephy-uri-tester.c | 18 +++++++++++++++++-
 1 file changed, 17 insertions(+), 1 deletion(-)

commit 72afb13bf976add0b7adcb354cdb2a0a41a7afae
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 29 15:56:45 2016 -0500

    main: default to the default profile in incognito mode

    epiphany --incognito-mode unexpectedly behaves differently than the
    incognito mode app menu option. It is supposed to steal data from the
    default profile directory, but this is currently broken unless the
    profile is passed explicitly. The problem is that ephy_dot_dir() is
    guaranteed to be NULL here, because ephy_file_helpers_init() has
    not yet
    been called.

 src/ephy-main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 82076f20c07043de04fd9cd12b909d080f286b28
Author: liushuyu <liushuyu_011@126.com>
Date:   Sat Oct 29 22:50:37 2016 +0800

    Update zh_CN translation

 po/zh_CN.po | 1647
 +++++++++++++++++++++++++++++++++++------------------------
 1 file changed, 967 insertions(+), 680 deletions(-)

commit fa0442c781c670833a852344a233e823904975d7
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Fri Oct 28 19:54:17 2016 +0000

    Update Friulian translation

 po/fur.po | 346
 ++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 169 insertions(+), 177 deletions(-)

commit 39cf7ce2d2333912107304f479ba708c2189c392
Author: Marek Černocký <marek@manet.cz>
Date:   Fri Oct 28 18:54:58 2016 +0200

    Updated Czech translation

 po/cs.po | 1696
 +++++++++++++++++++++++++-------------------------------------
 1 file changed, 669 insertions(+), 1027 deletions(-)

commit 869ba52e787363fbaa5f30967bd99bc41b14cdb0
Author: Sergio Villar Senin <svillar@igalia.com>
Date:   Fri Oct 28 14:41:08 2016 +0200

    Epiphany not detecting form controls created by JS frameworks

    This is the first patch from a set of 3 which removes the dependency
    with
    form_password. We don't actually need a named password field in
    forms in
    order to store/restore authentication data.

    https://bugzilla.gnome.org/show_bug.cgi?id=773327

 embed/web-extension/ephy-web-extension.c |  8 +++++---
 lib/ephy-form-auth-data.c                | 29
 +++++++++++++----------------
 2 files changed, 18 insertions(+), 19 deletions(-)

commit 1bf51d133667985ee7f89168e2d68e8bed8c4f03
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 28 06:50:20 2016 -0500

    "New Window" should never open incognito window

    There is already a different menu item to get an incognito window.

    https://bugzilla.gnome.org/show_bug.cgi?id=723185

 lib/ephy-file-helpers.c | 13 +++++++++++++
 lib/ephy-file-helpers.h |  1 +
 src/window-commands.c   | 12 +++++++++---
 3 files changed, 23 insertions(+), 3 deletions(-)

commit 1c4b038c2ddc3ca417299eeb2d015a70b59405ea
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 28 06:04:49 2016 -0500

    history-service: Initialize tables even in read-only mode

    The history service just is not built to handle the case where no
    history tables exist. We either need to upgrade every error path
    in this
    directory to not call g_warning in read-only mode, or just create the
    tables. Creating tables is harmless; we just don't want to insert
    history into them.

 lib/history/ephy-history-service.c | 3 ---
 1 file changed, 3 deletions(-)

commit 0f21f4b0b6d77c24ba07013a5192fdb3b5161ac2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 22:11:27 2016 -0500

    web-overview: Don't ever duplicate thumbnails

    When we were restored from page cache, we wound up with a page
    that has
    a populated group of overview thumbnails in the DOM, but
    EphyWebOverview
    itself has no knowledge of them, because the document-loaded signal
    never gets emitted in this case (well, actually it gets emitted
    when the
    document is loaded the FIRST time)....

    Fix this by removing all the code that's designed to manually
    add items
    to the overview. I don't see why it exists; EphyAboutHandler should
    always take care of adding overview items for us, so we shouldn't need
    to do any DOM manipulation here. Then manually call
    ephy_web_overview_document_loaded so that we populate our list of
    overview items.

    (If you're paying extra close attention, you'll notice that this
    commit
    deletes all the code modified in the previous commit.)

 embed/web-extension/ephy-web-overview.c | 176
 +++++++++++++-------------------
 1 file changed, 72 insertions(+), 104 deletions(-)

commit 51930150253889e18f667730137242aa73d45a37
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 20:05:30 2016 -0500

    Revert "Remove support for browser plugins"

    This reverts commit 9e1457f64b44d6847ea6b75a096aec105691c996.

    You win again, gravity....

 data/org.gnome.epiphany.gschema.xml |  4 ++
 embed/ephy-about-handler.c          | 85
 ++++++++++++++++++++++++++++++++++++-
 embed/ephy-embed-prefs.c            |  5 ++-
 lib/ephy-prefs.h                    |  1 +
 src/prefs-dialog.c                  |  7 +++
 src/resources/prefs-dialog.ui       |  7 +++
 6 files changed, 107 insertions(+), 2 deletions(-)

commit 64f372414e3400f9a2c49c5ece931d667fe523f8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 20:05:16 2016 -0500

    Revert "about-handler: Remove unused functions after about:plugins
    removal"

    This reverts commit ef5d1272d4fbed423aadce7c2099d297629e2b90.

 embed/ephy-about-handler.c | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 69def71511985485981d98a3f5af82972120aa9f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 20:04:53 2016 -0500

    Revert "window: Remove browser plugin leftover"

    This reverts commit ee8077a743ea5e076583477f4904656b3e062251.

    Also fix a typo in the comment.

 src/ephy-window.c | 8 ++++++++
 1 file changed, 8 insertions(+)

commit da85c2e2054b44a2fad3d95d312fca225cb900ab
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 20:03:57 2016 -0500

    Revert "Restore enable-plugins setting, hidden and off by default"

    This reverts commit b5914109106d3fdc760a690195651957a38d04d7.

 data/org.gnome.epiphany.gschema.xml | 4 ----
 embed/ephy-embed-prefs.c            | 5 +----
 lib/ephy-prefs.h                    | 1 -
 3 files changed, 1 insertion(+), 9 deletions(-)

commit 8e3760951a2fec56f3dae393cec35a441aa35132
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 19:36:04 2016 -0500

    web-overview: Update for new overview layout

    We are hitting a bunch of criticals here because the DOM has changed.

 embed/web-extension/ephy-web-overview.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 11b567c31e61324a38ca10777fb4538f22004b82
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 19:21:40 2016 -0500

    Improve a comment

 embed/web-extension/ephy-web-overview.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c894fd7d9d905f34a86439eb269e5743e596b14b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 15:27:15 2016 -0500

    Prepare 3.23.1.2

 NEWS         | 6 ++++++
 configure.ac | 2 +-
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 7a97daa0b7075265c0f542c4e5be9fcec91f060b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 14:10:33 2016 -0500

    Revert "Stop using unstable DOM API headers"

    This reverts commit b9f0578c7f82c801c0a46b7c6ff248b232fe7937.

    We forgot to include new the newly-stable headers in webkitdom.h.

 embed/web-extension/ephy-web-dom-utils.h | 2 ++
 embed/web-extension/ephy-web-extension.c | 2 ++
 embed/web-extension/ephy-web-overview.c  | 5 ++++-
 3 files changed, 8 insertions(+), 1 deletion(-)

commit b5914109106d3fdc760a690195651957a38d04d7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 27 11:06:34 2016 -0500

    Restore enable-plugins setting, hidden and off by default

    For people who really need deprecated NPAPI plugins still.

    We have several months to argue if this should be exposed to users.

 data/org.gnome.epiphany.gschema.xml | 4 ++++
 embed/ephy-embed-prefs.c            | 5 ++++-
 lib/ephy-prefs.h                    | 1 +
 3 files changed, 9 insertions(+), 1 deletion(-)

commit f374b00bb0ce0f2803119d8d4903de7636481355
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Oct 26 16:32:05 2016 -0500

    web-extension: No longer need to set form values manually

    Thanks to Sergio for pointing this out.

 embed/web-extension/ephy-web-extension.c | 2 --
 1 file changed, 2 deletions(-)

commit b9f0578c7f82c801c0a46b7c6ff248b232fe7937
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Oct 26 11:21:42 2016 -0500

    Stop using unstable DOM API headers

    All API we need is now stable. The unstable API has been entirely
    removed as having API that can change without us noticing and
    without a
    soname bump is a serious problem for distros.

 embed/web-extension/ephy-web-dom-utils.h | 2 --
 embed/web-extension/ephy-web-extension.c | 2 --
 embed/web-extension/ephy-web-overview.c  | 5 +----
 3 files changed, 1 insertion(+), 8 deletions(-)

commit e34c87c316ca16dfe608def225523d2fe5872fbb
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 6 15:57:14 2016 -0500

    Make password autofill compatible with Angular forms

    Honestly, I have no clue what I've done here, but it's what Chromium
    does when it autofills a form, and it makes an Angular password form
    work on one of our internal sites, so it's probably good right?

    https://bugzilla.gnome.org/show_bug.cgi?id=772530

Notes:
    I forgot to credit José Dapena Paz for his help with debugging this,
    including spelunking through Chromium code to see what it was doing
    differently. Thanks!

 embed/web-extension/ephy-web-extension.c | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit 152ae0dfedec4aac3cee77a3edb98725dc2121ad
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Oct 26 11:27:43 2016 -0500

    Require WebKitGTK+ 2.15.1

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 83ab0312fb2063fb90f291171e65b03980d7d54a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 20:07:45 2016 -0500

    Prepare 3.23.1.1

 NEWS         |  7 +++++++
 configure.ac | 13 ++++---------
 2 files changed, 11 insertions(+), 9 deletions(-)

commit a55ea074075cca929cdbe3c84350c55eb1c4ab57
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 18:17:22 2016 -0500

    uri-tester: Do not update HTTPS Everywhere rulesets in test mode

    Nor in search provider mode

 embed/ephy-uri-tester.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit f54c5518cd6351e7c08a651a81b2087e86a75f56
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 18:12:53 2016 -0500

    web-extension: Really fix blocking of URIs

    We can't pass NULL here, we have to return TRUE to block it.

 embed/web-extension/ephy-web-extension.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 2a269f64980331606e353849fa7188f3109a388b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 17:55:57 2016 -0500

    Remove a bunch of unused settings

    I included this in the 3.23.1 NEWS file but forgot to actually do it.
    Oops.

 data/org.gnome.epiphany.gschema.xml          | 49
 ----------------------------
 lib/ephy-prefs.h                             | 12 -------
 src/profile-migrator/ephy-profile-migrator.c | 16 +--------
 3 files changed, 1 insertion(+), 76 deletions(-)

commit 736215735182e650da3524bc940056577db5cf7e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 14:22:35 2016 -0500

    Revert "Disable test-ephy-web-view"

    This reverts commit d0e0aed144f4b80ab7b67146c26a8a1a9481abe6.

 tests/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5c0ea56f0d46bcec85a20e87cc828d26fd9039b3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 14:22:20 2016 -0500

    Revert "Temporarily disable HTTPS Everywhere ruleset updates"

    This reverts commit 422ee5bab2a88d57fe7ef86284a58b3eca48919c.

 embed/ephy-uri-tester.c | 7 -------
 1 file changed, 7 deletions(-)

commit e8cb4f6ef64f5574dcb9c5767168a7584bbda3b7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 25 09:31:00 2016 -0500

    embed-prefs: Ignore recent GTK+ deprecations

 embed/ephy-embed-prefs.c | 3 +++
 1 file changed, 3 insertions(+)

commit 3a704432df66f19308ffadc9318a490294f43898
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 20:35:43 2016 -0500

    Prepare 3.23.1

 NEWS         | 76
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac |  5 ++--
 2 files changed, 79 insertions(+), 2 deletions(-)

commit d0e0aed144f4b80ab7b67146c26a8a1a9481abe6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 21:40:04 2016 -0500

    Disable test-ephy-web-view

 tests/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3f11d72e80473dbbd2dcec69ecf25bbf828d2291
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 21:33:58 2016 -0500

    web-extension: Fix blocking of URIs

 embed/web-extension/ephy-web-extension.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 422ee5bab2a88d57fe7ef86284a58b3eca48919c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 21:26:09 2016 -0500

    Temporarily disable HTTPS Everywhere ruleset updates

 embed/ephy-uri-tester.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit a5ade9526dd1569bb6a86be6dfa6cd676b197e30
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 21:15:32 2016 -0500

    uri-tester: Avoid spurious warning

    Using my big boy words: no wrongie, no warnie.

 embed/ephy-uri-tester.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d8e5ff7496278fdc35fe19d22b806aa26767fb36
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 20:53:02 2016 -0500

    Disable test-ephy-embed-shell

 tests/Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 243639eb226bd65a5fc1c0b6fc1be1d2bd31c771
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 20:40:37 2016 -0500

    Fix build warning

 embed/ephy-web-view.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ae6adf4d3bfcdf6e831a3fd83a7bb6a0fa03338
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 20:40:30 2016 -0500

    Fix build

 embed/ephy-web-view.c | 1 -
 1 file changed, 1 deletion(-)

commit 14de91211c89bed5c2d81b6b5758dfd56b1e7e10
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 20:18:28 2016 -0500

    Bump libhttpseverywhere requirement again

    This fixes the Updater to work if its data directory does not already
    exist.

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 314af73eb85cfee4151d923a0e8c54b659ee965e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 19:39:44 2016 -0500

    uri-tester: Only defer page loads if really required

    If the URI doesn't begin with http:// then there's no point in
    delaying
    the load while HTTPS Everywhere rulesets are loaded.

 embed/ephy-uri-tester.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fe4e310651f1f4b6fd3b3c6e68960133674d74c7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 19:34:15 2016 -0500

    uri-tester: Update HTTPS Everywhere rulesets every once in a while

 configure.ac            |  2 +-
 embed/ephy-uri-tester.c | 37 +++++++++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 1 deletion(-)

commit 6e99a3c35170353567dc4ab7ce652e34c7d1be98
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 19:16:46 2016 -0500

    uri-tester: Don't crash if UI process quits early

    There's no reason to crash here if we happen to be disposed before
    HTTPS
    Everywhere context is initialized. This might not be so hard to
    trigger
    in practice, just Ctrl+Q after opening the browser.

 embed/ephy-uri-tester.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit dec821c82205f953120d2c345fa069578f2fde31
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 24 18:56:21 2016 -0500

    Move libhttpseverywhere integration to EphyUriTester and reenable

    Seems to be working fine now.

 embed/Makefile.am                        |   2 +
 embed/ephy-uri-tester.c                  | 349
 ++++++++++++++++++++-----------
 embed/web-extension/Makefile.am          |   2 -
 embed/web-extension/ephy-web-extension.c |   6 -
 4 files changed, 225 insertions(+), 134 deletions(-)

commit cfab395a9749b3bde1ec267f081a7a87ce3eaf14
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 23 22:29:36 2016 -0500

    Move EphyUriTester to the UI process and make it a D-Bus interface

    For one thing, it's silly to have n different EphyUriTesters in n
    different web processes, each one loading up adblock filters
    separately.
    Once upon a time, this used to cause big problems when the different
    web
    processes would stomp on the global filters file. For us to ever
    implement a real filters configuration dialog, this needs to be
    handled
    in one place, by the UI process, and web extensions must just
    query the
    UI process when they want to use the URI tester.

    For another: it's basically required to use libhttpseverywhere
    effectively. We're going to have to set up almost this same exact
    interface for libhttpseverywhere, so might as well do it for adblock
    too. Why is it needed? Because loading HTTPS Everywhere rulesets takes
    ~2 seconds apiece. It's much too long to do each time we open a new
    browser tab, so we should do it in the UI process instead.

    An unfortunate consequence of this is that our GDBusConnection use in
    the web process can no longer be asynchronous. This is because we must
    have an EphyUriTesterProxy completely ready to be used before
    the first
    URI request is ready. We must handle each URI request synchronously
    as a
    consequence of WebKit's signal-based API. What a shame!

 embed/Makefile.am                                  |   3 +-
 embed/ephy-embed-shell.c                           |  17 +-
 embed/{web-extension => }/ephy-uri-tester.c        | 136 ++++++++++++++-
 embed/{web-extension => }/ephy-uri-tester.h        |  13 +-
 embed/ephy-web-extension-proxy.c                   |   2 +-
 embed/web-extension/Makefile.am                    |   5 +-
 embed/web-extension/ephy-uri-tester-proxy.c        | 119 +++++++++++++
 embed/web-extension/ephy-uri-tester-proxy.h        |  37 +++++
 embed/web-extension/ephy-web-extension-main.c      |   1 -
 embed/web-extension/ephy-web-extension.c           | 184
 ++++++---------------
 embed/web-extension/ephy-web-extension.h           |   1 -
 lib/Makefile.am                                    |   2 +
 .../ephy-dbus-names.h                              |   4 +
 lib/ephy-uri-tester-interface.h                    |  36 ++++
 14 files changed, 397 insertions(+), 163 deletions(-)

commit a31c3b53a15a1e36aca8ac4fa42f2f8ff24e8ff4
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 23 18:01:51 2016 -0500

    web-extension: Fix memory leak

 embed/web-extension/ephy-web-extension.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5f97c17566b20bf480115a6a830107cb606decbf
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 23 17:28:48 2016 -0500

    Tweak search provider stamp file dependency

    Should probably be rebuild if the generated Makefile is changed,
    right?

 src/search-provider/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74c150c841737c66d80947863e2472a3723ce0a8
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Mon Oct 24 20:13:06 2016 +0000

    Update Friulian translation

 po/fur.po | 2394
 +++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1208 insertions(+), 1186 deletions(-)

commit faf04301948b86e25fbe2cdc8c5d475b03cf9fe9
Author: Muhammet Kara <muhammetk@gmail.com>
Date:   Sun Oct 23 16:32:07 2016 +0000

    Update Turkish translation

 po/tr.po | 2114
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1072 insertions(+), 1042 deletions(-)

commit fc05345d0d7acde7bb7208159bca39783937e50e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 23 09:20:18 2016 -0500

    location-entry: Crash nicer if paste menuitem can't be found

    This is really unfortunate design, but I don't see any better way to
    implement the code, so we'll have to crash if the translation
    is wrong.

    Let's give a nice error message at least, and add a warning for the
    translators, since this is quite a trap otherwise.

    https://bugzilla.gnome.org/show_bug.cgi?id=772994

 lib/widgets/ephy-location-entry.c | 4 ++++
 1 file changed, 4 insertions(+)

commit b4dca2ea83d153cbdd9f2eea9e842e0744715624
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Sat Oct 22 18:42:23 2016 +0300

    ephy-file-helpers: Free GBytes with g_bytes_unref()

    Fixes segfault when trying to open a download file.

 lib/ephy-file-helpers.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9df29733b5946616292201ff17ca2e4c827c85c3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 18 09:03:46 2016 -0500

    Bring back KP_4/KP_6 shortcuts behind <alt> modifier

    Looks like this is how the code originally worked.

 src/ephy-window.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3efc47abd1d3d6286104c375b3258fba0c588e4e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 18 09:01:30 2016 -0500

    Remove KP_4 and KP_6 back/forward shortcuts

    These were ill-considered, you should be able to type numbers with the
    numpad.

 src/ephy-window.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 4946e458c519e9e79a08ede31ec73c1c4487e42d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 17:37:51 2016 -0500

    bookmark-properties-grid: Show multiple tags at a time

 src/resources/gtk/bookmark-properties-grid.ui | 2 ++
 1 file changed, 2 insertions(+)

commit e4dba3b223fb1b52fd27539b2223b151e4402c20
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 14:53:18 2016 -0500

    Move mime-types-permissions to gresource

    And get rid of ephy_file()

 data/Makefile.am                                   |  3 --
 lib/ephy-file-helpers.c                            | 62
 +++-------------------
 lib/ephy-file-helpers.h                            |  1 -
 src/Makefile.am                                    |  1 +
 src/resources/epiphany.gresource.xml               |  1 +
 {data => src/resources}/mime-types-permissions.xml |  0
 6 files changed, 10 insertions(+), 58 deletions(-)

commit b6593619d8e0fd729846d8e4c3756762edfc68d5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 14:33:29 2016 -0500

    Distribute new resource files

 src/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit bb5963a08cf78d1366aab03afd69f8587306e0f1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 14:31:20 2016 -0500

    Move about.ini to the gresource

    Also, update contributors list

 data/Makefile.am                     | 3 ---
 {data => src/resources}/about.ini    | 4 ++--
 src/resources/epiphany.gresource.xml | 1 +
 src/window-commands.c                | 6 ++++--
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 2b6fefb359e28da6a4d1c6511ea7568fcadf03a7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 14:13:27 2016 -0500

    Move the gresource.xml to src/resources

    This is a better place for it.

 src/Makefile.am                            | 10 +++++-----
 src/{ => resources}/epiphany.gresource.xml |  0
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 28314cdca80d8823fab025daf446132e5d10a3d8
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 14:10:36 2016 -0500

    Move error.css to the GResource

    I can't figure out how to reference it directly from error.html
    using an
    ephy-resource:// URI, which is frustrating because we shouldn't need
    get_style_sheet() at all, but this is at least an improvement.

 configure.ac                            |  1 -
 data/Makefile.am                        |  2 +-
 data/pages/Makefile.am                  |  5 -----
 embed/ephy-web-view.c                   | 20 +++++++++++---------
 src/epiphany.gresource.xml              |  1 +
 {data/pages => src/resources}/error.css |  0
 src/resources/error.html                |  3 ++-
 7 files changed, 15 insertions(+), 17 deletions(-)

commit ee29f6dd3b588d3b16dfacd850b5a4dbee4a6168
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 12:06:44 2016 -0500

    Ensure error page buttons expand to fit translations

    https://bugzilla.gnome.org/show_bug.cgi?id=773030

 data/pages/error.css | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3e5d4504c0d61093a04221ac5089ee301d80d0e1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 11:45:53 2016 -0500

    web-view: Remove unnecessary info from TLS errors page

    This could be potentially misleading to users.

 embed/ephy-web-view.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 069bcc6c5cabe37e0416acd620484b5378fca118
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 11:40:45 2016 -0500

    bookmark-properties-grid: Display decoded address

 src/bookmarks/ephy-bookmark-properties-grid.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit ed8685d320901f84e9c3f4787c06d3b3d0ba8fdd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 08:27:20 2016 -0500

    Sanitize passwords from URLs before storing as bookmarks

 src/bookmarks/ephy-add-bookmark-popover.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit cbd0f2b43d468df2e7e3114d41787567bab57220
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 08:24:34 2016 -0500

    Sanitize passwords from URLs before saving to history database

 lib/ephy-uri-helpers.c             | 18 +++++++++++++++---
 lib/ephy-uri-helpers.h             |  1 +
 lib/history/ephy-history-service.c |  8 +++++++-
 3 files changed, 23 insertions(+), 4 deletions(-)

commit 34a55be44735a0f23b590a1db43f31cb68afc739
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 08:01:02 2016 -0500

    Sanitize passwords from URLs before displaying them

 embed/ephy-web-view.c              |  6 +++---
 lib/ephy-uri-helpers.c             | 25 ++++++++++++++++++++++++-
 lib/ephy-uri-helpers.h             |  2 +-
 lib/widgets/ephy-download-widget.c |  2 +-
 src/ephy-history-window.c          |  2 +-
 5 files changed, 30 insertions(+), 7 deletions(-)

commit e212e2fa04f266026f63a65944a70596cf67825e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 07:21:42 2016 -0500

    session: Add a safety check

    Never replace a good session file with one that's known to be broken.

    https://bugzilla.gnome.org/show_bug.cgi?id=768250

 src/ephy-session.c | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 916474b080ccd0d232d5c5cc6013107551a9f399
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 07:08:53 2016 -0500

    session: Even more code style improvements

 src/ephy-session.c | 27 ++++++++++++++++++---------
 1 file changed, 18 insertions(+), 9 deletions(-)

commit 839729be777293a17c4a52d75763ee581170390f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 06:59:32 2016 -0500

    session: More code style improvements

 src/ephy-session.c | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 938e78a4e6a92485136c6109f9c886261ef8a4f1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 17 06:57:18 2016 -0500

    session: Code style improvements

 src/ephy-session.c | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit e2c716429dfb66463ac47d9c8fdced6512e180de
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 16 20:58:09 2016 -0500

    window: Remove unused variable

    evince browser plugin leftover

 src/ephy-window.c | 2 --
 1 file changed, 2 deletions(-)

commit ada95daa920d58682cf5c1962cfc2097f7832f5e
Author: Paula Tavares <paulatavaresfranca@gmail.com>
Date:   Sat Oct 15 16:01:03 2016 -0300

    Making history 2038-safe (bug 765808)

 lib/ephy-sqlite-statement.c                   | 17 +++++++++++++++++
 lib/ephy-sqlite-statement.h                   |  2 ++
 lib/history/ephy-history-service-urls-table.c | 14 +++++++-------
 lib/history/ephy-history-service.c            |  4 ++--
 lib/history/ephy-history-service.h            |  2 +-
 lib/history/ephy-history-types.c              |  2 +-
 lib/history/ephy-history-types.h              |  6 +++---
 src/ephy-history-window.c                     |  2 +-
 8 files changed, 34 insertions(+), 15 deletions(-)

commit 208f87e9c1f5de9c394770255e23708b6355bad7
Author: Bahodir Mansurov <bahodir@mansurov.org>
Date:   Sun Oct 16 20:36:58 2016 -0400

    Update Uzbek@cyrillic translation

 po/uz@cyrillic.po | 5674
 ++++++++++++++++++++++++++++++-----------------------
 1 file changed, 3186 insertions(+), 2488 deletions(-)

commit a400522a94fd8d878cf7b24cd5cf2951b0885195
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 16 12:26:30 2016 -0500

    Really completely temporarily disable libhttpseverywhere integration

    I renamed this function, it's gone

 embed/web-extension/ephy-web-extension.c | 2 ++
 1 file changed, 2 insertions(+)

commit ee8077a743ea5e076583477f4904656b3e062251
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 16 12:25:42 2016 -0500

    window: Remove browser plugin leftover

 src/ephy-window.c | 6 ------
 1 file changed, 6 deletions(-)

commit 594ad0611bed427510596de016092d4aaa9d7833
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Oct 15 17:02:57 2016 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 3451
 +++++++++++++++++++++++++++++---------------------------------
 1 file changed, 1604 insertions(+), 1847 deletions(-)

commit a39962e3bf239eef7b958d2cada2c7e176bfd397
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 23:39:33 2016 -0500

    Temporarily disable libhttpseverywhere integration

    While we work out kinks in the API. This API just changed to become
    async, which is inconvenient for Epiphany, and I want to move it to a
    library context object.

 embed/web-extension/ephy-web-extension.c | 2 ++
 1 file changed, 2 insertions(+)

commit b79d35d9fe9260ce641209664390f6324b1e5cf6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 17:41:21 2016 -0500

    Remove a bunch of dead code from ephy-gui

 lib/ephy-gui.c | 188
 ++-------------------------------------------------------
 lib/ephy-gui.h |  18 ------
 2 files changed, 6 insertions(+), 200 deletions(-)

commit 8d4267a6910ac4d32b5c6ad188c70c1762f2cc72
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 17:34:15 2016 -0500

    Don't use deprecated gtk_menu_popup

    And also this function that's used to position the menus manually.

 lib/ephy-gui.c            | 68
 -----------------------------------------------
 lib/ephy-gui.h            |  6 -----
 src/ephy-header-bar.c     |  9 ++++---
 src/ephy-history-window.c |  2 +-
 src/ephy-window.c         | 13 ++++-----
 src/passwords-dialog.c    |  2 +-
 6 files changed, 14 insertions(+), 86 deletions(-)

commit ef5d1272d4fbed423aadce7c2099d297629e2b90
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 17:07:18 2016 -0500

    about-handler: Remove unused functions after about:plugins removal

 embed/ephy-about-handler.c | 27 ---------------------------
 1 file changed, 27 deletions(-)

commit cebf121d26db7c11833f5ff8b998e4ef7c7c58ea
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 17:05:34 2016 -0500

    lockdown: have disable-history disable access to history

    Disabling only the back/forward list is confusing and not very useful.

 src/ephy-lockdown.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9e1457f64b44d6847ea6b75a096aec105691c996
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 14:10:57 2016 -0500

    Remove support for browser plugins

    All browser vendors agree: plugins were a mistake. I no longer
    intend to
    support browser plugins in Epiphany. Windowed plugins only work
    in X11,
    the amount of crash reports from plugins is absurd, it's time for the
    GNOME Shell browser plugin to go, Evince browser plugin is far too
    buggy, the only plugin that still really matters is Flash, and Firefox
    and Chrome are slowly killing that too. If you want Flash, go use one
    of those browsers or MiniBrowser or whatever.

    Note that plugins are unrelated to extensions. We do wish to support
    Firefox/Chrome WebExtensions. Everyone likes extensions.

 data/org.gnome.epiphany.gschema.xml |  4 --
 embed/ephy-about-handler.c          | 85
 +------------------------------------
 embed/ephy-embed-prefs.c            |  5 +--
 lib/ephy-prefs.h                    |  1 -
 src/prefs-dialog.c                  |  7 ---
 src/resources/prefs-dialog.ui       |  7 ---
 6 files changed, 2 insertions(+), 107 deletions(-)

commit 39c355cbe361627fe0c5ddfe3d24f33cb3197277
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 14:07:12 2016 -0500

    Remove the enable-javascript preference

    Unfortunately too many Epiphany features are implemented with
    JavaScript
    message handlers. We never noticed that they were broken for ages,
    which
    indicates that nobody is using this setting. It's too coarse-grained.
    hardly anybody wants to browse the web with no JavaScript at all;
    rather, people want NoScript-style ability to block scripts only on
    particular sites. We can bring this back in the future if it's (a)
    implemented on a host-specific basis, (b) preferably with UI so that
    people can actually use it, our little NoScript, and (c) accordingly,
    not going to break our script message handlers.

 data/org.gnome.epiphany.gschema.xml | 5 -----
 embed/ephy-embed-prefs.c            | 6 +-----
 lib/ephy-prefs.h                    | 1 -
 3 files changed, 1 insertion(+), 11 deletions(-)

commit b4a3222110fc96b8c56687d48de2436a04513452
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 14:03:23 2016 -0500

    Remove unused lockdown settings

 data/org.gnome.epiphany.gschema.xml | 9 ---------
 lib/ephy-prefs.h                    | 3 ---
 2 files changed, 12 deletions(-)

commit 586e9fe4385a890770d4de45f4a226fb8d48fff2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 13:57:18 2016 -0500

    main: Remove --netbank-mode

    It's the same as incognito-mode, and it's confusing. The two people
    in the world using this flag can update their scripts.

    Besides, do you really think it's a good idea to choose a memorable
    password for your bank? Using the password manager is arguably
    much more
    important here than elsewhere.

 src/ephy-main.c | 2 --
 1 file changed, 2 deletions(-)

commit 2f7204cd4f651e81539b6db2baf10191fbaa5a14
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 13:56:22 2016 -0500

    Update manpage

    It could be a lot better still.

 data/epiphany.1 | 11 ++++-------
 src/ephy-main.c |  1 +
 2 files changed, 5 insertions(+), 7 deletions(-)

commit b3d847ba9abbc641aea97ef99933eca401db9b40
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 13:43:20 2016 -0500

    Remove the doc/ directory

    Move the manpage to data/

 Makefile.am              | 3 +--
 configure.ac             | 1 -
 data/Makefile.am         | 2 ++
 {doc => data}/epiphany.1 | 0
 doc/Makefile.am          | 3 ---
 5 files changed, 3 insertions(+), 6 deletions(-)

commit 088b67040f4d9d2c836403d37687808836167a85
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 13:42:17 2016 -0500

    Merge doc/debugging.txt into HACKING file

    Nobody looks under doc/

 HACKING           | 67
 ++++++++++++++++++++++++++++++++++++++++++++++++++++---
 doc/Makefile.am   |  3 ---
 doc/debugging.txt | 51 ------------------------------------------
 3 files changed, 64 insertions(+), 57 deletions(-)

commit 6556c3bc57e408be532793c603a151da02aafddd
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 13:40:29 2016 -0500

    Remove ancient ChangeLog.README file

    People know how to write commit messages nowadays.

 ChangeLog.README | 33 ---------------------------------
 HACKING          |  1 -
 2 files changed, 34 deletions(-)

commit 058d1e10202eecbcdc7ce52d281cd840a5952101
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 14 13:39:50 2016 -0500

    Remove old bookmarks documentation

 doc/Makefile.am   |  1 -
 doc/bookmarks.txt | 70
 -------------------------------------------------------
 2 files changed, 71 deletions(-)

commit 28c3fa5ecd3535f0acdfea7123d13746ac7bf26a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 13 21:41:03 2016 -0500

    configure: Remove unused check

 configure.ac | 6 ------
 1 file changed, 6 deletions(-)

commit 279d52afcae896048f232a75edfb0a71edd03119
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 13 21:39:00 2016 -0500

    configure: refine dependency list

 configure.ac | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 911bf48c351920a4a7f0db660f001b3c088264ba
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 13 18:27:30 2016 -0500

    window-commands: Ellipsize URI in web app creation dialog

    It looks bad if this dialog is too wide

 src/window-commands.c | 3 +++
 1 file changed, 3 insertions(+)

commit bdf7ccbac1648dcaf67b557c3968e847552003e0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 13 18:26:45 2016 -0500

    window-commands: Fix web app creation dialog

    I broke this when removing deprecated declarations, and didn't notice
    because WebKit was broken at the time.

 src/window-commands.c | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 2da619d5207c287972f9c8739cf13ad36ae9b28d
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Oct 14 01:14:22 2016 +0300

    sync: Remove the email regex test

 src/sync/ephy-sync-service.c | 9 ++-------
 1 file changed, 2 insertions(+), 7 deletions(-)

commit c67d4c3abb307b64378ff5157f1adfbf2d2a6dda
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Oct 12 16:31:15 2016 -0500

    window: Translate WebKitContextMenuItem labels

    This broke in the GAction port

    https://bugzilla.gnome.org/show_bug.cgi?id=772816

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b0e07d412d1e11613f313cf9e5a59610eb6b98da
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Oct 12 08:05:35 2016 -0500

    Revert "webapp: Open links to the same base domain inside the web app"

    This reverts commit 0b4464039e0e1175abd0f90e2700631991d643c0.

    I don't know what website this change was made for, nor do I have
    a good
    solution to make web apps work with that unfortunate website, but
    I have
    my own web app where this behavior is confusing and unexpected.
    Different domains are treated as completely unrelated by web browsers,
    and web apps should not be any exception. At any rate, this is
    the wrong
    place for the check too, as it results in URLs with different origins
    being reported to have the same origin.

    I really don't know if the original problem can be fixed properly or
    not, but hopefully the login page link would be opened in a related
    view
    and a heuristic could be developed based on that.

 embed/ephy-embed-utils.c | 20 +++-----------------
 1 file changed, 3 insertions(+), 17 deletions(-)

commit acf3864e8de933d977866c1bc02404c91d204f8d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 11 08:13:46 2016 -0500

    Revert "Revert "web-extension: Remove workaround for fixed bug""

    This reverts commit adc5711c567f2d262fde5899d0771e54e4f7104c.

    No longer needed:

    https://github.com/grindhold/libhttpseverywhere/commit/deecaf221a61786af8e13e7475917cf2639260c2

 embed/web-extension/ephy-web-extension.c | 5 -----
 1 file changed, 5 deletions(-)

commit e835cbf5ee6a2411cd90831f09842152ebf7cffc
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Oct 11 15:26:49 2016 +0300

    Updated Hebrew translation

 po/he.po | 2145
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1172 insertions(+), 973 deletions(-)

commit 835584a2cf682b8c041cbbac07cbf1976c4a2974
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:   Tue Oct 11 13:44:40 2016 +0300

    Updated Hebrew translation

 po/he.po | 3335
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1646 insertions(+), 1689 deletions(-)

commit e34259d0b0b1a4fb114b5e8836b8b9677f9f5e1d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 10 19:45:54 2016 -0500

    Add period missing in previous commit

    Sigh

 src/resources/prefs-dialog.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c4da3c33339d7eb9b6e3814c504e9bfd5874f492
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Mon Oct 10 19:01:49 2016 -0500

    prefs-dialog: Further clarify nonendorsement by Mozilla

    From the ToS:

    "You may not imply, either directly or by omission, that your Third
    Party Client is produced or endorsed by Mozilla."

    So we need to not omit that.

    https://docs.services.mozilla.com/tos.html

 src/resources/prefs-dialog.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a328737d5a1725d2a844ecda530a0b540fd4d391
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:   Mon Oct 10 17:50:21 2016 +0000

    Update Portuguese translation
    (cherry picked from commit edeef14e785bb2e09647a02755d8f8eeff48aca3)

 po/pt.po | 559
 ++++++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 406 insertions(+), 153 deletions(-)

commit e947f440b7204a3fc4a43248524b43b625325b6f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 22:31:55 2016 -0500

    profile-utils: Fix build

    Looks like I didn't test this!

 lib/ephy-profile-utils.h                     | 1 +
 src/profile-migrator/ephy-profile-migrator.c | 4 ++--
 2 files changed, 3 insertions(+), 2 deletions(-)

commit adc5711c567f2d262fde5899d0771e54e4f7104c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 22:28:15 2016 -0500

    Revert "web-extension: Remove workaround for fixed bug"

    This reverts commit 63020bd52d3ebe93137a6bde97456be87c9f01f2.

    The overview is still broken. And it's also appending / to data URIs,
    not sure if that breaks them or not.

 embed/web-extension/ephy-web-extension.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 54006df8dba31a5a58686e7d2473d64f3e454683
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 18:13:05 2016 -0500

    profile-migrator: Don't migrate bookmarks if gvdb file exists

    This makes the profile migrator robust to being run several times,
    e.g.
    when I switch back and forth between system and JHBuild copies of
    Epiphany.

    I wound up with two copies of all of my bookmarks!

 lib/ephy-profile-utils.h                     |  2 --
 src/profile-migrator/ephy-profile-migrator.c | 10 +++++++++-
 2 files changed, 9 insertions(+), 3 deletions(-)

commit d612bf05df32afdcb1774fccedeaad5e94ec89c3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 18:06:15 2016 -0500

    profile-migrator: Add FIXME

 src/profile-migrator/ephy-profile-migrator.c | 1 +
 1 file changed, 1 insertion(+)

commit 11bb293341687e8167cdfe8c89464f00bf7efdfc
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 18:05:14 2016 -0500

    profile-migrator: Fix leaks in migrate-bookmarks

    Also, g_clear_object is overkill here

 src/profile-migrator/ephy-profile-migrator.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit fd064f7a990b54e3be92ef2e94b970341443fc12
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 17:50:58 2016 -0500

    Sort gresource.xml

 src/epiphany.gresource.xml | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

commit dcae8e64e990523935d425f2a7231d8e1c7ea4c2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 16:35:12 2016 -0500

    Fix default language setting

    Turn on spellchecking and Accept-Langs header by default

 data/org.gnome.epiphany.gschema.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e8939f3c90993215972004b823a50473e8ba8946
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 16:24:23 2016 -0500

    Remove check-mime.py

    This seems to be a convenience script, but I'm not sure how it's any
    more convenient than just checking nautilus.

 data/Makefile.am   |  3 +--
 data/check-mime.py | 41 -----------------------------------------
 2 files changed, 1 insertion(+), 43 deletions(-)

commit 25a7e7d3ba6d9ab3b385d01131812c600f45d408
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 16:22:40 2016 -0500

    Remove epiphany-bookmarks-html.xsl

    I don't know what this is for, so I presume it's obsolete. Let's
    see if
    anything breaks when I remove it!

 data/Makefile.am                 |  4 --
 data/epiphany-bookmarks-html.xsl | 91
 ----------------------------------------
 2 files changed, 95 deletions(-)

commit 2dbf06165d37a4ce1d7584d3d268c8af477f71df
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 16:21:11 2016 -0500

    Remove gconf convert file

    This is ancient

 data/Makefile.am      |  4 ----
 data/epiphany.convert | 47
 -----------------------------------------------
 2 files changed, 51 deletions(-)

commit 8497b9819576e71535a805bd26e4bb50e98781ca
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Oct 10 00:31:38 2016 +0300

    sync: Fix endless sign-in confirmation loop

    The initial approach of sign-in was a faulty, since it didn't
    take into
    consideration the "sign-in confirmation email" feature that Mozilla
    was
    going to introduce.

    Instead of destroying the session and reloading the Firefox Accounts
    iframe
    in case of an unverified account, keep the session alive and, with the
    help of keyFetchToken, poll the '/account/keys' endpoint repeatedly
    until
    the verification had finished, without reloading the iframe. When
    a 200 OK
    response is received from the server, proceed to derive the sync keys
    and display the 'signed in as' panel.

 src/prefs-dialog.c           | 202
 +++++++++++++++++++++++++++++++------------
 src/sync/ephy-sync-service.c |  88 +++++++++++++++++++
 src/sync/ephy-sync-service.h |  12 +++
 3 files changed, 247 insertions(+), 55 deletions(-)

commit 007d671b144a4e73fd0d752d49848d16f6831c01
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 13:48:35 2016 -0500

    web-extension: silence warnings caused by vala bug

 embed/web-extension/ephy-web-extension.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit b4e2d18d32fbd5b50861e252fce3ced4f030aac6
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 13:38:43 2016 -0500

    web-extension: libhttpseverywhere header moved again

 embed/web-extension/ephy-web-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 74fd9e69999c91782557c0a87dc15824c10f6d61
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Sun Oct 9 19:28:32 2016 +0300

    Update Latvian translation

 po/lv.po | 49 +++++++++----------------------------------------
 1 file changed, 9 insertions(+), 40 deletions(-)

commit 63020bd52d3ebe93137a6bde97456be87c9f01f2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 11:25:13 2016 -0500

    web-extension: Remove workaround for fixed bug

 embed/web-extension/ephy-web-extension.c | 5 -----
 1 file changed, 5 deletions(-)

commit 8359c148c8848e6a26b86de10675244c4d4a0472
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Oct 9 10:00:28 2016 -0500

    Use LOG to log HTTPS Everywhere rewrites

 embed/web-extension/ephy-web-extension.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7ce46e7809fac864ee417df41f663e7ab1d046a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Sep 18 22:10:47 2016 -0500

    Initial libhttpseverywhere integration

    This includes a workaround for a silly bug.

    Future work would be to ignore TLS errors if for rewritten URLs. (We
    should not be strict with these because there could be bugs in
    the HTTPS
    Everywhere ruleset. We should only be strict when the site itself
    redirects to HTTPS, or when the user navigates to an HTTPS page.)

 configure.ac                             |  1 +
 embed/web-extension/Makefile.am          | 24 +++++++++++++-----------
 embed/web-extension/ephy-web-extension.c | 19 ++++++++++++++++++-
 3 files changed, 32 insertions(+), 12 deletions(-)

commit 7f96a1fe8ba88020c7c47738a8763b17e9e5ca87
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 20:40:01 2016 -0500

    build: Remove nonsense PKG_CHECK_MODULES call for GVDB

    This probably got lost in my flood of review feedback

 configure.ac     | 1 -
 gvdb/Makefile.am | 4 ++--
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 707eaca8fedba6975cca56aa3e53d3aca0f04033
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 20:39:01 2016 -0500

    configure: Remove unused dep on gsettings-desktop-schemas

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit 6cad7438f6f44e12869305a58b3827cff33fe33a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 20:18:20 2016 -0500

    embed: don't attempt to parent notification container twice

    If the EphyNotificationContainer is already contained by another embed
    (including, in particular, another embed in another window) then don't
    try to parent it again. Similarly, don't attempt to unparent an
    EphyNotificationContainer unless it's really contained by this embed.

    This should probably be cleaned up better, but it's not simple
    to reason
    about what should happen to the EphyNotificationContainer when there
    are multiple windows.

 embed/ephy-embed.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit a4fed98b695fff516c6a74d9c015ef9dc322f87d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 19:19:36 2016 -0500

    window: set sane default width and height

    Now in fewer than 10,000 lines of code!

 src/ephy-window.c | 2 ++
 1 file changed, 2 insertions(+)

commit fa6334a152bdb6b899e153b220060ff54c502af2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 18:52:20 2016 -0500

    location-entry: Remove unused include

 lib/widgets/ephy-location-entry.c | 1 -
 1 file changed, 1 deletion(-)

commit a40467a54b3bdf3caf1d6b3bc0e081485f2370b5
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 18:41:31 2016 -0500

    Update POTFILES.in

 po/POTFILES.in | 1 -
 1 file changed, 1 deletion(-)

commit c0d2df525d68cdb64d77917a01aef0076af8a0a1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 18:23:30 2016 -0500

    Remove ephy-initial-state and kill EphyNode

 lib/Makefile.am          |    9 -
 lib/ephy-dnd.c           |    2 -
 lib/ephy-initial-state.c |  478 ---------------
 lib/ephy-initial-state.h |   50 --
 lib/ephy-node-common.h   |   53 --
 lib/ephy-node-db.c       |  529 ----------------
 lib/ephy-node-db.h       |   68 ---
 lib/ephy-node.c          | 1504
 ----------------------------------------------
 lib/ephy-node.h          |  157 -----
 src/ephy-main.c          |    2 -
 src/ephy-window.c        |   26 -
 11 files changed, 2878 deletions(-)

commit 263c6d92a3ff033369f73cd989d214d3b974b104
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 18:09:03 2016 -0500

    notebook: Fix deprecation warnings

 src/ephy-notebook.c | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit aa2d884a24543cbe0076280179295672d916d10a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 18:04:59 2016 -0500

    notebook: Remove old workaround

    It doesn't seem to do anything anymore?

 src/ephy-notebook.c | 51
 ---------------------------------------------------
 1 file changed, 51 deletions(-)

commit f28945cb73c155bf42698bde532d6a5605d913d1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 17:05:39 2016 -0500

    header-bar: Restructure back/forward menu construction

    To avoid deprecated GtkImageMenuItem

 src/ephy-header-bar.c | 49
 ++++++++++++++++++++++++++++---------------------
 1 file changed, 28 insertions(+), 21 deletions(-)

commit 7d68b5bf4d5f8a242132b4216127bdcc01d022a1
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 16:31:38 2016 -0500

    window: Fix typo

 src/ephy-window.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70d302211f212938e6e481f5a587a28b5143c2ef
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 16:11:11 2016 -0500

    window-commands: Escape URL in web app dialog

    For the markup parser. Else the dialog will breaks on URLs that
    include
    characters like &

 src/window-commands.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit c6629f85e0771b032ff739733a440b6f28c77124
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 16:08:16 2016 -0500

    window-commands: Fix deprecation warnings

 src/window-commands.c | 13 +++----------
 1 file changed, 3 insertions(+), 10 deletions(-)

commit 5722fff2e82744e40fb36e6c3c295cdf20ff6ecc
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:51:57 2016 -0500

    window: Silence unfixable deprecation warning

 src/ephy-window.c | 3 +++
 1 file changed, 3 insertions(+)

commit e0df57bacba7497f044609b8df064b04517fbcd7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:47:05 2016 -0500

    web-overview: Fix deprecation warning

 embed/web-extension/ephy-web-overview.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f77a35e73579e63fa34c84b669ce451bc8fd0416
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:45:13 2016 -0500

    web-extension: silence unfixable deprecation warnings

    No clue how we'll handle this with GTK+ 4

 embed/web-extension/ephy-web-extension.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 394d830323a4e2a269155785f984d6be8ff20cb9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:37:45 2016 -0500

    web-dom-utils: Fix deprecation warnings

 embed/web-extension/ephy-web-dom-utils.c | 48
 ++++++++++++++++----------------
 1 file changed, 24 insertions(+), 24 deletions(-)

commit ba0710fff00137e5cf3905948c9778f43a2ff55a
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:31:16 2016 -0500

    nautilus-floating-bar: Fix deprecation warning

 lib/widgets/nautilus-floating-bar.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ab1179d8ac4d83a086b504efbbb6b454355e8af3
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:26:42 2016 -0500

    certificate-dialog: Fix deprecation warnings

 lib/widgets/ephy-certificate-dialog.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit bd058ee9c8cba1e1de6e14d5e81249e2f97db28d
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:26:25 2016 -0500

    Enable deprecation warnings

    Let's fix these

 configure.ac | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 01db365adf22559734387be8719d0321ebd06ba7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:30:46 2016 -0500

    Remove several files that are no longer used

 lib/Makefile.am                    |    2 -
 lib/ephy-node-filter.c             |  411 --------
 lib/ephy-node-filter.h             |   78 --
 lib/widgets/Makefile.am            |    6 -
 lib/widgets/ephy-node-view.c       | 1823
 ------------------------------------
 lib/widgets/ephy-node-view.h       |  118 ---
 lib/widgets/ephy-tree-model-node.c |  629 -------------
 lib/widgets/ephy-tree-model-node.h |   59 --
 lib/widgets/ephy-tree-model-sort.c |  216 -----
 lib/widgets/ephy-tree-model-sort.h |   40 -
 10 files changed, 3382 deletions(-)

commit 8b67eeac1733664b14926a1615263f4f565d0dc4
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:18:22 2016 -0500

    Move sync files to subdirectory

 po/POTFILES.in                     |  4 ++--
 src/Makefile.am                    | 18 ++++++++++--------
 src/search-provider/Makefile.am    |  1 +
 src/{ => sync}/ephy-sync-crypto.c  |  0
 src/{ => sync}/ephy-sync-crypto.h  |  0
 src/{ => sync}/ephy-sync-secret.c  |  0
 src/{ => sync}/ephy-sync-secret.h  |  0
 src/{ => sync}/ephy-sync-service.c |  0
 src/{ => sync}/ephy-sync-service.h |  0
 src/{ => sync}/ephy-sync-utils.c   |  0
 src/{ => sync}/ephy-sync-utils.h   |  0
 tests/Makefile.am                  |  1 +
 12 files changed, 14 insertions(+), 10 deletions(-)

commit 6c2519be6f8b2ee5622535a21447b39ff4616f26
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:15:16 2016 -0500

    Use AM_V_GEN in more places

 data/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1e009e8d54a2d1714b07d7269a114e04ce5bbe3f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:10:22 2016 -0500

    Use nonrecursive Automake for src/bookmarks

    It's become too complicated to maintain this with sublibraries

 configure.ac                                  |   1 -
 src/Makefile.am                               |  28 +++++--
 src/bookmarks/Makefile.am                     | 111
 --------------------------
 src/bookmarks/ephy-bookmark-properties-grid.c |   2 +-
 4 files changed, 22 insertions(+), 120 deletions(-)

commit 2172fe8012035aa27edac5fa425024840ba7e99b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 15:02:55 2016 -0500

    prefs-dialog: share web context and settings with embed

    This means we get nice things like accept languages and user agent set
    properly, and use all the right Epiphany data directories instead
    of the
    global WebKit ones.

 src/prefs-dialog.c | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

commit 05f1c371c14ae361caec2c6c68d8a29f4b941833
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 14:51:08 2016 -0500

    sync-service: set user agent on SoupSession

    Mozilla's terms of service imply that this is a requirement, in a
    roundabout way that avoids mentioning "user agent," but it's
    clear this
    is what they want.

 src/ephy-sync-service.c | 7 +++++++
 1 file changed, 7 insertions(+)

commit 733e1de9c91174e4f89b63e6beb7bcec4a497918
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Oct 8 14:41:34 2016 -0500

    configure: style fixup

 configure.ac | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4cc95e59d3f2504f831ea9f942678b8b576e52d7
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 7 19:40:11 2016 -0500

    Remove files inadvertently added in previous commit

 src/bookmarks/ephy-bookmark-action-group.c |  169 ---
 src/bookmarks/ephy-bookmark-action.c       |  442 -------
 src/bookmarks/ephy-bookmark-action.h       |   73 --
 src/bookmarks/ephy-bookmark-properties.c   |  519 ---------
 src/bookmarks/ephy-bookmark-properties.h   |   40 -
 src/bookmarks/ephy-bookmarks-editor.c      | 1721
 ----------------------------
 src/bookmarks/ephy-bookmarks-editor.h      |   39 -
 src/bookmarks/ephy-bookmarks-export.c      |  494 --------
 src/bookmarks/ephy-bookmarks-export.h      |   33 -
 src/bookmarks/ephy-bookmarks-import.c      |  853 --------------
 src/bookmarks/ephy-bookmarks-import.h      |   47 -
 src/bookmarks/ephy-bookmarks-menu.c        |  241 ----
 src/bookmarks/ephy-bookmarks-ui.c          |  365 ------
 src/bookmarks/ephy-bookmarks-ui.h          |   61 -
 src/bookmarks/ephy-bookmarks.c             | 1594
 --------------------------
 src/bookmarks/ephy-bookmarks.h             |  136 ---
 src/bookmarks/ephy-link-action.c           |  174 ---
 src/bookmarks/ephy-link-action.h           |   79 --
 src/bookmarks/ephy-nodes-cover.c           |  196 ----
 src/bookmarks/ephy-open-tabs-action.c      |  134 ---
 src/bookmarks/ephy-topic-action-group.c    |  124 --
 src/bookmarks/ephy-topic-action-group.h    |   33 -
 src/bookmarks/ephy-topic-action.c          |  331 ------
 src/bookmarks/ephy-topic-action.h          |   69 --
 src/bookmarks/ephy-topics-entry.c          |  597 ----------
 src/bookmarks/ephy-topics-entry.h          |   34 -
 src/bookmarks/ephy-topics-palette.c        |  337 ------
 src/bookmarks/ephy-topics-palette.h        |   44 -
 src/bookmarks/ephy-window-action.c         |  108 --
 src/bookmarks/ephy-window-action.h         |   55 -
 src/ephy-title-box.h                       |   45 -
 tests/ephy-bookmarks-test.c                |  130 ---
 32 files changed, 9317 deletions(-)

commit e54cb1c7e97ddca58977a8ee01a138ff57ba6f2c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sun Sep 11 09:59:03 2016 -0500

    Relicense to GPLv3+

    To use GMP.

    Because a few GPLv3+ files had already snuck in by mistake.

    And because http://www.gnu.org/licenses/rms-why-gplv3.html

Notes:
    Turns out the sync code didn't need GMP at all. I guess it was needed
    in an earlier iteration. Still, the relicensing is needed to use
    libhttpseverywhere (LGPLv3+) and Prism (Apache) as both licenses
    are incompatible with GPLv2+ unless we opt to take the upgrade path
    to GPLv3+.

 COPYING                                         |  911 ++++++++----
 configure.ac                                    |   20 +-
 data/epiphany-bookmarks-html.xsl                |   13 +-
 embed/ephy-about-handler.c                      |   12 +-
 embed/ephy-about-handler.h                      |   12 +-
 embed/ephy-download.c                           |   25 +-
 embed/ephy-download.h                           |   25 +-
 embed/ephy-downloads-manager.c                  |   14 +-
 embed/ephy-downloads-manager.h                  |   14 +-
 embed/ephy-embed-container.c                    |   12 +-
 embed/ephy-embed-container.h                    |   12 +-
 embed/ephy-embed-event.c                        |   12 +-
 embed/ephy-embed-event.h                        |   12 +-
 embed/ephy-embed-prefs.c                        |   15 +-
 embed/ephy-embed-prefs.h                        |   15 +-
 embed/ephy-embed-private.h                      |   12 +-
 embed/ephy-embed-shell.c                        |   12 +-
 embed/ephy-embed-shell.h                        |   12 +-
 embed/ephy-embed-utils.c                        |   12 +-
 embed/ephy-embed-utils.h                        |   12 +-
 embed/ephy-embed.c                              |   12 +-
 embed/ephy-embed.h                              |   12 +-
 embed/ephy-encoding.c                           |   12 +-
 embed/ephy-encoding.h                           |   12 +-
 embed/ephy-encodings.c                          |   12 +-
 embed/ephy-encodings.h                          |   12 +-
 embed/ephy-file-monitor.c                       |   12 +-
 embed/ephy-file-monitor.h                       |   12 +-
 embed/ephy-find-toolbar.c                       |   10 +-
 embed/ephy-find-toolbar.h                       |   10 +-
 embed/ephy-notification-container.c             |   12 +-
 embed/ephy-notification-container.h             |   12 +-
 embed/ephy-view-source-handler.c                |    2 +-
 embed/ephy-view-source-handler.h                |    2 +-
 embed/ephy-web-extension-proxy.c                |   12 +-
 embed/ephy-web-extension-proxy.h                |   12 +-
 embed/ephy-web-view.c                           |   12 +-
 embed/ephy-web-view.h                           |   12 +-
 embed/web-extension/ephy-embed-form-auth.c      |   12 +-
 embed/web-extension/ephy-embed-form-auth.h      |   12 +-
 embed/web-extension/ephy-uri-tester.c           |   24 +-
 embed/web-extension/ephy-uri-tester.h           |   12 +-
 embed/web-extension/ephy-web-dom-utils.c        |   12 +-
 embed/web-extension/ephy-web-dom-utils.h        |   12 +-
 embed/web-extension/ephy-web-extension-main.c   |   12 +-
 embed/web-extension/ephy-web-extension-names.h  |   12 +-
 embed/web-extension/ephy-web-extension.c        |   12 +-
 embed/web-extension/ephy-web-extension.h        |   12 +-
 embed/web-extension/ephy-web-overview-model.c   |   12 +-
 embed/web-extension/ephy-web-overview-model.h   |   12 +-
 embed/web-extension/ephy-web-overview.c         |   12 +-
 embed/web-extension/ephy-web-overview.h         |   12 +-
 lib/ephy-dbus-util.c                            |   12 +-
 lib/ephy-dbus-util.h                            |   12 +-
 lib/ephy-debug.c                                |   12 +-
 lib/ephy-debug.h                                |   12 +-
 lib/ephy-dnd.c                                  |   12 +-
 lib/ephy-dnd.h                                  |   12 +-
 lib/ephy-favicon-helpers.c                      |   12 +-
 lib/ephy-favicon-helpers.h                      |   12 +-
 lib/ephy-file-helpers.c                         |   12 +-
 lib/ephy-file-helpers.h                         |   12 +-
 lib/ephy-form-auth-data.c                       |   12 +-
 lib/ephy-form-auth-data.h                       |   12 +-
 lib/ephy-gui.c                                  |   12 +-
 lib/ephy-gui.h                                  |   12 +-
 lib/ephy-hosts-manager.c                        |   12 +-
 lib/ephy-hosts-manager.h                        |   12 +-
 lib/ephy-initial-state.c                        |   12 +-
 lib/ephy-initial-state.h                        |   12 +-
 lib/ephy-langs.c                                |   12 +-
 lib/ephy-langs.h                                |   12 +-
 lib/ephy-node-common.h                          |   10 +-
 lib/ephy-node-db.c                              |   10 +-
 lib/ephy-node-db.h                              |   10 +-
 lib/ephy-node-filter.c                          |   12 +-
 lib/ephy-node-filter.h                          |   10 +-
 lib/ephy-node.c                                 |   10 +-
 lib/ephy-node.h                                 |   10 +-
 lib/ephy-prefs.h                                |   12 +-
 lib/ephy-profile-utils.c                        |   12 +-
 lib/ephy-profile-utils.h                        |   12 +-
 lib/ephy-security-levels.c                      |   12 +-
 lib/ephy-security-levels.h                      |   11 +-
 lib/ephy-settings.c                             |   12 +-
 lib/ephy-settings.h                             |   12 +-
 lib/ephy-signal-accumulator.c                   |   12 +-
 lib/ephy-signal-accumulator.h                   |   12 +-
 lib/ephy-smaps.c                                |   13 +-
 lib/ephy-smaps.h                                |   13 +-
 lib/ephy-snapshot-service.c                     |   12 +-
 lib/ephy-snapshot-service.h                     |   12 +-
 lib/ephy-sqlite-connection.c                    |   12 +-
 lib/ephy-sqlite-connection.h                    |   12 +-
 lib/ephy-sqlite-statement.c                     |   12 +-
 lib/ephy-sqlite-statement.h                     |   12 +-
 lib/ephy-sqlite.h                               |   12 +-
 lib/ephy-string.c                               |   12 +-
 lib/ephy-string.h                               |   12 +-
 lib/ephy-time-helpers.c                         |   14 +-
 lib/ephy-time-helpers.h                         |   14 +-
 lib/ephy-uri-helpers.c                          |   12 +-
 lib/ephy-uri-helpers.h                          |   12 +-
 lib/ephy-web-app-utils.c                        |   12 +-
 lib/ephy-web-app-utils.h                        |   12 +-
 lib/ephy-zoom.c                                 |   12 +-
 lib/ephy-zoom.h                                 |   12 +-
 lib/history/ephy-history-service-hosts-table.c  |   12 +-
 lib/history/ephy-history-service-private.h      |   12 +-
 lib/history/ephy-history-service-urls-table.c   |   12 +-
 lib/history/ephy-history-service-visits-table.c |   12 +-
 lib/history/ephy-history-service.c              |   15 +-
 lib/history/ephy-history-service.h              |   12 +-
 lib/history/ephy-history-types.c                |   12 +-
 lib/history/ephy-history-types.h                |   12 +-
 lib/widgets/ephy-certificate-dialog.c           |   12 +-
 lib/widgets/ephy-certificate-dialog.h           |   12 +-
 lib/widgets/ephy-download-widget.c              |   25 +-
 lib/widgets/ephy-download-widget.h              |   25 +-
 lib/widgets/ephy-downloads-popover.c            |   13 +-
 lib/widgets/ephy-downloads-popover.h            |   13 +-
 lib/widgets/ephy-downloads-progress-icon.c      |   13 +-
 lib/widgets/ephy-downloads-progress-icon.h      |   13 +-
 lib/widgets/ephy-file-chooser.c                 |   12 +-
 lib/widgets/ephy-file-chooser.h                 |   12 +-
 lib/widgets/ephy-location-entry.c               |   12 +-
 lib/widgets/ephy-location-entry.h               |   12 +-
 lib/widgets/ephy-middle-clickable-button.c      |   12 +-
 lib/widgets/ephy-middle-clickable-button.h      |   12 +-
 lib/widgets/ephy-node-view.c                    |   10 +-
 lib/widgets/ephy-node-view.h                    |   10 +-
 lib/widgets/ephy-password-notification.c        |   12 +-
 lib/widgets/ephy-password-notification.h        |   12 +-
 lib/widgets/ephy-security-popover.c             |   12 +-
 lib/widgets/ephy-security-popover.h             |   13 +-
 lib/widgets/ephy-title-box.c                    |   12 +-
 lib/widgets/ephy-title-box.h                    |   12 +-
 lib/widgets/ephy-title-widget.c                 |   12 +-
 lib/widgets/ephy-title-widget.h                 |   12 +-
 lib/widgets/ephy-tree-model-node.c              |   10 +-
 lib/widgets/ephy-tree-model-node.h              |   10 +-
 lib/widgets/ephy-tree-model-sort.c              |   10 +-
 lib/widgets/ephy-tree-model-sort.h              |   13 +-
 lib/widgets/nautilus-floating-bar.c             |   29 +-
 lib/widgets/nautilus-floating-bar.h             |   29 +-
 src/bookmarks/ephy-add-bookmark-popover.c       |   12 +-
 src/bookmarks/ephy-add-bookmark-popover.h       |   12 +-
 src/bookmarks/ephy-bookmark-action-group.c      |  169 +++
 src/bookmarks/ephy-bookmark-action.c            |  442 ++++++
 src/bookmarks/ephy-bookmark-action.h            |   73 +
 src/bookmarks/ephy-bookmark-properties-grid.c   |   24 +-
 src/bookmarks/ephy-bookmark-properties-grid.h   |   24 +-
 src/bookmarks/ephy-bookmark-properties.c        |  519 +++++++
 src/bookmarks/ephy-bookmark-properties.h        |   40 +
 src/bookmarks/ephy-bookmark-row.c               |   24 +-
 src/bookmarks/ephy-bookmark-row.h               |   24 +-
 src/bookmarks/ephy-bookmark.c                   |   24 +-
 src/bookmarks/ephy-bookmark.h                   |   24 +-
 src/bookmarks/ephy-bookmarks-editor.c           | 1721
 +++++++++++++++++++++++
 src/bookmarks/ephy-bookmarks-editor.h           |   39 +
 src/bookmarks/ephy-bookmarks-export.c           |  494 +++++++
 src/bookmarks/ephy-bookmarks-export.h           |   33 +
 src/bookmarks/ephy-bookmarks-import.c           |  853 +++++++++++
 src/bookmarks/ephy-bookmarks-import.h           |   47 +
 src/bookmarks/ephy-bookmarks-manager.c          |   24 +-
 src/bookmarks/ephy-bookmarks-manager.h          |   24 +-
 src/bookmarks/ephy-bookmarks-menu.c             |  241 ++++
 src/bookmarks/ephy-bookmarks-popover.c          |   24 +-
 src/bookmarks/ephy-bookmarks-popover.h          |   24 +-
 src/bookmarks/ephy-bookmarks-ui.c               |  365 +++++
 src/bookmarks/ephy-bookmarks-ui.h               |   61 +
 src/bookmarks/ephy-bookmarks.c                  | 1594
 +++++++++++++++++++++
 src/bookmarks/ephy-bookmarks.h                  |  136 ++
 src/bookmarks/ephy-link-action.c                |  174 +++
 src/bookmarks/ephy-link-action.h                |   79 ++
 src/bookmarks/ephy-nodes-cover.c                |  196 +++
 src/bookmarks/ephy-open-tabs-action.c           |  134 ++
 src/bookmarks/ephy-topic-action-group.c         |  124 ++
 src/bookmarks/ephy-topic-action-group.h         |   33 +
 src/bookmarks/ephy-topic-action.c               |  331 +++++
 src/bookmarks/ephy-topic-action.h               |   69 +
 src/bookmarks/ephy-topics-entry.c               |  597 ++++++++
 src/bookmarks/ephy-topics-entry.h               |   34 +
 src/bookmarks/ephy-topics-palette.c             |  337 +++++
 src/bookmarks/ephy-topics-palette.h             |   44 +
 src/bookmarks/ephy-window-action.c              |  108 ++
 src/bookmarks/ephy-window-action.h              |   55 +
 src/clear-data-dialog.c                         |   12 +-
 src/clear-data-dialog.h                         |   12 +-
 src/cookies-dialog.c                            |   12 +-
 src/cookies-dialog.h                            |   12 +-
 src/ephy-action-helper.c                        |   12 +-
 src/ephy-action-helper.h                        |   12 +-
 src/ephy-completion-model.c                     |   10 +-
 src/ephy-completion-model.h                     |   10 +-
 src/ephy-encoding-dialog.c                      |   12 +-
 src/ephy-encoding-dialog.h                      |   12 +-
 src/ephy-encoding-row.c                         |   14 +-
 src/ephy-encoding-row.h                         |   14 +-
 src/ephy-header-bar.c                           |   12 +-
 src/ephy-header-bar.h                           |   12 +-
 src/ephy-history-window.c                       |   10 +-
 src/ephy-history-window.h                       |   10 +-
 src/ephy-link.c                                 |   12 +-
 src/ephy-link.h                                 |   12 +-
 src/ephy-location-controller.c                  |   12 +-
 src/ephy-location-controller.h                  |   12 +-
 src/ephy-lockdown.c                             |   12 +-
 src/ephy-lockdown.h                             |   12 +-
 src/ephy-main.c                                 |   12 +-
 src/ephy-notebook.c                             |   12 +-
 src/ephy-notebook.h                             |   12 +-
 src/ephy-private.h                              |   12 +-
 src/ephy-session.c                              |   12 +-
 src/ephy-session.h                              |   12 +-
 src/ephy-shell.c                                |   12 +-
 src/ephy-shell.h                                |   12 +-
 src/ephy-sync-crypto.c                          |   12 +-
 src/ephy-sync-crypto.h                          |   12 +-
 src/ephy-sync-secret.c                          |   12 +-
 src/ephy-sync-secret.h                          |   12 +-
 src/ephy-sync-service.c                         |   12 +-
 src/ephy-sync-service.h                         |   12 +-
 src/ephy-sync-utils.c                           |   12 +-
 src/ephy-sync-utils.h                           |   12 +-
 src/ephy-title-box.h                            |   45 +
 src/ephy-window.c                               |   12 +-
 src/ephy-window.h                               |   12 +-
 src/languages.h                                 |   10 +-
 src/passwords-dialog.c                          |   12 +-
 src/passwords-dialog.h                          |   12 +-
 src/popup-commands.c                            |   12 +-
 src/popup-commands.h                            |   12 +-
 src/prefs-dialog.c                              |   12 +-
 src/prefs-dialog.h                              |   12 +-
 src/profile-migrator/ephy-profile-migrator.c    |   12 +-
 src/resources/error.html                        |   14 +-
 src/search-provider/ephy-search-provider-main.c |   24 +-
 src/search-provider/ephy-search-provider.c      |   24 +-
 src/search-provider/ephy-search-provider.h      |   24 +-
 src/window-commands.c                           |   14 +-
 src/window-commands.h                           |   12 +-
 tests/ephy-bookmarks-test.c                     |  130 ++
 tests/ephy-completion-model-test.c              |   24 +-
 tests/ephy-download-test.c                      |   26 +-
 tests/ephy-embed-shell-test.c                   |   26 +-
 tests/ephy-embed-utils-test.c                   |   26 +-
 tests/ephy-encodings-test.c                     |   24 +-
 tests/ephy-file-helpers-test.c                  |   26 +-
 tests/ephy-history-test.c                       |   26 +-
 tests/ephy-location-entry-test.c                |   26 +-
 tests/ephy-migration-test.c                     |   24 +-
 tests/ephy-session-test.c                       |   25 +-
 tests/ephy-shell-test.c                         |   26 +-
 tests/ephy-snapshot-service-test.c              |   10 +-
 tests/ephy-sqlite-test.c                        |   26 +-
 tests/ephy-string-test.c                        |   24 +-
 tests/ephy-test-utils.c                         |   11 +-
 tests/ephy-test-utils.h                         |   11 +-
 tests/ephy-uri-helpers-test.c                   |   26 +-
 tests/ephy-web-app-utils-test.c                 |   26 +-
 tests/ephy-web-view-test.c                      |   26 +-
 262 files changed, 11726 insertions(+), 1700 deletions(-)

commit d71e1687953dca9787c3763928a88d7397081b94
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 7 19:33:08 2016 -0500

    Fix build after mishandling merge conflict

 embed/Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit 8846eb13942a62f36262ad61c40d11e62c46f441
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 6 14:17:38 2016 -0500

    Add an option to never remember passwords

    Some users want to never remember passwords on particular
    websites. Add
    an option to the info bar to ensure it never appears in the future
    for a
    given website.

    Note there is an existing option to disable password saving on all
    sites in the preferences dialog.

    Also note that this requires moving EphyHostsManager to lib/ to
    allow it
    to be used from the web extension.

    Currently there is no UI to undo the decision if the user accidentally
    clicks Never. It's possible to fix by editing hosts.ini, but
    ideally we
    would add UI for this somewhere. (The same UI is needed to manage
    notification permissions.)

    https://bugzilla.gnome.org/show_bug.cgi?id=612988

 data/org.gnome.epiphany.host.gschema.xml |  5 +++++
 embed/ephy-web-view.c                    | 12 +++++++++++-
 embed/web-extension/ephy-web-extension.c | 33
 ++++++++++++++++++++++++++++++++
 lib/Makefile.am                          |  2 ++
 {embed => lib}/ephy-hosts-manager.c      | 18 ++++++++++++++++-
 {embed => lib}/ephy-hosts-manager.h      |  6 ++++++
 6 files changed, 74 insertions(+), 2 deletions(-)

commit 03c1507a5ef6b5e5323c04148b934df3b27721c2
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 7 18:59:45 2016 -0500

    Adjust new preferences dialog UI

 src/resources/prefs-dialog.ui | 29 +++--------------------------
 1 file changed, 3 insertions(+), 26 deletions(-)

commit 95eb71920cf62e6a73e1698c8ddb909846f46222
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 20:42:10 2016 +0300

    sync-service: Use the new function name

 src/ephy-sync-service.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 30c197dd1fcc7162724847461cb03a4482f09e09
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 18:51:14 2016 +0300

    ephy-sync: Reset sync time at sign out

 src/prefs-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit 053fc667835c81038a0a2452cecc0fefbde688bb
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 18:47:04 2016 +0300

    Forgot this when cherry-picking

 embed/ephy-notification-container.c | 1 -
 1 file changed, 1 deletion(-)

commit c86f8135f360f3fb525c9226f23581f96e17248b
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Sep 27 17:15:33 2016 +0300

    sync-service: Silently return if the user is not signed in when
    trying to delete a bookmark from server

 src/ephy-sync-service.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f040bb1135ff332d4637aab9967f2e130ca8f226
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Sep 20 22:20:48 2016 +0300

    ephy-sync: Use #pragma once

 embed/ephy-notification-container.h      | 5 +----
 lib/widgets/ephy-password-notification.h | 5 +----
 src/ephy-sync-crypto.h                   | 5 +----
 src/ephy-sync-secret.h                   | 5 +----
 src/ephy-sync-service.h                  | 5 +----
 src/ephy-sync-utils.h                    | 5 +----
 6 files changed, 6 insertions(+), 24 deletions(-)

commit 1356f534c9df8650e502e175590401d56f6b7932
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Sep 20 21:39:12 2016 +0300

    ephy-sync: Add files with translatable strings to POTFILES.in

 po/POTFILES.in | 2 ++
 1 file changed, 2 insertions(+)

commit 636b4ebee59e8d893418dd0ab24d3e14aba6e77b
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 1 13:52:46 2016 +0300

    ephy-sync: Add/improve comments

 src/bookmarks/ephy-bookmark.c | 19 ++++++++++++++++++
 src/ephy-sync-crypto.c        | 45
 +++++++++++++++++++++++++++++++++++++------
 src/ephy-sync-service.c       | 30 ++++++++++++++++++-----------
 3 files changed, 77 insertions(+), 17 deletions(-)

commit 5480f10402654be801da1de808cce7ca2104af9b
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 1 11:31:09 2016 +0300

    prefs-dialog.ui: Use one vertical box instead of two

 src/resources/prefs-dialog.ui | 144
 +++++++++++++++++++-----------------------
 1 file changed, 65 insertions(+), 79 deletions(-)

commit 1b31bba1b032ad1a8e6c847b6dbeb90f2ad859a7
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 18:24:53 2016 +0300

    prefs-dialog: Unref content manager at finalize

 src/prefs-dialog.c | 1 +
 1 file changed, 1 insertion(+)

commit bc891a11bdd4a5befcf1a7ffb85cc73d71b1311b
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 18:12:52 2016 +0300

    ephy-sync: Fix minor issues in ephy-sync-service

 src/ephy-sync-service.c | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit 226cbffa54c632dc04d21924e1f554b420d6b0a9
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 17:38:15 2016 +0300

    sync-secret: Free errors and improve translators comment

 src/ephy-sync-secret.c | 19 ++++++++++++++-----
 1 file changed, 14 insertions(+), 5 deletions(-)

commit 51d668819287bd66d87ddab612f851f034933043
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 17:16:56 2016 +0300

    sync-crypto: Only use Nettle specific random generator

 src/bookmarks/ephy-bookmark.c |  5 ++++-
 src/ephy-sync-crypto.c        | 35 +++++++++++++++++------------------
 src/ephy-sync-crypto.h        |  4 +++-
 3 files changed, 24 insertions(+), 20 deletions(-)

commit 9075e68919df9ca1cf73f1ab69d2da0ec1b46d4d
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 16:45:53 2016 +0300

    sync-crypto: Replace g_return macros with g_assert in static functions

 src/ephy-sync-crypto.c | 44 ++++++++++++++++++++++----------------------
 1 file changed, 22 insertions(+), 22 deletions(-)

commit cd566f1885579ad6081b92daeabd51f027961ae8
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 16:06:55 2016 +0300

    sync-crypto: Avoid failure if longs are not 8 bytes

 src/ephy-sync-crypto.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3cd146bc50350402d8eb891c715c39f94692a9ab
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 16:04:43 2016 +0300

    sync-crypto: Move every free function under the correponding new
    function

 src/ephy-sync-crypto.c | 89
 +++++++++++++++++++++++++-------------------------
 1 file changed, 44 insertions(+), 45 deletions(-)

commit 1be37d191792f4f55ace735a7ce4b78b05ee1f8e
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 16:00:54 2016 +0300

    ephy-shell: Create the sync service in startup rather than init

 src/ephy-shell.c | 47 ++++++++++++++++++++++++++---------------------
 1 file changed, 26 insertions(+), 21 deletions(-)

commit bc5b151581b644e4adf6908112d8f75fe3aba404
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 15:46:12 2016 +0300

    ephy-bookmark: Better names for setters/getters

 src/bookmarks/ephy-bookmark-properties-grid.c |  8 +--
 src/bookmarks/ephy-bookmark.c                 | 14 ++---
 src/bookmarks/ephy-bookmark.h                 | 86
 +++++++++++++--------------
 src/bookmarks/ephy-bookmarks-manager.c        |  6 +-
 src/ephy-sync-service.c                       | 14 ++---
 5 files changed, 64 insertions(+), 64 deletions(-)

commit a8a56a21edb8179fec1c4ab5354fc89e7dcada20
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Aug 30 15:39:29 2016 +0300

    ephy-notification-manager: Rename to ephy-notification-container

 embed/Makefile.am                        |   4 +-
 embed/ephy-embed.c                       |  25 +++----
 embed/ephy-embed.h                       |  34 +++++-----
 embed/ephy-notification-container.c      |  81 ++++++++++++++++++++++
 embed/ephy-notification-container.h      |  52 ++++++++++++++
 embed/ephy-notification-manager.c        | 112
 -------------------------------
 embed/ephy-notification-manager.h        |  50 --------------
 lib/widgets/ephy-password-notification.c |   6 +-
 src/ephy-window.c                        |   4 +-
 9 files changed, 170 insertions(+), 198 deletions(-)

commit 7fa3242140a1eebf55d209d803c49e011dcae24b
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 29 20:42:03 2016 +0300

    ephy-sync: No space after cast

 src/bookmarks/ephy-bookmark.c |  4 ++--
 src/ephy-sync-crypto.c        | 12 ++++++------
 src/ephy-sync-service.c       | 10 +++++-----
 3 files changed, 13 insertions(+), 13 deletions(-)

commit 640d3bc61942d75980d51f3f11cf5c964681f641
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 29 20:20:37 2016 +0300

    ephy-bookmark: Align function parameters

 src/bookmarks/ephy-bookmark.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 81236ba61210052f92948a3cb527ebbca70edfac
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 29 20:16:05 2016 +0300

    ephy-bookmark: Replace G_DEFINE_TYPE_EXTENDED with
    G_DEFINE_TYPE_WITH_CODE

 src/bookmarks/ephy-bookmark.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 3a75b04a35e89562431f84c452687d69269692ed
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 29 20:11:58 2016 +0300

    ephy-bookmark: Add comment regarding the modified timestamp

 src/bookmarks/ephy-bookmark.c | 2 ++
 1 file changed, 2 insertions(+)

commit 17a375d6ef0f19d0f249581db5185391c577ad60
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 29 19:09:34 2016 +0300

    bookmarks-properties-grid: Split some code into a file-static
    helper function

 src/bookmarks/ephy-bookmark-properties-grid.c | 26
 +++++++++++++-------------
 1 file changed, 13 insertions(+), 13 deletions(-)

commit 06209eaa7a97e9d2b59574c19a2ad4cef46e74dc
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 29 19:00:50 2016 +0300

    bookmark-properties-grid: g_strcmp0() can handle NULL for us

 src/bookmarks/ephy-bookmark-properties-grid.c | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit b084860c60fd69887652c93983ce4537608f6650
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun Aug 28 22:20:41 2016 +0300

    ephy-sync: Fix ephy-password-notification

 lib/widgets/ephy-password-notification.c | 20 +++++++++-----------
 lib/widgets/ephy-password-notification.h | 18 ++++--------------
 2 files changed, 13 insertions(+), 25 deletions(-)

commit 39e1b4426a8198b62c9b48291b6d9401fc1267f4
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun Aug 28 21:17:27 2016 +0300

    ephy-sync: Avoid including markup in translatable comments

 lib/widgets/ephy-password-notification.c | 10 +++++---
 src/prefs-dialog.c                       | 41
 ++++++++++++++++++++++++--------
 src/resources/prefs-dialog.ui            |  4 ++--
 3 files changed, 40 insertions(+), 15 deletions(-)

commit a7d608592a178b3b261f5cca453fd753741cc2b0
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun Aug 28 18:26:14 2016 +0300

    ephy-sync: Rename ephy-fx-password-notification to
    ephy-password-notification and move it to lib/widgets

 embed/Makefile.am                                  |  2 -
 lib/widgets/Makefile.am                            |  2 +
 .../widgets/ephy-password-notification.c           | 65
 +++++++++++-----------
 .../widgets/ephy-password-notification.h           | 24 ++++----
 src/ephy-sync-service.c                            |  8 +--
 5 files changed, 51 insertions(+), 50 deletions(-)

commit 25284a147fee353d4e0967b4888838be5ac6eb32
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun Aug 21 19:17:53 2016 +0300

    sync-service: Don't keep the service locked if an error occurred

 src/ephy-sync-service.c | 5 +++++
 1 file changed, 5 insertions(+)

commit e601bdc8545ef946ef71c22c93d74173a63f5e86
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun Aug 21 19:15:39 2016 +0300

    sync-service: Notify the user to sign in with the new password

 configure.ac                          |   2 +-
 embed/Makefile.am                     |   5 ++
 embed/ephy-embed.c                    |  42 +++++++--
 embed/ephy-embed.h                    |  32 +++----
 embed/ephy-fx-password-notification.c | 162
 ++++++++++++++++++++++++++++++++++
 embed/ephy-fx-password-notification.h |  47 ++++++++++
 embed/ephy-notification-manager.c     | 112 +++++++++++++++++++++++
 embed/ephy-notification-manager.h     |  50 +++++++++++
 src/ephy-sync-service.c               |  19 ++--
 src/ephy-window.c                     |   4 +
 10 files changed, 445 insertions(+), 30 deletions(-)

commit ef1f9043a1a6fa7e6d913b36fc971c11862ede7c
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Aug 20 15:00:37 2016 +0300

    sync-service: Remove the source ID at sign out and finalize

 src/ephy-shell.c        | 13 +++++-------
 src/ephy-sync-service.c | 56
 +++++++++++++++++++++++++++++--------------------
 src/ephy-sync-service.h |  7 +++----
 src/prefs-dialog.c      |  5 ++---
 4 files changed, 43 insertions(+), 38 deletions(-)

commit 0c6c7f55aceb67a21e26333b9ed848dd49ffcfe6
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Aug 20 14:10:51 2016 +0300

    ephy-sync: Replace gchar with char

 src/ephy-sync-crypto.c  | 230
 ++++++++++++++++++++++++------------------------
 src/ephy-sync-crypto.h  | 112 +++++++++++------------
 src/ephy-sync-secret.c  |  14 +--
 src/ephy-sync-secret.h  |   4 +-
 src/ephy-sync-service.c | 158 ++++++++++++++++-----------------
 src/ephy-sync-service.h |  24 ++---
 src/ephy-sync-utils.c   |  52 +++++------
 src/ephy-sync-utils.h   |  28 +++---
 src/prefs-dialog.c      |  42 ++++-----
 9 files changed, 332 insertions(+), 332 deletions(-)

commit ed506959f246a5365d44435656659c38777e3477
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Aug 19 23:59:43 2016 +0300

    prefs-dialog: Minor changes

 src/prefs-dialog.c            | 99
 ++++++++++++++++++-------------------------
 src/resources/prefs-dialog.ui |  4 +-
 2 files changed, 43 insertions(+), 60 deletions(-)

commit 6606f4f5bab9d3f15c5f88a1a521d6e510a386cd
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 8 21:10:40 2016 +0300

    ephy-sync: Implement the sync logic

 data/org.gnome.epiphany.gschema.xml           |    5 +
 lib/ephy-prefs.h                              |    1 +
 src/Makefile.am                               |    2 -
 src/bookmarks/ephy-bookmark-properties-grid.c |   66 +-
 src/bookmarks/ephy-bookmark.c                 |   74 +-
 src/bookmarks/ephy-bookmark.h                 |    8 +
 src/bookmarks/ephy-bookmarks-manager.c        |   34 +-
 src/bookmarks/ephy-bookmarks-manager.h        |    2 +
 src/ephy-shell.c                              |   18 +-
 src/ephy-shell.h                              |    2 +-
 src/ephy-sync-bookmarks.c                     |  124 ---
 src/ephy-sync-bookmarks.h                     |   36 -
 src/ephy-sync-crypto.c                        |  927
 +++++++++------------
 src/ephy-sync-crypto.h                        |  136 ++-
 src/ephy-sync-secret.c                        |   65 +-
 src/ephy-sync-secret.h                        |   18 +-
 src/ephy-sync-service.c                       | 1099
 +++++++++++++++++--------
 src/ephy-sync-service.h                       |   61 +-
 src/ephy-sync-utils.c                         |  135 ++-
 src/ephy-sync-utils.h                         |   29 +-
 src/prefs-dialog.c                            |   25 +-
 21 files changed, 1616 insertions(+), 1251 deletions(-)

commit 972f51caacda8f97640ba47f064dfd4190d9fec7
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 8 21:06:02 2016 +0300

    sync-crypto: Consider the url query too when creating HAWK header

 src/ephy-sync-crypto.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 71dac0bbfbdf3248b13a4de8bf6beed6fb0febfd
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 8 21:05:14 2016 +0300

    sync-service: Fix email regex

 src/ephy-sync-service.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 312fc6e91adf6733c81e50348ebc5c79a14293a7
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Aug 1 20:12:13 2016 +0300

    sync-service: Process storage requests in the same order they
    were sent

    Since all storage requests are made asynchronously (thus the exact
    moment when the responses arrive can't be known) and since
    implementing
    the sync logic requires multiple consecutive storage requests to be
    made, a certain mechanism is needed to ensure that the responses are
    processed in the right order, one after another, to avoid conflicts.

    To achieve this, use a queue to hold new requests and a flag to tell
    whether there is currently another request in progress: if there is
    currently another request being transmitted, then the new one has to
    wait in the queue, otherwise, it is free to go. With this, it becomes
    the responsibility of the current request to release the next one
    waiting in the queue once the response has been processed. This
    is done
    by calling ephy_sync_service_release_next_storage_message() at the end
    of every callback that handles a response from the Storage Server.

 src/ephy-sync-service.c | 116
 ++++++++++++++++++++++++++----------------------
 src/ephy-sync-service.h |  62 +++++++++++++-------------
 2 files changed, 96 insertions(+), 82 deletions(-)

commit be577882553329967a0fec414bfd42c8a0793482
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 29 16:51:34 2016 +0300

    ephy-sync: Prepare the ground for sync

    Add sync-bookmarks and sync-utils modules.

    Add function to convert bookmark to BSO.

 src/Makefile.am               |   4 +
 src/bookmarks/ephy-bookmark.c | 124 ++++++++++++++++++++---
 src/bookmarks/ephy-bookmark.h |   8 ++
 src/ephy-sync-bookmarks.c     | 124 +++++++++++++++++++++++
 src/ephy-sync-bookmarks.h     |  36 +++++++
 src/ephy-sync-crypto.c        | 193 ++++++++++++++++++++++-------------
 src/ephy-sync-crypto.h        |  24 +++--
 src/ephy-sync-service.c       | 229
 +++++++++++++-----------------------------
 src/ephy-sync-service.h       |  54 ++++++----
 src/ephy-sync-utils.c         |  56 +++++++++++
 src/ephy-sync-utils.h         |  35 +++++++
 src/prefs-dialog.c            |  10 +-
 12 files changed, 620 insertions(+), 277 deletions(-)

commit 7ac6bd3f7f592ad68a5d93c8dd000084116a429f
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 29 15:51:52 2016 +0300

    sync-service: Ensure that no simultaneous storage credentials requests
    are made

 src/ephy-sync-service.c | 42 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 36 insertions(+), 6 deletions(-)

commit 99efecea65b353ceba168bb1967006da930c6430
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 15:20:57 2016 +0300

    ephy-sync: Minor fixes

 src/ephy-sync-crypto.c  |  2 +-
 src/ephy-sync-service.c | 56
 ++++++++++++++++++++++++++++++-------------------
 2 files changed, 36 insertions(+), 22 deletions(-)

commit b8d82cb60341a30587a854258b860f9eb82d8d0d
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 15:18:26 2016 +0300

    ephy-sync: Create our own bookmarks BSO collection at login

 src/ephy-sync-service.c | 83
 +++++++++++++++++++++++++++++++++++++++++++------
 src/ephy-sync-service.h | 44 +++++++++++++-------------
 src/prefs-dialog.c      |  3 ++
 3 files changed, 99 insertions(+), 31 deletions(-)

commit 4e289d05ec4d1037f21f349e6e5ecf5577ba6cff
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 19:27:11 2016 +0300

    sync-crypto: Free SoupUri

 src/ephy-sync-crypto.c | 2 ++
 1 file changed, 2 insertions(+)

commit cc6809b8b78246e83009c2f57b1ce5a735d18ebe
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 19:25:08 2016 +0300

    ephy-sync: Fix includes

 src/ephy-sync-crypto.c  | 1 +
 src/ephy-sync-secret.c  | 1 +
 src/ephy-sync-service.c | 6 +++---
 3 files changed, 5 insertions(+), 3 deletions(-)

commit 7951f793f68b32cd5de205736c0a1455643eb675
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 18:58:22 2016 +0300

    sync-service: Add FIXME note for future reference

 src/ephy-sync-service.c | 6 ++++++
 1 file changed, 6 insertions(+)

commit 88433015df4336189c38638ce79970d6d925e796
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 18:33:16 2016 +0300

    sync-service: Implement asynchronous Storage Server requests

 src/ephy-sync-service.c | 200
 +++++++++++++++++++++++++++++++++++++++++-------
 1 file changed, 172 insertions(+), 28 deletions(-)

commit 32e863c07defc7b8cea6f5cdc25ef8df0b477dbd
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 16:54:29 2016 +0300

    sync-service: Better function names

 src/ephy-sync-service.c | 314
 ++++++++++++++++++++++++------------------------
 1 file changed, 156 insertions(+), 158 deletions(-)

commit c7132e09e87c0f594a3f91fc4d44e0d4d2bcb746
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 15:35:04 2016 +0300

    sync-service: Rename storage token to storage credentials

 src/ephy-sync-service.c | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 3002c947ddee57fcd1947dd981334ef785934cdf
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 28 15:27:45 2016 +0300

    sync-service: Use a certificate duration lower than the duration of
    the storage token

 src/ephy-sync-service.c | 28 +++++-----------------------
 1 file changed, 5 insertions(+), 23 deletions(-)

commit ecddba5a4e8a56b270cd879ebe41261ca4c65430
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Jul 27 16:03:24 2016 +0300

    sync-crypto: AES encryption/decryption functions

 src/ephy-sync-crypto.c | 35 +++++++++++++++++++++++++++++++++++
 src/ephy-sync-crypto.h |  8 ++++++++
 2 files changed, 43 insertions(+)

commit d2ad6e2a8c4fa0ebac79781e6a44d6b2de2f18dc
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 15:04:57 2016 +0300

    ephy-bookmark: Implement JsonSerializable interface

 src/bookmarks/Makefile.am     |  2 ++
 src/bookmarks/ephy-bookmark.c | 46
 ++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 47 insertions(+), 1 deletion(-)

commit a53f84680f6ac37f11681e8c255de45b591f70af
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Jul 26 23:13:46 2016 +0300

    sync-service: Sign certificates asynchronously

 src/ephy-sync-service.c | 222
 ++++++++++++++++++++++++++----------------------
 1 file changed, 120 insertions(+), 102 deletions(-)

commit 563974d2291adfe1e9e4170cde4df82532aacda4
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Jul 26 21:07:26 2016 +0300

    sync-service: Discard JsonNode *root

 src/ephy-sync-service.c | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit d98d6f81e996cd1e620ff1fe1f6b1be4e53545eb
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Jul 26 19:55:39 2016 +0300

    sync-service: Get the storage token asynchronously

 src/ephy-sync-service.c | 322
 +++++++++++++++++++++++++-----------------------
 src/ephy-sync-service.h |   2 -
 2 files changed, 169 insertions(+), 155 deletions(-)

commit c083c9c420463c7d9a7ed442cf0b69d5c1bf97b1
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Jul 23 13:24:59 2016 +0300

    sync-service: Generate assertion internally

 src/ephy-sync-service.c | 50
 ++++++++++++++++++++++++++++++-------------------
 1 file changed, 31 insertions(+), 19 deletions(-)

commit 6f2ed3229a406adb8d96f255fe7b1bf5111a8e24
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Jul 23 12:49:20 2016 +0300

    sync-service: Test user email against regex

 src/ephy-sync-service.c | 16 ++++++++++------
 src/prefs-dialog.c      | 13 +++++++------
 2 files changed, 17 insertions(+), 12 deletions(-)

commit aa51acbcce7232b3d401be4593787bd2c3288b74
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Jul 23 01:12:59 2016 +0300

    ephy-sync: Fix ephy_shell_get_global_sync_service()

 src/ephy-shell.c        | 11 +++++++----
 src/ephy-shell.h        |  2 +-
 src/ephy-sync-service.c |  3 +--
 src/prefs-dialog.c      |  4 ++--
 4 files changed, 11 insertions(+), 9 deletions(-)

commit 2e5b94b175233dc084bf147245ffaf16d7cf384a
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Jul 23 00:59:59 2016 +0300

    ephy-sync: Fix json-glib required version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f491063b29a5b98bcc712f3c81a290f11f096118
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sat Jul 23 00:29:29 2016 +0300

    sync-crypto: Replace Nettle functions with GLib functions

 src/ephy-sync-crypto.c | 173
 +++++++++++++++++++++++++++++++------------------
 1 file changed, 109 insertions(+), 64 deletions(-)

commit 94d50a2a9f99978f3e0abaf520b4f3f4a8325adf
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 22 13:04:30 2016 +0300

    ephy-sync: Do some things in a different way

 src/Makefile.am         |   2 -
 src/ephy-sync-crypto.c  |  66 ++++++++--
 src/ephy-sync-crypto.h  |   7 ++
 src/ephy-sync-secret.c  |  50 +++-----
 src/ephy-sync-secret.h  |   6 +-
 src/ephy-sync-service.c | 326
 +++++++++++++++++++++++++++++++-----------------
 src/ephy-sync-service.h |  29 +++--
 src/ephy-sync-utils.c   | 139 ---------------------
 src/ephy-sync-utils.h   |  57 ---------
 src/prefs-dialog.c      |   6 +-
 10 files changed, 321 insertions(+), 367 deletions(-)

commit 77d6df424f08cf229105e663d2e3edacbc7c2fed
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jul 21 19:21:23 2016 +0300

    sync-service: Add X-Client-State header to Token Server requests

 src/ephy-sync-service.c | 16 +++++++++++++++-
 1 file changed, 15 insertions(+), 1 deletion(-)

commit 67bb43faac0f71e83aebe4fb34ac7e5ffb611a3e
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Jul 20 16:13:27 2016 +0300

    sync-service: Add functions to retrieve the storage endpoint from
    the Token Server

 src/ephy-sync-crypto.c  | 117 +++++++++++++++++++---
 src/ephy-sync-crypto.h  |  11 ++-
 src/ephy-sync-service.c | 255
 ++++++++++++++++++++++++++++++++++++++++++++----
 src/ephy-sync-service.h |   2 +-
 4 files changed, 349 insertions(+), 36 deletions(-)

commit 1734373373e4989dc3cb734da4c4ecd9188179a2
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Jul 18 23:22:17 2016 +0300

    ephy-sync: Implement the Sign Certificate act

 src/ephy-sync-crypto.c  |  60 +++++++++++++++++++++++++
 src/ephy-sync-crypto.h  |  10 +++++
 src/ephy-sync-service.c | 115
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ephy-sync-service.h |   2 +
 4 files changed, 187 insertions(+)

commit 2ef7f922fc506121ba1e9cb94504f99a1d2b77e5
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 15 20:00:00 2016 +0300

    ephy-sync: Rename some functions

 src/ephy-sync-secret.c  |  2 +-
 src/ephy-sync-service.c | 30 +++++++++++++++---------------
 src/ephy-sync-service.h | 40 ++++++++++++++++++++--------------------
 src/prefs-dialog.c      |  8 ++++----
 4 files changed, 40 insertions(+), 40 deletions(-)

commit 58fb975c004b79320dd014fb0f6faf30403a5612
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 15 19:51:49 2016 +0300

    sync-service: Destroy session asynchronously

 src/ephy-sync-service.c | 113
 ++++++++++++++++++++++--------------------------
 src/ephy-sync-service.h |   2 +-
 src/prefs-dialog.c      |   5 +--
 3 files changed, 55 insertions(+), 65 deletions(-)

commit 9ec057cb34d42a1a1bcebb1f16aa0e999555fd7a
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 15 18:22:23 2016 +0300

    ephy-sync: Implement the new sign in method

 src/ephy-sync-crypto.c        | 145 +++++++---------
 src/ephy-sync-crypto.h        |  65 ++++---
 src/ephy-sync-service.c       | 242 +++++++++-----------------
 src/ephy-sync-service.h       |  19 ++-
 src/ephy-sync-utils.c         |  15 +-
 src/ephy-sync-utils.h         |   7 +-
 src/prefs-dialog.c            | 387
 +++++++++++++++++++++++++++---------------
 src/resources/prefs-dialog.ui | 169 +++++++-----------
 8 files changed, 502 insertions(+), 547 deletions(-)

commit df02268552c7342b8ad842686cc41f343a4a4d99
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jul 8 17:51:49 2016 +0300

    ephy-sync: Implement the Fetch Sync Keys act

 src/ephy-sync-crypto.c  | 444
 +++++++++++++++++++++++++++++++++++++++---------
 src/ephy-sync-crypto.h  |  91 ++++++----
 src/ephy-sync-secret.c  |   6 +-
 src/ephy-sync-secret.h  |   4 +-
 src/ephy-sync-service.c | 347 +++++++++++++++++++------------------
 src/ephy-sync-service.h |  11 +-
 src/ephy-sync-utils.c   |  35 ++--
 src/ephy-sync-utils.h   |  10 +-
 src/prefs-dialog.c      |  17 +-
 9 files changed, 652 insertions(+), 313 deletions(-)

commit 7e4b21c266013f0e3d134303eed3c2145a6a449e
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun Jun 26 18:50:40 2016 +0300

    sync-crypto: Add function to compute Hawk headers

 src/ephy-sync-crypto.c  | 412
 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/ephy-sync-crypto.h  |  81 ++++++++--
 src/ephy-sync-service.c | 134 ++++++++++++----
 src/ephy-sync-utils.c   |  36 +++++
 src/ephy-sync-utils.h   |   4 +
 5 files changed, 622 insertions(+), 45 deletions(-)

commit 25e74fbd500fa274271e373147d8a7a763eea963
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 13:33:09 2016 +0300

    ephy-sync: Implement the sign in logic

 src/Makefile.am                  |   4 +-
 src/ephy-sync-service.c          | 151
 +++++++++++++++++++++++++++++----------
 src/ephy-sync-service.h          |   4 +-
 src/ephy-sync-utils.c            |   4 ++
 src/ephy-sync-utils.h            |   2 +
 src/prefs-dialog.c               |  29 ++++++--
 src/profile-migrator/Makefile.am |   2 +
 src/search-provider/Makefile.am  |   2 +
 tests/Makefile.am                |   2 +
 9 files changed, 152 insertions(+), 48 deletions(-)

commit c2a6e22676ae90fb93e9475e163c4c7d9338ab22
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Fri Jun 24 18:13:42 2016 +0300

    ephy-sync: Add save/store, get/load, delete/forget tokens functions

 src/ephy-sync-secret.c  | 157
 ++++++++++++++++++++----------------------------
 src/ephy-sync-secret.h  |  16 +++--
 src/ephy-sync-service.c | 121 ++++++++++++++++++++++++-------------
 src/ephy-sync-service.h |  39 ++++++------
 src/ephy-sync-utils.c   |  17 ++++++
 src/ephy-sync-utils.h   |  27 ++++++---
 6 files changed, 207 insertions(+), 170 deletions(-)

commit effe593cd56e571203c54048851e237698eee05b
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Jun 23 18:39:05 2016 +0300

    ephy-sync: Replace the sync window with a new tab in the Preferences
    dialog

 src/Makefile.am                            |   2 -
 src/ephy-shell.c                           |  36 -----
 src/ephy-shell.h                           |   2 -
 src/ephy-sync-window.c                     | 216
 -----------------------------
 src/ephy-sync-window.h                     |  36 -----
 src/epiphany.gresource.xml                 |   1 -
 src/prefs-dialog.c                         | 145 +++++++++++++++++++
 src/resources/epiphany-application-menu.ui |   5 -
 src/resources/prefs-dialog.ui              | 194
 ++++++++++++++++++++++++++
 src/resources/sync-dialog.ui               | 131 -----------------
 src/window-commands.c                      |  16 ---
 src/window-commands.h                      |   2 -
 12 files changed, 339 insertions(+), 447 deletions(-)

commit abcb10f967b019522f67ccad21fbee9c12a189cd
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Jun 22 17:27:29 2016 +0300

    ephy-sync: Add GSettings key for the user email

 data/org.gnome.epiphany.gschema.xml | 5 +++++
 lib/ephy-prefs.h                    | 1 +
 2 files changed, 6 insertions(+)

commit 9f08342f1ff561a7861a4478ff37a42f85daad8e
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Jun 22 15:55:09 2016 +0300

    sync-utils: Add ephy_sync_utils_decode_hex()

 src/ephy-sync-utils.c | 20 ++++++++++++++++++++
 src/ephy-sync-utils.h | 19 ++++++++++---------
 2 files changed, 30 insertions(+), 9 deletions(-)

commit 8a15517eee22d72bbdb0fe15cf26c8eef9d948b5
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Wed Jun 22 15:54:47 2016 +0300

    ephy-sync: Add ephy-sync-secret module

    Use libsecret to encrypt the sync tokens on disk.

    Also, keep the sync tokens in the EphySyncService instance.

 src/Makefile.am              |   2 +
 src/ephy-shell.c             |  40 ++++-----
 src/ephy-shell.h             |   3 +-
 src/ephy-sync-secret.c       | 202
 +++++++++++++++++++++++++++++++++++++++++++
 src/ephy-sync-secret.h       |  49 +++++++++++
 src/ephy-sync-service.c      | 113 ++++++++++++++++++------
 src/ephy-sync-service.h      |  29 ++++---
 src/ephy-sync-window.c       |  55 +++++-------
 src/resources/sync-dialog.ui |  24 ++++-
 9 files changed, 419 insertions(+), 98 deletions(-)

commit 5b40fcc8311b4cdadd751331fc6b90cd7ec1f597
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Mon Jun 20 14:04:22 2016 +0300

    ephy-sync: Add ephy-sync-utils module

 src/Makefile.am         | 14 ++++++-----
 src/ephy-sync-crypto.c  | 45 ----------------------------------
 src/ephy-sync-crypto.h  | 38 ++++++++++++-----------------
 src/ephy-sync-service.c | 23 +++++++++---------
 src/ephy-sync-service.h | 29 +++++++++++-----------
 src/ephy-sync-utils.c   | 64
 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/ephy-sync-utils.h   | 44 ++++++++++++++++++++++++++++++++++
 src/ephy-sync-window.c  | 18 +++++++-------
 src/ephy-sync-window.h  |  2 +-
 9 files changed, 168 insertions(+), 109 deletions(-)

commit 663dad88839932c4c9e542fc1c1ff04653176980
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Sun May 22 22:55:21 2016 +0300

    ephy-sync: Add basic sync service and sync window

 configure.ac                               |   3 +
 src/Makefile.am                            |   8 +
 src/ephy-shell.c                           |  57 ++++++++
 src/ephy-shell.h                           |   6 +-
 src/ephy-sync-crypto.c                     | 141 ++++++++++++++++++
 src/ephy-sync-crypto.h                     |  52 +++++++
 src/ephy-sync-service.c                    | 164 +++++++++++++++++++++
 src/ephy-sync-service.h                    |  46 ++++++
 src/ephy-sync-window.c                     | 227
 +++++++++++++++++++++++++++++
 src/ephy-sync-window.h                     |  36 +++++
 src/epiphany.gresource.xml                 |   1 +
 src/resources/epiphany-application-menu.ui |   5 +
 src/resources/sync-dialog.ui               | 113 ++++++++++++++
 src/window-commands.c                      |  16 ++
 src/window-commands.h                      |   3 +
 15 files changed, 876 insertions(+), 2 deletions(-)

commit 1ba2382a94d84b76e4d17104eb9067bc3b88b942
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 7 14:29:18 2016 -0500

    Fix whitespace

 data/org.gnome.epiphany.gschema.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5bcaf548b92cfb38f5b219d4b3e02b4ab20af925
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Fri Oct 7 04:37:10 2016 -0500

    Add warning that disable-javascript breaks message handlers

    We didn't think twice about using JavaScript to implement internal
    message passing, or the overview. Good thing this option is no longer
    visible in the UI.

 data/org.gnome.epiphany.gschema.xml | 1 +
 1 file changed, 1 insertion(+)

commit d16d57c7591b929cd532c91091017332e80ab00c
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Oct 6 13:39:03 2016 -0500

    Remove Claudio from doap file

    Thanks for all the past work!

 epiphany.doap | 7 -------
 1 file changed, 7 deletions(-)

commit e00b0415e48e3103064b7c40034cd323302a5d48
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 4 17:56:57 2016 -0500

    about-handler: limit overview to 9 items

    This is needed to go along with the recent CSS changes

 embed/ephy-about-handler.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b1639434ae71df39c5318e4e6575388baab83a0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 4 17:38:19 2016 -0500

    profile-migrator: Remove ancient migrators

    We really do not need to support migrating from Mozilla-based Epiphany
    anymore.

 src/profile-migrator/ephy-profile-migrator.c | 272
 +--------------------------
 1 file changed, 4 insertions(+), 268 deletions(-)

commit 7f3473e62468f6d67587d2cb7c18f918ab99b279
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 4 17:35:29 2016 -0500

    profile-migrator: Remove code supporting removed migrators

 src/profile-migrator/ephy-profile-migrator.c | 7 -------
 1 file changed, 7 deletions(-)

commit 293da37966b590cbabe88b8f4e9a6c9308a50f0f
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Oct 4 17:34:43 2016 -0500

    profile-migrator: Fix off-by-one in print statement

 src/profile-migrator/ephy-profile-migrator.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 15ff472275c2d39704a7b4652982800e07ded618
Author: Estêvão Samuel Procópio Amaral <tevaum@gmail.com>
Date:   Sun Oct 2 21:46:39 2016 -0300

    Change overview design to match mockup

    https://bugzilla.gnome.org/show_bug.cgi?id=772352

 src/resources/about.css | 20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

commit c530f2c36a79571ca7c028b1bcfd9ded21335815
Author: Estêvão Samuel Procópio Amaral <tevaum@gmail.com>
Date:   Sun Oct 2 21:20:19 2016 -0300

    overview: Fix for animation when removing item

    https://bugzilla.gnome.org/show_bug.cgi?id=772350

 embed/ephy-about-handler.c | 2 +-
 src/resources/about.css    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 51bdbc986a66ee627a46b00b6430b46aaeb58601
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Tue Oct 4 20:10:40 2016 +0300

    ephy-bookmark: Fix memory leak caused by setting the tags property
    multiple times

 src/bookmarks/ephy-bookmark.c | 2 ++
 1 file changed, 2 insertions(+)

commit a84d6edeb0976de8380f6122c495a804da82f170
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Oct 1 19:41:14 2016 +0200

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 46c487e4b481b845ca286f88ff234f24538cab83
Author: Gustavo Noronha Silva <gns@gnome.org>
Date:   Sat Oct 1 10:24:59 2016 -0300

    Add summary and description for notifications-permission key

 data/org.gnome.epiphany.host.gschema.xml | 2 ++
 1 file changed, 2 insertions(+)

commit b8a746b71299d92c1506ef41daec64a3880105a3
Author: Gabriel Ivascu <ivascu.gabriel59@gmail.com>
Date:   Thu Sep 29 19:04:21 2016 +0300

    ephy-bookmark: Change G_PARAM_CONSTRUCT_ONLY to G_PARAM_CONSTRUCT

    Construct-only parameters will cause a failure when trying to
    serialize/deserialize the given property.

 src/bookmarks/ephy-bookmark.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af5eaf47d72d0f7018f9eced7de229f036330ff0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 29 12:30:35 2016 +0200

    Use a submodule for gvdb

 .gitmodules               |   3 +
 gvdb/Makefile.am          |  10 +-
 gvdb/gvdb                 |   1 +
 gvdb/gvdb-builder.c       | 523 ---------------------------------
 gvdb/gvdb-builder.h       |  57 ----
 gvdb/gvdb-format.h        |  87 ------
 gvdb/gvdb-reader.c        | 720
 ----------------------------------------------
 gvdb/gvdb-reader.h        |  65 -----
 gvdb/gvdb.doap            |  32 ---
 src/bookmarks/Makefile.am |   2 +-
 10 files changed, 10 insertions(+), 1490 deletions(-)

commit 754af23c3b498595d99cc456b612c0949de9258e
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 29 12:01:15 2016 +0200

    Remove unused avahi dependency

    It was used by the old bookmarks subsystem

 configure.ac | 3 ---
 1 file changed, 3 deletions(-)

commit 7b633553a0bef20ce1ff0948e3376452335e1bba
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 19:52:18 2016 +0300

    bookmarks-manager: Use more suggestive names for tag operations to
    avoid confusion

    Tag add/remove for for the bookmarks manager can easily be confused
    with
    adding/removing a tag for a specific bookmark.

 src/bookmarks/ephy-bookmark-properties-grid.c |  6 +++---
 src/bookmarks/ephy-bookmarks-manager.c        | 22 +++++++++++-----------
 src/bookmarks/ephy-bookmarks-manager.h        |  4 ++--
 src/bookmarks/ephy-bookmarks-popover.c        | 16 ++++++++--------
 4 files changed, 24 insertions(+), 24 deletions(-)

commit 0c913df69cac28baa6bd3b0ed70596c78787de73
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 29 11:38:56 2016 +0200

    Fix build on Debian

 src/profile-migrator/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 4333788c725620fef8f5de5e92426e66f73b2ed0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Sep 28 18:14:31 2016 +0200

    shortcuts-dialog: Remove Ctrl+B

 src/resources/shortcuts-dialog.ui | 7 -------
 1 file changed, 7 deletions(-)

commit e6ce44a3dcd8eef1370d27996927b239eb70eba9
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 16:37:23 2016 +0300

    bookmark-properties-grid: Increase border width

 src/resources/gtk/bookmark-properties-grid.ui | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 51b1726d3912795cafb1ba9597182f01cae6a5a3
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 16:34:42 2016 +0300

    bookmarks-popover: Increase width for border and labels

 src/resources/gtk/bookmark-row.ui      | 4 +++-
 src/resources/gtk/bookmarks-popover.ui | 2 +-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit e59be60a66efca593a013d35d89eea0f418c0958
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 16:21:12 2016 +0300

    bookmarks-popover: Fix size after GTK+ 3.22.0 bump

    Thanks Hussam!

 src/resources/gtk/bookmarks-popover.ui | 3 +++
 1 file changed, 3 insertions(+)

commit d09fa349ebec91b50cb1671731e6deb5b7ff9899
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 16:16:12 2016 +0300

    Bring back application menu

 src/epiphany.gresource.xml | 1 +
 1 file changed, 1 insertion(+)

commit 73512034659f1a373b60dd87df3e1d57098bb122
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Wed Sep 28 13:38:49 2016 +0200

    Fully remove old bookmarks test

 tests/Makefile.am | 4 ----
 1 file changed, 4 deletions(-)

commit 72adb8045e5e11fc5d7229140603a2555dc34d77
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 13:35:16 2016 +0300

    bookmarks-popover: Ensure there are no duplicates added in 'Tags'
    stack of bookmarks popover

 src/bookmarks/ephy-bookmarks-popover.c | 29 ++++++++++++++++++++++-------
 1 file changed, 22 insertions(+), 7 deletions(-)

commit c74cb8506bec8a3a78ba7a3efe2b1f24c4e07655
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 28 12:47:23 2016 +0300

    Update POTFILES.in

 po/POTFILES.in | 13 ++-----------
 1 file changed, 2 insertions(+), 11 deletions(-)

commit dea972c3c4f15e627889f348f66f22ac9b2a9222
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 20:34:18 2016 +0300

    bookmarks: Move everything to a new bookmarks directory

 src/Makefile.am                                    |  22 +----
 src/bookmarks/Makefile.am                          | 109
 +++++++++++++++++++++
 src/{ => bookmarks}/ephy-add-bookmark-popover.c    |   0
 src/{ => bookmarks}/ephy-add-bookmark-popover.h    |   0
 .../ephy-bookmark-properties-grid.c                |   2 +-
 .../ephy-bookmark-properties-grid.h                |   0
 src/{ => bookmarks}/ephy-bookmark-row.c            |   0
 src/{ => bookmarks}/ephy-bookmark-row.h            |   0
 src/{ => bookmarks}/ephy-bookmark.c                |   0
 src/{ => bookmarks}/ephy-bookmark.h                |   0
 src/{ => bookmarks}/ephy-bookmarks-manager.c       |   0
 src/{ => bookmarks}/ephy-bookmarks-manager.h       |   0
 src/{ => bookmarks}/ephy-bookmarks-popover.c       |   0
 src/{ => bookmarks}/ephy-bookmarks-popover.h       |   0
 14 files changed, 114 insertions(+), 19 deletions(-)

commit 57909f3888eccbd9a2629330677f9017d7f257b6
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 19:51:31 2016 +0300

    Add a convenience GAsyncReadyCallback to pass to
    ephy_bookmarks_manager_save_to_file_async

 src/ephy-add-bookmark-popover.c              |  4 +-
 src/ephy-bookmark-properties-grid.c          |  4 +-
 src/ephy-bookmarks-manager.c                 | 35 +++++++++-------
 src/ephy-bookmarks-manager.h                 | 62
 +++++++++++++++-------------
 src/profile-migrator/ephy-profile-migrator.c |  4 +-
 5 files changed, 61 insertions(+), 48 deletions(-)

commit 88f3e105fc5f6e6360426098044cf5b7fce8aa69
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 19:27:03 2016 +0300

    Remove obsolete EphyBookmarks

 src/Makefile.am                               |    7 +-
 src/bookmarks/Makefile.am                     |  101 --
 src/bookmarks/ephy-bookmarks.c                | 1578
 -------------------------
 src/bookmarks/ephy-bookmarks.h                |  134 ---
 src/ephy-location-controller.c                |  194 +--
 src/ephy-main.c                               |    2 +
 src/ephy-shell.c                              |   17 -
 src/ephy-shell.h                              |    3 -
 src/ephy-window.c                             |    1 +
 src/epiphany.gresource.xml                    |    3 -
 src/prefs-dialog.c                            |   40 -
 src/resources/bookmark-properties.ui          |  158 ---
 src/resources/epiphany-bookmark-editor-ui.xml |   58 -
 src/resources/epiphany-ui.xml                 |    0
 src/window-commands.c                         |   24 -
 src/window-commands.h                         |    3 -
 tests/ephy-bookmarks-test.c                   |  128 --
 17 files changed, 5 insertions(+), 2446 deletions(-)

commit 1eaad92c8cbe1c884dd3a7b038839217f5af7346
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 19:13:04 2016 +0300

    Remove obsolete EphyBookmarksUi

 src/bookmarks/Makefile.am         |  4 +-
 src/bookmarks/ephy-bookmarks-ui.c | 97
 ---------------------------------------
 src/bookmarks/ephy-bookmarks-ui.h | 59 ------------------------
 src/ephy-history-window.c         | 29 ------------
 src/ephy-window.c                 |  6 ---
 src/popup-commands.c              | 27 -----------
 src/popup-commands.h              |  3 --
 src/resources/history-dialog.ui   |  4 --
 src/window-commands.c             |  1 -
 9 files changed, 1 insertion(+), 229 deletions(-)

commit d9baf85d5c9d721d33a5230ca37393208a2f76ba
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 19:08:44 2016 +0300

    Remove obsolete bookmarks actions and action groups

 src/bookmarks/Makefile.am                  |  16 +-
 src/bookmarks/ephy-bookmark-action-group.c | 167 -----------
 src/bookmarks/ephy-bookmark-action-group.h |  30 --
 src/bookmarks/ephy-bookmark-action.c       | 440
 -----------------------------
 src/bookmarks/ephy-bookmark-action.h       |  71 -----
 src/bookmarks/ephy-bookmarks-ui.c          |  30 --
 src/bookmarks/ephy-link-action.c           | 172 -----------
 src/bookmarks/ephy-link-action.h           |  77 -----
 src/bookmarks/ephy-open-tabs-action.c      | 132 ---------
 src/bookmarks/ephy-open-tabs-action.h      |  29 --
 src/bookmarks/ephy-topic-action-group.c    | 122 --------
 src/bookmarks/ephy-topic-action-group.h    |  31 --
 src/bookmarks/ephy-topic-action.c          | 327 ---------------------
 src/bookmarks/ephy-topic-action.h          |  67 -----
 src/bookmarks/ephy-window-action.c         | 106 -------
 src/bookmarks/ephy-window-action.h         |  53 ----
 src/ephy-window.c                          |   1 -
 17 files changed, 1 insertion(+), 1870 deletions(-)

commit 74815f5b23be10be5acdbd5a117de4ea3b8b0100
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 19:02:26 2016 +0300

    Remove obsolete EphyBookmarkProperties

 src/bookmarks/Makefile.am                |   2 -
 src/bookmarks/ephy-bookmark-properties.c | 442
 -------------------------------
 src/bookmarks/ephy-bookmark-properties.h |  38 ---
 src/bookmarks/ephy-bookmarks-ui.c        |  58 ----
 src/bookmarks/ephy-bookmarks.c           |   1 -
 5 files changed, 541 deletions(-)

commit d0b0aa4e94dd43f6c0cc6b6604be074b0251fafc
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:59:22 2016 +0300

    Remove obsolete bookmarks import/export code

 src/bookmarks/Makefile.am             |   4 -
 src/bookmarks/ephy-bookmarks-export.c | 492 --------------------
 src/bookmarks/ephy-bookmarks-export.h |  31 --
 src/bookmarks/ephy-bookmarks-import.c | 851
 ----------------------------------
 src/bookmarks/ephy-bookmarks-import.h |  45 --
 src/bookmarks/ephy-bookmarks.c        |  13 -
 src/ephy-shell.c                      |   1 -
 7 files changed, 1437 deletions(-)

commit e73ddfea16312d6688b1b7e679552e2f884e3a31
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:56:30 2016 +0300

    Remove obsolete EphyBookmarksEditor

 src/bookmarks/Makefile.am                  |    2 -
 src/bookmarks/ephy-bookmarks-editor.c      | 1719
 ----------------------------
 src/bookmarks/ephy-bookmarks-editor.h      |   37 -
 src/ephy-shell.c                           |   31 -
 src/resources/epiphany-application-menu.ui |    5 -
 src/window-commands.c                      |   12 -
 src/window-commands.h                      |    3 -
 7 files changed, 1809 deletions(-)

commit 7f208a239a947bbd28812649236d3aeff46643de
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:52:38 2016 +0300

    Remove obsolete EphyTopicsEntry

 src/bookmarks/Makefile.am                |   2 -
 src/bookmarks/ephy-bookmark-properties.c |   9 -
 src/bookmarks/ephy-topics-entry.c        | 594
 -------------------------------
 src/bookmarks/ephy-topics-entry.h        |  32 --
 4 files changed, 637 deletions(-)

commit 8e0616ad92573ac1fd6bfa2209725b08cb42fbc4
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:51:06 2016 +0300

    Remove obsolete EphyNodesCover

 src/bookmarks/Makefile.am         |   2 -
 src/bookmarks/ephy-nodes-cover.c  | 194
 --------------------------------------
 src/bookmarks/ephy-nodes-cover.h  |  38 --------
 src/bookmarks/ephy-topic-action.c |   1 -
 src/bookmarks/ephy-topics-entry.c |   1 -
 5 files changed, 236 deletions(-)

commit 62f0a7d54ec1c8793b77664da7817d26e922ea5a
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:49:01 2016 +0300

    Remove obsolete EphyTopicsPalette

 src/bookmarks/Makefile.am                |   2 -
 src/bookmarks/ephy-bookmark-properties.c |  66 ------
 src/bookmarks/ephy-topics-palette.c      | 335
 -------------------------------
 src/bookmarks/ephy-topics-palette.h      |  42 ----
 4 files changed, 445 deletions(-)

commit fb9ef83041101a880b27fb99361314287fe9160b
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:14:43 2016 +0300

    Don't upgrade to version GPLv3 yet

 src/ephy-bookmark-properties-grid.c | 2 +-
 src/ephy-bookmark-properties-grid.h | 2 +-
 src/ephy-bookmark-row.c             | 2 +-
 src/ephy-bookmark-row.h             | 2 +-
 src/ephy-bookmarks-popover.c        | 2 +-
 src/ephy-bookmarks-popover.h        | 2 +-
 6 files changed, 6 insertions(+), 6 deletions(-)

commit 98c3acfa7ed3ca1d1e31709476bae69515035518
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:11:31 2016 +0300

    profile-migrator: Import bookmarks regardless of lockdown

 src/profile-migrator/ephy-profile-migrator.c | 4 ----
 1 file changed, 4 deletions(-)

commit dd8aa0327daca3107e10c8da4fcb161a9dffe116
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:08:33 2016 +0300

    ephy-bookmark: Use G_PARAM_STATIC_STRINGS for properties

 src/ephy-bookmark.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 71c150cc6a04dbb5b9b904b04546bdcc49991f04
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:01:18 2016 +0300

    bookmarks-popover: Don't override get_property if there are no
    readable properties

 src/ephy-bookmarks-popover.c | 13 -------------
 1 file changed, 13 deletions(-)

commit f17285bd73f98de25b3da02481615b0229b7c9d0
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 18:00:31 2016 +0300

    Get rid of deep directory structure for bookmarks related icons

 src/Makefile.am                                                       |
 4 ++--
 src/epiphany.gresource.xml                                            |
 4 ++--
 .../hicolor/scalable/actions => }/ephy-bookmark-tag-symbolic.svg      | 0
 .../{icons/hicolor/scalable/actions => }/ephy-bookmarks-symbolic.svg  | 0
 4 files changed, 4 insertions(+), 4 deletions(-)

commit d1605e003ac078929ca43db58378ace25511861b
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Tue Sep 27 17:33:17 2016 +0300

    bookmarks: Fix some memory leaks

 src/ephy-add-bookmark-popover.c | 12 ++++++++++++
 src/ephy-bookmark.c             |  1 +
 src/ephy-bookmarks-manager.c    |  2 +-
 3 files changed, 14 insertions(+), 1 deletion(-)

commit be3a9ea3236cbf7ce0be692a3f8a38830e6a7110
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Sun Sep 25 20:05:43 2016 +0300

    bookmarks: Call parent constructed function before doing our own
    construction

 src/ephy-add-bookmark-popover.c     | 4 ++--
 src/ephy-bookmark-properties-grid.c | 4 ++--
 src/ephy-bookmark-row.c             | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 28348d6a7362ebd5a9840dca4b56cb95812b4d11
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Sun Sep 25 19:56:54 2016 +0300

    Minor style fixes

 lib/widgets/ephy-location-entry.c            |  1 +
 src/ephy-add-bookmark-popover.c              |  6 ++----
 src/ephy-bookmark-properties-grid.c          |  4 ++--
 src/ephy-bookmarks-manager.c                 | 14 +++++++-------
 src/profile-migrator/ephy-profile-migrator.c |  9 ++++-----
 5 files changed, 16 insertions(+), 18 deletions(-)

commit 7f6590cd9290d0d0a1e2eb389d40772da0f7fc34
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Fri Sep 23 19:23:59 2016 +0300

    bookmarks: Change url/title for ephy_bookmarks_new to transfer none

 src/ephy-add-bookmark-popover.c              | 4 ++--
 src/ephy-bookmark.c                          | 7 ++++---
 src/ephy-bookmark.h                          | 6 +++---
 src/ephy-bookmarks-manager.c                 | 2 +-
 src/profile-migrator/ephy-profile-migrator.c | 2 +-
 5 files changed, 11 insertions(+), 10 deletions(-)

commit 9d5d2fb446c947b67707b2ede1a9fd7db40f1794
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 22 20:15:10 2016 -0500

    Save even more bytes by using #pragma once in new files!

 src/ephy-add-bookmark-popover.h     | 5 +----
 src/ephy-bookmark-properties-grid.h | 5 +----
 src/ephy-bookmark-row.h             | 5 +----
 src/ephy-bookmark.h                 | 5 +----
 src/ephy-bookmarks-manager.h        | 5 +----
 src/ephy-bookmarks-popover.h        | 5 +----
 6 files changed, 6 insertions(+), 24 deletions(-)

commit b583695ce7f663021e3d1457ee05d0d90784fa54
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 22 20:09:05 2016 -0500

    Save a couple bytes with real copyright symbols!

    Wooooo!

 src/ephy-bookmark-properties-grid.c | 2 +-
 src/ephy-bookmark-properties-grid.h | 2 +-
 src/ephy-bookmark-row.c             | 2 +-
 src/ephy-bookmark-row.h             | 2 +-
 src/ephy-bookmark.c                 | 2 +-
 src/ephy-bookmark.h                 | 2 +-
 src/ephy-bookmarks-manager.c        | 2 +-
 src/ephy-bookmarks-manager.h        | 2 +-
 src/ephy-bookmarks-popover.c        | 2 +-
 src/ephy-bookmarks-popover.h        | 2 +-
 10 files changed, 10 insertions(+), 10 deletions(-)

commit f25185a44e92e73653b48269fcecaef353fac910
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 22 20:07:55 2016 -0500

    Standardize modelines in new files

 src/ephy-bookmark-properties-grid.c | 1 -
 src/ephy-bookmark-properties-grid.h | 1 -
 src/ephy-bookmark-row.c             | 1 +
 src/ephy-bookmark-row.h             | 1 +
 src/ephy-bookmark.c                 | 1 +
 src/ephy-bookmark.h                 | 1 +
 src/ephy-bookmarks-manager.c        | 1 +
 src/ephy-bookmarks-manager.h        | 1 +
 src/ephy-bookmarks-popover.c        | 1 +
 src/ephy-bookmarks-popover.h        | 1 +
 10 files changed, 8 insertions(+), 2 deletions(-)

commit 9ed3536ac7d2ae609f362bab0e98cf45aba2c4fe
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Sep 22 19:56:41 2016 -0500

    Update ephy-completion-model-test

 tests/ephy-completion-model-test.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 86e6aa1f232fcbeeaacce4afd2bf7f27e42993bc
Author: Iulian Radu <iulian.radu67@gmail.com>
Date:   Wed Sep 21 11:02:32 2016 +0300

    Rework 'Add bookmark' popover

 lib/widgets/ephy-location-entry.c   |  43 ++++++++
 lib/widgets/ephy-location-entry.h   |  53 +++++-----
 src/Makefile.am                     |   2 +
 src/ephy-add-bookmark-popover.c     | 205
 ++++++++++++++++++++++++++++++++++++
 src/ephy-add-bookmark-popover.h     |  38 +++++++
 src/ephy-bookmark-properties-grid.c |   3 +-
 src/ephy-header-bar.c               |  99 +++--------------
 src/ephy-header-bar.h               |   1 +
 src/ephy-window.c                   |  26 -----
 src/window-commands.c               |  19 ++--
